2011-02-16  Anders Carlsson  <andersca@apple.com>

        Reviewed by Adam Roben.

        Assertion failure in DrawingAreaImpl::display when calling WKPageForceRepaint on a page that uses accelerated compositing
        https://bugs.webkit.org/show_bug.cgi?id=54575
        <rdar://problem/8979594>

        Add test.
        * TestWebKitAPI/TestWebKitAPI.xcodeproj/project.pbxproj:
        * TestWebKitAPI/Tests/WebKit2/ForceRepaint.cpp: Added.
        (TestWebKitAPI::didForceRepaint):
        (TestWebKitAPI::didFinishLoadForFrame):
        (TestWebKitAPI::TEST):
        * TestWebKitAPI/Tests/WebKit2/simple-accelerated-compositing.html: Added.
        * TestWebKitAPI/win/TestWebKitAPI.vcproj:
        * TestWebKitAPI/win/copy-resources.cmd:

2011-02-16  Sergio Villar Senin  <svillar@igalia.com>

        Reviewed by Martin Robinson.

        [Gtk] Add support for layoutTestController.setWillSendRequestClearHeader
        https://bugs.webkit.org/show_bug.cgi?id=54537

        Added handler for resource-request-starting emitted in
        FrameLoader's willSendRequest(). The current implementation
        removes the headers set in setWillSendRequestClearHeader.

        * DumpRenderTree/gtk/DumpRenderTree.cpp:
        (willSendRequestCallback):
        (createWebView):

2011-02-16  Csaba Osztrogonác  <ossy@webkit.org>

        Reviewed by Andreas Kling.

        [Qt] Qt build system can't handle removing headers from tree
        https://bugs.webkit.org/show_bug.cgi?id=54466

        * Scripts/build-webkit: Remove Qt makefiles from productDir before build.

2011-02-16  Ilya Tikhonovsky  <loislo@chromium.org>

        Reviewed by Yury Semikhatsky.

        Web Inspector: chromium: DRT is crashing on the tests in inspector-enabled folder.
        https://bugs.webkit.org/show_bug.cgi?id=54548

        * DumpRenderTree/chromium/TestShell.cpp:
        (TestShell::runFileTest):

2011-02-16  Sheriff Bot  <webkit.review.bot@gmail.com>

        Unreviewed, rolling out r77898.
        http://trac.webkit.org/changeset/77898
        https://bugs.webkit.org/show_bug.cgi?id=54541

        Leopard Debug hasn't compiled for a long time (Requested by
        abarth on #webkit).

        * Scripts/webkitpy/common/net/buildbot/buildbot.py:
        * Scripts/webkitpy/common/net/buildbot/buildbot_unittest.py:

2011-02-15  Xianzhu Wang  <wangxianzhu@google.com>

        Reviewed by Kent Tamura.

        Fixed a small bug about --no-timeout option.
        https://bugs.webkit.org/show_bug.cgi?id=52873

        * DumpRenderTree/chromium/DumpRenderTree.cpp:
        (main):

2011-02-15  Kenneth Russell  <kbr@google.com>

        Reviewed by Darin Fisher.

        Allow controlling minimum DOMTimer interval on a per-page basis
        https://bugs.webkit.org/show_bug.cgi?id=54312

        Implemented new method setMinimumTimerInterval in
        LayoutTestController for all ports.

        * DumpRenderTree/LayoutTestController.cpp:
        (setMinimumTimerIntervalCallback):
        (LayoutTestController::staticFunctions):
        * DumpRenderTree/LayoutTestController.h:
        * DumpRenderTree/chromium/LayoutTestController.cpp:
        (LayoutTestController::LayoutTestController):
        (LayoutTestController::setMinimumTimerInterval):
        * DumpRenderTree/chromium/LayoutTestController.h:
        * DumpRenderTree/chromium/WebViewHost.cpp:
        (WebViewHost::reset):
        * DumpRenderTree/gtk/DumpRenderTree.cpp:
        (resetDefaultsToConsistentValues):
        * DumpRenderTree/gtk/LayoutTestControllerGtk.cpp:
        (LayoutTestController::setMinimumTimerInterval):
        * DumpRenderTree/mac/DumpRenderTree.mm:
        (resetWebViewToConsistentStateBeforeTesting):
        * DumpRenderTree/mac/LayoutTestControllerMac.mm:
        (LayoutTestController::setMinimumTimerInterval):
        * DumpRenderTree/qt/DumpRenderTreeQt.cpp:
        (WebCore::WebPage::resetSettings):
        * DumpRenderTree/qt/LayoutTestControllerQt.cpp:
        (LayoutTestController::setMinimumTimerInterval):
        * DumpRenderTree/qt/LayoutTestControllerQt.h:
        * DumpRenderTree/win/DumpRenderTree.cpp:
        (resetWebViewToConsistentStateBeforeTesting):
        * DumpRenderTree/win/LayoutTestControllerWin.cpp:
        (LayoutTestController::setMinimumTimerInterval):

2011-02-15  Martin Robinson  <mrobinson@igalia.com>

        Reviewed by Xan Lopez.

        [Freetype] Better map CSS font weight to Fontconfig font weight
        https://bugs.webkit.org/show_bug.cgi?id=54323

        Add the WeightWatcher fonts to the list of sourced fonts when intializing
        DRT. This will allow us to pass tests that use WeightWatcher.

        * DumpRenderTree/gtk/DumpRenderTree.cpp:
        (initializeFonts): Source the WebkitWeightWatcher fonts.

2011-02-15  Dirk Pranke  <dpranke@chromium.org>

        Reviewed by Tony Chang.

        Make new-run-webkit-tests --processes work under Windows' weird
        multiprocessing model. This requires us to be running a Python
        file that can be imported as a module, so I've modified the
        new-run-webkit-tests script to spawn a subprocess runing
        webkitpy.layout_tests.run_webkit_tests.py. I've also modified
        the manager_worker_broker tests because you can't pickle a
        nested class. This requires us to use globals to pass queues
        back and forth for testing, but the alternative is to pass extra
        arguments to start_worker() and that feels like a bad tradeoff
        just for testing.

        https://bugs.webkit.org/show_bug.cgi?id=54431

        * Scripts/new-run-webkit-tests:
        * Scripts/webkitpy/layout_tests/layout_package/manager_worker_broker_unittest.py:

2011-02-15  Brady Eidson  <beidson@apple.com>

        Reviewed by Darin Adler.

        <rdar://problem/9002047> and https://bugs.webkit.org/show_bug.cgi?id=54426
        WebFrameLoaderClient::shouldGoToHistoryItem needs implementation

        Add dummy implementations to keep our tools building.

        * MiniBrowser/mac/BrowserWindowController.m:
        (-[BrowserWindowController awakeFromNib]):

        * WebKitTestRunner/TestController.cpp:
        (WTR::TestController::initialize):

2011-02-15  David Levin  <levin@chromium.org>

        Reviewed by Shinichiro Hamaji.

        check-webkit-style should do some detection for valid uses of WEBKIT_API (in chromium public api).
        https://bugs.webkit.org/show_bug.cgi?id=52271

        * Scripts/webkitpy/style/checkers/cpp.py: Added the check for WEBKIT_API usage.
        * Scripts/webkitpy/style/checkers/cpp_unittest.py: Added tests.

2011-02-14  Dirk Pranke  <dpranke@chromium.org>

        Unreviewed, build fix.

        Fix minor regression introduced in r78522. For some reason, Python
        provides a platform.mac_ver() routine on Linux, so we need to
        check to make sure it's returning something in addition to
        checking for its existence.

        * Scripts/webkitpy/layout_tests/port/mac.py:

2011-02-14  Dirk Pranke  <dpranke@chromium.org>

        Reviewed by Mihai Parparita.

        Clean up the way we handle platform names in
        new-run-webkit-tests. Previously, if you specified
        '--platform mac' or '--platform chromium-mac' on the command
        line, it would use that platform name to determine baseline search
        paths, etc. This is almost never the right thing to do, because
        it ignores the existence of version-specific baselines.
        
        So, I changed this so that ports that support versions must
        always use a version, and the version should default to the
        version of the operating system that the port is being run on
        (e.g., if you're running on Leopard, then passing '--platform
        mac' will default to the 'mac-leopard' port). This means that
        port.name() should always include a version-specific suffix if
        the port supports versions.

        However, we still support things like '--platform mac' as input
        so that the user doesn't have to explicitly specify a version,
        both for convenience and so we don't have to make buildbot
        configs more complicated than they already are.

        Also, I cleaned up how the baselines were being searched
        on the chromium-mac port (this is one of the two bugs that
        prompted this refactoring), and made the logic easier to follow
        and more consistent across the mac and chromium ports
        
        Lastly, I added a port.get_all_names() method that could be used
        to get the names of all of the ports to search, rather than having
        to guess (incorrectly) from the list of directories under
        LayoutTests/platform (this last thing was necessary because the
        deduplicate_tests unittest broke as the fallback dirs changed).

        https://bugs.webkit.org/show_bug.cgi?id=54248

        * Scripts/webkitpy/layout_tests/deduplicate_tests.py:
        * Scripts/webkitpy/layout_tests/port/factory.py:
        * Scripts/webkitpy/layout_tests/port/factory_unittest.py:
        * Scripts/webkitpy/layout_tests/port/chromium_gpu_unittest.py:
        * Scripts/webkitpy/layout_tests/port/chromium_mac.py:
        * Scripts/webkitpy/layout_tests/port/chromium_mac_unittest.py:
        * Scripts/webkitpy/layout_tests/port/chromium_unittest.py:
        * Scripts/webkitpy/layout_tests/port/chromium_win.py:
        * Scripts/webkitpy/layout_tests/port/chromium_win_unittest.py:
        * Scripts/webkitpy/layout_tests/port/mac.py:
        * Scripts/webkitpy/layout_tests/port/mac_unittest.py:
        * Scripts/webkitpy/layout_tests/port/port_testcase.py:

2011-02-14  Dirk Pranke  <dpranke@chromium.org>

        Reviewed by Adam Barth.

        update-webkit hangs in a git-only checkout

        Previously it would hang forever trying to do a 'git svn
        rebase'. Now, it will default to a 'git pull' if the
        svn-remote.svn.fetch variable isn't set, and bail out if it
        doesn't know where to pull from.

        https://bugs.webkit.org/show_bug.cgi?id=54265

        * Scripts/update-webkit:
        * Scripts/VCSUtils.pm:

2011-02-14  Dirk Pranke  <dpranke@chromium.org>

        Reviewed by Mihai Parparita.

        This patch modifies NRWT's Worker clas to use the new
        WorkerMixin class to actually run tests. With this patch, the
        multiprocess version of NRWT is fully functional and just needs
        the values for --worker-model and --child-processes to be corrected
        in the port/* classes to start using the new code by default.

        https://bugs.webkit.org/show_bug.cgi?id=54082

        * Scripts/webkitpy/layout_tests/layout_package/worker.py:

2011-02-14  Dirk Pranke  <dpranke@chromium.org>

        Reviewed by Mihai Parparita.

        This patch shuffles code out of dump_render_tree_thread and
        single_test_runner and into a new worker_mixin class that will
        be shared by both TestShellThread and Worker. This change
        restores single_test_runner to its state as of r77606 - it is
        stateless again. It also prunes TestShellThread to pretty much
        just the logic used for the original shared-memory access.

        https://bugs.webkit.org/show_bug.cgi?id=54079

        * Scripts/webkitpy/layout_tests/layout_package/dump_render_tree_thread.py:
        * Scripts/webkitpy/layout_tests/layout_package/single_test_runner.py:
        * Scripts/webkitpy/layout_tests/layout_package/worker_mixin.py: Added.

2011-02-14  Dirk Pranke  <dpranke@chromium.org>

        Reviewed by Ojan Vafai.

        This patch updates NRWT to add per-worker and per-shard test stats
        into TestRunner2, bringing it to parity with TestRunner.

        https://bugs.webkit.org/show_bug.cgi?id=54074

        * Scripts/webkitpy/layout_tests/layout_package/test_runner2.py:

2011-02-14  Dirk Pranke  <dpranke@chromium.org>

        Reviewed by Tony Chang.

        nrwt multiprocessing: add code to handle interrupts and wedged
        threads.
        https://bugs.webkit.org/show_bug.cgi?id=54072

        * Scripts/webkitpy/layout_tests/layout_package/manager_worker_broker.py:
        Adds the cancel(), is_alive(), join(), and log_wedged_worker()
        methods to the WorkerConnection class

        * Scripts/webkitpy/layout_tests/layout_package/manager_worker_broker_unittest.py:
        * Scripts/webkitpy/layout_tests/layout_package/test_runner2.py:
        * Scripts/webkitpy/layout_tests/layout_package/worker.py:
        Adds the cancel() method to the Worker class

2011-02-14  Dirk Pranke  <dpranke@chromium.org>

        Reviewed by Tony Chang.

        update the NRWT multiprocessing code to spawn multiple workers
        instead of just using one.

        https://bugs.webkit.org/show_bug.cgi?id=54071

        * Scripts/webkitpy/layout_tests/layout_package/test_runner2.py:

2011-02-12  Chang Shu  <cshu@webkit.org>

        Unreviewed.

        Update my own email addresses and IRC nickname.

        * Scripts/webkitpy/common/config/committers.py:

2011-02-11  Dirk Pranke  <dpranke@chromium.org>

        Reviewed by Tony Chang.

        This patch adds to NRWT most of the support needed to run the new
        message-based workers in separate threads or processes. The code
        isn't fully complete yet because we don't support cancel() or
        is_alive().

        https://bugs.webkit.org/show_bug.cgi?id=54070

        * Scripts/webkitpy/layout_tests/layout_package/manager_worker_broker.py:
        * Scripts/webkitpy/layout_tests/layout_package/manager_worker_broker_unittest.py:
        * Scripts/webkitpy/layout_tests/layout_package/test_runner2.py:
        * Scripts/webkitpy/layout_tests/port/base.py:
        * Scripts/webkitpy/layout_tests/port/mock_drt.py:
        * Scripts/webkitpy/layout_tests/run_webkit_tests_unittest.py:

2011-02-11  Sailesh Agrawal  <sail@chromium.org>

        Reviewed by Kenneth Russell.

        plugins/invalidate_rect.html fails on chromium-mac
        https://bugs.webkit.org/show_bug.cgi?id=54051

        This change fixes the invalidate_rect.html test failure on Windows.

        There were two problems. First, the test specified that the plugin was window less by doing <embed ... windowedPlugin="false"></embed>. The windowedPlugin parameter was never being read by the plugin. Fix was to simply set the NPPVpluginWindowBool variable based on the parameter.

        The second problem was that the plugin never handled paint events on Windows. Fix was to simply copy the Mac code to handle paint events.

        This change also updates the build path in chromium_win.py to use the new Source directory.

        * DumpRenderTree/TestNetscapePlugIn/PluginObject.cpp:
        (invalidateRect):
        * DumpRenderTree/TestNetscapePlugIn/main.cpp:
        (NPP_New):
        (handleEventWin):
        (NPP_HandleEvent):
        * Scripts/webkitpy/layout_tests/port/chromium_win.py:

2011-02-11  Csaba Osztrogonác  <ossy@webkit.org>

        Reviewed by Andreas Kling.

        [Qt] Increase the timeout of Qt API tests to 120 seconds.

        * BuildSlaveSupport/build.webkit.org-config/master.cfg:

2011-02-10  Zhenyao Mo  <zmo@google.com>

        Unreviewed, build fix.

        * DumpRenderTree/DumpRenderTree.gypi:

2011-02-10  Dirk Pranke  <dpranke@chromium.org>

        Reviewed by Tony Chang.

        This patch adds the bulk of the remaining functionality for
        the NRWT message-passing implementation. The patch adds a new
        Worker class that will eventually replace the TestShellThread
        class in dump_render_tree_thread.py, and implements enough of
        TestRunner2 and the inline version of the manager_worker_broker
        to actually be able to send a full set of messages back and
        forth. The Worker stubs do not actually run tests, and there's
        lots of error handling and stats needed, but this is the core
        logic.

        https://bugs.webkit.org/show_bug.cgi?id=54068

        * Scripts/webkitpy/layout_tests/layout_package/manager_worker_broker.py:
        * Scripts/webkitpy/layout_tests/layout_package/manager_worker_broker_unittest.py:
        * Scripts/webkitpy/layout_tests/layout_package/test_runner2.py:
        * Scripts/webkitpy/layout_tests/layout_package/worker.py: Added.
        * Scripts/webkitpy/layout_tests/run_webkit_tests_unittest.py:

2011-02-10  Zhenyao Mo  <zmo@google.com>

        Unreviewed, build fix.

        * DumpRenderTree/DumpRenderTree.gypi:

2011-02-10  Zhenyao Mo  <zmo@google.com>

        Unreviewed, build fix.

        * DumpRenderTree/DumpRenderTree.gypi:

2011-02-10  Zhenyao Mo  <zmo@google.com>

        Unreviewed, attempt to fix crashing plugin tests.

        * DumpRenderTree/DumpRenderTree.gypi:

2011-02-10  Zhenyao Mo  <zmo@google.com>

        Unreviewed, build fix.

        * DumpRenderTree/DumpRenderTree.gypi:

2011-02-10  Sam Weinig  <sam@webkit.org>

        Try and fix some crashing tests on the chromium build bot.

        * DumpRenderTree/DumpRenderTree.gypi:

2011-02-10  Anders Carlsson  <andersca@apple.com>

        Reviewed by Sam Weinig.

        Log an error if a plug-in test can't be found
        https://bugs.webkit.org/show_bug.cgi?id=54252

        * DumpRenderTree/TestNetscapePlugIn/PluginTest.cpp:
        (PluginTest::create):
        Return null if the test wasn't found.

        * DumpRenderTree/TestNetscapePlugIn/main.cpp:
        (NPP_New):
        Report an error if PluginTest::create returns null.

2011-02-10  Robert Hogan  <robert@webkit.org>

        Reviewed by Laszlo Gombos.

        [Qt] Return menu items from eventSender.contextMenu()
        https://bugs.webkit.org/show_bug.cgi?id=53039

        * DumpRenderTree/qt/EventSenderQt.cpp:
        (EventSender::contextClick):
        * DumpRenderTree/qt/EventSenderQt.h:

2011-02-10  Adam Roben  <aroben@apple.com>

        Test showing and hiding the find indicator on Windows

        Test for <http://webkit.org/b/54213> <rdar://problem/8983261> REGRESSION (r78198): Crash in
        FindIndicator::contentImage when scrolling page

        Reviewed by Steve Falkenburg.

        * TestWebKitAPI/Tests/WebKit2/win/HideFindIndicator.cpp: Added.
        (TestWebKitAPI::didFinishLoadForFrame): Record that the load finished.
        (TestWebKitAPI::findIndicatorCallback): Record that the callback was called, and save the
        bitmap.
        (TestWebKitAPI::initialize): Hook up our callbacks.
        (TestWebKitAPI::TEST): Test showing then hiding the find indicator to see if we crash.

        * TestWebKitAPI/PlatformWebView.h:
        * TestWebKitAPI/mac/PlatformWebViewMac.mm:
        (TestWebKitAPI::PlatformWebView::page):
        * TestWebKitAPI/win/PlatformWebViewWin.cpp:
        (TestWebKitAPI::PlatformWebView::page):
        Made page a const member function.

        * TestWebKitAPI/win/TestWebKitAPI.vcproj: Added the new test.

2011-02-10  Mario Sanchez Prada  <msanchez@igalia.com>

        Reviewed by Martin Robinson.

        [GTK] Log signals from AtkDocument interface also in AccessibilityController
        https://bugs.webkit.org/show_bug.cgi?id=54198

        Trace AtkDocument's signals emission through AccessibilityController.

        Also, taken the code related to adding and removing global
        listeners for ATK signals out to a separate file, for the sake of
        clarity and to ease future additions.

        * DumpRenderTree/gtk/AccessibilityCallbacks.h: Added.
        * DumpRenderTree/gtk/AccessibilityCallbacks.cpp: Added
        (printAccessibilityEvent): Print information about an event.
        (axObjectEventListener): Global listener for AtkObject's signals.
        (axDocumentEventListener): Global listener for AtkDocument's signals.
        (connectAccessibilityCallbacks): Connect all global listeners.
        (disconnectAccessibilityCallbacks): Disconnect all global listeners.

        * DumpRenderTree/gtk/AccessibilityControllerGtk.cpp:
        (AccessibilityController::setLogAccessibilityEvents): Call to
        connectAccessibilityCallbacks and disconnectAccessibilityCallbacks.

        * GNUmakefile.am: Added new files.

2011-02-09  Martin Robinson  <mrobinson@igalia.com>

        Reviewed by Gustavo Noronha Silva.

        [GTK] Default error page is interfering with tests which require failed loads
        https://bugs.webkit.org/show_bug.cgi?id=54157

        Disable the default error page during DRT runs. This prevents unexpected loads
        from interfering with tests that have planned failed loads.

        * DumpRenderTree/gtk/DumpRenderTree.cpp:
        (webViewLoadError): Added, disable default handler.
        (createWebView): Connect the new load-error handler.

2011-02-10  Zoltan Horvath  <zoltan@webkit.org>

        Reviewed by Andreas Kling.

        [Qt] Add UrlLoader and command line argument handling to MiniBrowser
        https://bugs.webkit.org/show_bug.cgi?id=54192
 
        Copy and modify files from QtTestBrowser's implementation.

        * MiniBrowser/qt/BrowserWindow.cpp:
        (BrowserWindow::BrowserWindow):
        (BrowserWindow::newWindow):
        * MiniBrowser/qt/BrowserWindow.h:
        * MiniBrowser/qt/MiniBrowser.pro:
        * MiniBrowser/qt/MiniBrowserApplication.cpp: Copied from QtTestBrowser/launcherwindow.cpp
        (MiniBrowserApplication::MiniBrowserApplication):
        (MiniBrowserApplication::handleUserOptions):
        * MiniBrowser/qt/MiniBrowserApplication.h: Copied from QtTestBrowser/launcherwindow.h
        (WindowOptions::WindowOptions):
        (MiniBrowserApplication::urls):
        (MiniBrowserApplication::isRobotized):
        (MiniBrowserApplication::robotTimeout):
        (MiniBrowserApplication::robotExtraTime):
        * MiniBrowser/qt/UrlLoader.cpp: Copied from QtTestBrowser/urlloader.cpp
        (UrlLoader::UrlLoader):
        (UrlLoader::loadNext):
        (UrlLoader::checkIfFinished):
        (UrlLoader::frameLoadStarted):
        (UrlLoader::frameLoadFinished):
        (UrlLoader::loadUrlList):
        (UrlLoader::getUrl):
        * MiniBrowser/qt/UrlLoader.h: Copied from QtTestBrowser/urlloader.h 
        * MiniBrowser/qt/main.cpp:
        (main):
        * MiniBrowser/qt/utils.cpp: Copied from QtTestBrowser/utils.cpp 
        (takeOptionValue):
        (formatKeys):
        (enumToKeys):
        (appQuit):
        (urlFromUserInput):
        * MiniBrowser/qt/utils.h: Copied from QtTestBrowser/utils.h

2011-02-10  Zoltan Horvath  <zoltan@webkit.org>

        Reviewed by Andreas Kling.

        check-webkit-style: Add -build/include exemption for Tools/MiniBrowser/qt
        https://bugs.webkit.org/show_bug.cgi?id=54200

        * Scripts/webkitpy/style/checker.py:
        * Scripts/webkitpy/style/checker_unittest.py:

2011-02-10  Peter Varga  <pvarga@webkit.org>

        Reviewed by Csaba Osztrogonác.

        Remove PCRE source from trunk
        https://bugs.webkit.org/show_bug.cgi?id=54188

        * wx/build/settings.py:

2011-02-10  David Levin  <levin@chromium.org>

        Reviewed by Shinichiro Hamaji.

        check-webkit-style should be able to figure out function modifiers and return type.
        https://bugs.webkit.org/show_bug.cgi?id=54124

        * Scripts/webkitpy/style/checkers/cpp.py:
        (_rfind_in_lines): A way to search backwards in lines.
        (_FunctionState.modifiers_and_return_type):
        * Scripts/webkitpy/style/checkers/cpp_unittest.py: Added tests for the new functionality.

2011-02-09  Adam Roben  <aroben@apple.com>

        Test that WM_PRINT doesn't trigger an assertion

        Test for <http://webkit.org/b/54145> <rdar://problem/8979559> WM_PRINT doesn't work with new
        drawing area (assertion failure in DrawingAreaProxyImpl in Debug builds)

        Reviewed by Darin Adler.

        * TestWebKitAPI/Tests/WebKit2/win/WMPrint.cpp: Added.
        (TestWebKitAPI::TEST): Send a WM_PRINT message to a WKView.

2011-02-09  Adam Roben  <aroben@apple.com>

        Test that having a WKView paint after being resized while hidden doesn't cause a crash

        Test for <http://webkit.org/b/54142> <rdar://problem/8979365> Crash in
        DrawingAreaProxyImpl::paint when WKView paints after being resized while hidden

        Reviewed by Darin Adler.

        * TestWebKitAPI/Tests/WebKit2/win/ResizeViewWhileHidden.cpp:
        (TestWebKitAPI::TEST): Force the WKView to paint after resizing it while hidden.

2011-02-09  Adam Roben  <aroben@apple.com>

        Add a test that resizes a WKView while it's hidden

        Test for <http://webkit.org/b/54141> <rdar://problem/8979195> WKView draws at wrong size,
        performs badly if is resized while hidden (assertion fails in
        BackingStore::incorporateUpdate in Debug builds)

        Reviewed by Darin Adler.

        * TestWebKitAPI/Tests/WebKit2/win/ResizeViewWhileHidden.cpp: Added.
        (TestWebKitAPI::didFinishLoadForFrame): Record that the load finished.
        (TestWebKitAPI::setPageLoaderClient): Hook up our didFinishLoadForFrame callback.
        (TestWebKitAPI::flushMessages): Load a URL and wait for the load to complete. This ensures
        that all pending messages have been handled by the UI and web process.
        (TestWebKitAPI::timerCallback): Kill the timer and record that it fired.
        (TestWebKitAPI::runForDuration): Set a timer and run the run loop until it fires.
        (TestWebKitAPI::waitForBackingStoreUpdate): Wait for half a second to give the web process a
        chance to display, then flush all pending messages.
        (TestWebKitAPI::TEST): Resize the WKView while it's hidden, then show it again and wait for
        the backing store to update. This triggers the assertion from bug 54141.

        * TestWebKitAPI/win/PlatformWebViewWin.cpp:
        (TestWebKitAPI::PlatformWebView::resizeTo): Implemented.

        * TestWebKitAPI/win/TestWebKitAPI.vcproj: Added new test.

2011-02-10  Philippe Normand  <pnormand@igalia.com>

        Unreviewed, GTK build fix after roll out of r78157...

        * GNUmakefile.am:

2011-02-10  Eric Seidel  <eric@webkit.org>

        Unreviewed, rolling out r78157.
        http://trac.webkit.org/changeset/78157
        https://bugs.webkit.org/show_bug.cgi?id=54150

        Fails on a bunch of bots

        * DumpRenderTree/DumpRenderTree.xcodeproj/project.pbxproj:
        * DumpRenderTree/TestNetscapePlugIn/Tests/EvaluateJSDestroyingPluginFromDestroyStream.cpp: Removed.
        * DumpRenderTree/TestNetscapePlugIn/win/TestNetscapePlugin.vcproj:
        * DumpRenderTree/qt/TestNetscapePlugin/TestNetscapePlugin.pro:

2011-02-10  Mario Sanchez Prada  <msanchez@igalia.com>

        Reviewed by Xan Lopez.

        [GTK] Reset GTK' DRT's AccessibilityController to consistent value before every test
        https://bugs.webkit.org/show_bug.cgi?id=54185

        * DumpRenderTree/gtk/DumpRenderTree.cpp:
        (resetDefaultsToConsistentValues):

2011-02-10  Philippe Normand  <pnormand@igalia.com>

        Unreviewed GTK build fix.

        Adding
        Tools/DumpRenderTree/TestNetscapePlugIn/Tests/EvaluateJSDestroyingPluginFromDestroyStream.cpp
        in the build, fixing the
        plugins/npruntime/evaluate-js-destroying-plugin-from-destroy-stream.html
        test.

        * GNUmakefile.am:

2011-02-10  Mario Sanchez Prada  <msanchez@igalia.com>

        Reviewed by Chris Fleizach.

        [GTK] Add support in DRT to log "accessibility events"
        https://bugs.webkit.org/show_bug.cgi?id=54116

        Added a way to log accessibility related events, in a
        platform-dependant way.

        Add new function to AccessibilityController.

        * DumpRenderTree/AccessibilityController.h:
        * DumpRenderTree/AccessibilityController.cpp:
        (logAccessibilityEventsCallback): New callback.
        (AccessibilityController::getJSClass): Added new function.
        (AccessibilityController::resetToConsistentState): Initialized
        calling setLogAccessibilityEvents(false).

        Provided implementation for the GTK port.

        * DumpRenderTree/gtk/AccessibilityControllerGtk.cpp:
        (accessibility_event_listener): Common listener for logging
        information about all the signals emitted by any AtkObject.
        (AccessibilityController::setLogAccessibilityEvents): Add or
        remove listeners for signals, as specified by the parameter.

        Provide dummy implementations for mac and win ports.

        * DumpRenderTree/mac/AccessibilityControllerMac.mm:
        (AccessibilityController::setLogAccessibilityEvents):
        * DumpRenderTree/win/AccessibilityControllerWin.cpp:
        (AccessibilityController::setLogAccessibilityEvents):

2011-02-09  Hayato Ito  <hayato@chromium.org>

        Reviewed by Tony Chang.

        [NRWT] Remove encoding parameters where we can assume data can be
        written in binary mode.

        https://bugs.webkit.org/show_bug.cgi?id=54066

        * Scripts/webkitpy/layout_tests/layout_package/single_test_runner.py:
        * Scripts/webkitpy/layout_tests/port/base.py:

2011-02-09  Dirk Pranke  <dpranke@chromium.org>

        Reviewed by Tony Chang.

        nrwt multiprocessing: minor cleanup prior to implementing the new worker

        This patch renames AbstractManager to ManagerConnection and
        changes some argument names to be more consistent between
        manager_worker_broker and message_broker. It also fixes a couple
        of typos in message_broker. These changes will be tested by code
        introduced in the next patch.
       
        https://bugs.webkit.org/show_bug.cgi?id=54067

        * Scripts/webkitpy/layout_tests/layout_package/manager_worker_broker.py:
        * Scripts/webkitpy/layout_tests/layout_package/message_broker2.py:

2011-02-09  Anders Carlsson  <andersca@apple.com>

        Reviewed by Sam Weinig.

        Repro crash with Sony Google TV ad at Gizmodo
        https://bugs.webkit.org/show_bug.cgi?id=54150
        <rdar://problem/8782346>

        Add a new plug-in test that runs JavaScript that destroys the plug-in from within its NPN_DestroyStream callback.

        * DumpRenderTree/DumpRenderTree.xcodeproj/project.pbxproj:
        * DumpRenderTree/TestNetscapePlugIn/Tests/EvaluateJSDestroyingPluginFromDestroyStream.cpp: Added.
        (EvaluateJSDestroyingPluginFromDestroyStream::EvaluateJSDestroyingPluginFromDestroyStream):
        (EvaluateJSDestroyingPluginFromDestroyStream::NPP_Destroy):
        (EvaluateJSDestroyingPluginFromDestroyStream::NPP_DestroyStream):
        * DumpRenderTree/TestNetscapePlugIn/win/TestNetscapePlugin.vcproj:
        * DumpRenderTree/qt/TestNetscapePlugin/TestNetscapePlugin.pro:

2011-02-09  David Levin  <levin@chromium.org>

        Reviewed by Eric Seidel.

        check-webkit-style: The error message about NULL should be more clear for comments.
        https://bugs.webkit.org/show_bug.cgi?id=53786

        * Scripts/webkitpy/style/checkers/cpp.py: Clarified the error message.
        * Scripts/webkitpy/style/checkers/cpp_unittest.py: Fixed the corresponding test.

2011-02-09  Nebojsa Ciric  <cira@chromium.org>

        Reviewed by Darin Fisher.

        Implements Locale object of JavaScript internationalization API proposal, as an
        v8 extension. Extension code is hosted in v8 project (src/extensions/experimental/i18n-extension.{cc,h})
        and in this patch we just provide flags, tests and build rules for chromium port.
        https://bugs.webkit.org/show_bug.cgi?id=49414

        * DumpRenderTree/chromium/TestShell.cpp:
        (TestShell::TestShell):

2011-02-09  Laszlo Gombos  <laszlo.1.gombos@nokia.com>

        Reviewed by Kenneth Rohde Christiansen.

        [Qt] Remove UiTools dependency from MiniBrowser
        https://bugs.webkit.org/show_bug.cgi?id=54096

        * MiniBrowser/qt/MiniBrowser.pro:

2011-02-08  Hayato Ito  <hayato@chromium.org>

        Reviewed by Tony Chang.

        [NRWT] Pull up rebaseline code from compare_output() function defined
        in text_diff.py and image_diff.py into a SingleTestRunner.

        This patch is a first step for eliminating test_type/* classes.

        https://bugs.webkit.org/show_bug.cgi?id=53071

        * Scripts/webkitpy/layout_tests/layout_package/single_test_runner.py:
        * Scripts/webkitpy/layout_tests/test_types/image_diff.py:
        * Scripts/webkitpy/layout_tests/test_types/test_type_base.py:
        * Scripts/webkitpy/layout_tests/test_types/text_diff.py:

2011-02-07  Ojan Vafai  <ojan@chromium.org>

        Reviewed by Mihai Parparita.

        stop generating results.json files
        https://bugs.webkit.org/show_bug.cgi?id=53977

        We've only used incremental_results.json for a while now
        and there are plans to start generating a results.json file that matches
        the format of unexpected_results.json.

        * Scripts/webkitpy/layout_tests/layout_package/json_layout_results_generator.py:
        * Scripts/webkitpy/layout_tests/layout_package/json_results_generator.py:
        * Scripts/webkitpy/layout_tests/layout_package/json_results_generator_unittest.py:
        * Scripts/webkitpy/layout_tests/layout_package/test_runner.py:
        * Scripts/webkitpy/layout_tests/run_webkit_tests.py:

2011-02-08  Sailesh Agrawal  <sail@chromium.org>

        Reviewed by Kenneth Russell.

        Invalidate rect doesn't work for windowless plugins on Chromium
        https://bugs.webkit.org/show_bug.cgi?id=53117

        Added two new utility methods.
        - layoutTestController.displayInvalidatedRegion() does a paint of any area that has been invalidated. This is different from layoutTestController.display() which explicitly invalidates the entire page then paints.
        - plugin.invalidateRect(left, top, right, bottom) - invalidates the given rect
        This is used to test that invalidating a rect correctly causes a repaint of the plugin.

        * DumpRenderTree/LayoutTestController.cpp:
        (displayInvalidatedRegionCallback):
        (LayoutTestController::staticFunctions):
        * DumpRenderTree/LayoutTestController.h:
        * DumpRenderTree/TestNetscapePlugIn/PluginObject.cpp:
        (invalidateRect):
        (pluginInvoke):
        * DumpRenderTree/chromium/LayoutTestController.cpp:
        (LayoutTestController::LayoutTestController):
        (LayoutTestController::displayInvalidatedRegion):
        * DumpRenderTree/chromium/LayoutTestController.h:
        * Scripts/webkitpy/layout_tests/port/chromium_gpu.py:

2011-02-08  Dirk Pranke  <dpranke@chromium.org>

        Reviewed by Tony Chang.

        new-run-webkit-tests: move the logic that starts and stops the
        servers from dump_render_tree_thread into single_test_runner
        so that we can reuse it in the new multiprocessing worker class
        as well.

        https://bugs.webkit.org/show_bug.cgi?id=53840

        * Scripts/webkitpy/layout_tests/layout_package/dump_render_tree_thread.py:
        * Scripts/webkitpy/layout_tests/layout_package/single_test_runner.py:
 
2011-02-08  Dirk Pranke  <dpranke@chromium.org>

        Reviewed by Mihai Parparita.

        new-run-webkit-tests: split out thread stack logging code into a sharable module

        This patch splits out the code used to find and log thread
        stacks from NRWT-specific packages to something generic and
        shareable by other python modules. It will be shared in the near
        future by the manager_worker_broker module, for example.

        https://bugs.webkit.org/show_bug.cgi?id=53656

        * Scripts/webkitpy/common/system/stack_utils.py: Added.
        * Scripts/webkitpy/common/system/stack_utils_unittest.py: Added.
        * Scripts/webkitpy/layout_tests/layout_package/message_broker.py:
        * Scripts/webkitpy/layout_tests/layout_package/message_broker_unittest.py:

2011-02-08  Dirk Pranke  <dpranke@chromium.org>

        Reviewed by Tony Chang.

        new-run-webkit-tests: move a bunch of testing logic out of
        dump_render_tree_thread and into single_test_runner so that we
        will be able to reuse it in the new multiprocessing worker class as well.

        https://bugs.webkit.org/show_bug.cgi?id=53838

        * Scripts/webkitpy/layout_tests/layout_package/dump_render_tree_thread.py:
        * Scripts/webkitpy/layout_tests/layout_package/single_test_runner.py:

        
2011-02-08  Dirk Pranke  <dpranke@chromium.org>

        Reviewed by Ojan Vafai.

        new-run-webkit-tests: remove no longer needed WatchableThread
        class.

        https://bugs.webkit.org/show_bug.cgi?id=53839

        * Scripts/webkitpy/layout_tests/layout_package/dump_render_tree_thread.py:

2011-02-08  Dirk Pranke  <dpranke@chromium.org>

        Reviewed by Tony Chang.

        new-run-webkit-tests: add stubs for the Manager objects that
        will abstract the concurrency implementation (inline / threads /
        processes). These classes do nothing yet and are not wired up to
        anything.

        https://bugs.webkit.org/show_bug.cgi?id=53477

        * Scripts/webkitpy/layout_tests/layout_package/manager_worker_broker.py: Added.
        * Scripts/webkitpy/layout_tests/layout_package/manager_worker_broker_unittest.py: Added.

2011-02-08  Dirk Pranke  <dpranke@chromium.org>

        Reviewed by Tony Chang.

        new-run-webkit-tests: add simplified message broker for new-style
        messaging. This change adds a very simple message broker that
        will be used to shuttle messages between the TestRunner2 manager
        thread and the Worker threads. For now the class is not used by
        anything, but the eventual usage can be seen in the patches
        attached to bug 49566.

        https://bugs.webkit.org/show_bug.cgi?id=53158

        * Scripts/webkitpy/layout_tests/layout_package/message_broker2.py: Added.
        * Scripts/webkitpy/layout_tests/layout_package/message_broker2_unittest.py: Added.

2011-02-08  Adam Barth  <abarth@webkit.org>

        Reviewed by Dimitri Glazkov.

        chromium-win builder shouldn't run python or perl tests
        https://bugs.webkit.org/show_bug.cgi?id=54032

        These tests don't pass on this builder because the builder isn't
        running in cygwin.  There isn't really any point in running them and
        making the bot red forever.

        * BuildSlaveSupport/build.webkit.org-config/master.cfg:

2011-02-08  Brady Eidson  <beidson@apple.com>

        Reviewed by Darin Adler.

        <rdar://problem/8972913> and https://bugs.webkit.org/show_bug.cgi?id=54036
        didChangeBackForwardList should include some context about what changed

        * MiniBrowser/mac/BrowserWindowController.m:
        (didChangeBackForwardList):

2011-02-08  Sam Weinig  <sam@webkit.org>

        Reviewed by Anders Carlsson.

        WK2: Add ability to pass context to policy delegate methods
        https://bugs.webkit.org/show_bug.cgi?id=54031

        * MiniBrowser/mac/BrowserWindowController.m:
        (decidePolicyForNavigationAction):
        (decidePolicyForNewWindowAction):
        (decidePolicyForMIMEType):
        * TestWebKitAPI/Tests/WebKit2/PageLoadBasic.cpp:
        (TestWebKitAPI::decidePolicyForNavigationAction):
        (TestWebKitAPI::decidePolicyForNewWindowAction):
        (TestWebKitAPI::decidePolicyForMIMEType):
        Update policy client for new API.

2011-02-08  Martin Robinson  <mrobinson@igalia.com>

        Reviewed by Xan Lopez.

        [GTK] DRT needs an implementation of LayoutTestController.setIconDatabaseEnabled
        https://bugs.webkit.org/show_bug.cgi?id=54033

        Add an implementation of LayoutTestController.setIconDatabaseEnabled that just
        call DumpRenderTreeSupportGtk. Turn off the icon database between tests.

        * DumpRenderTree/gtk/DumpRenderTree.cpp:
        (resetDefaultsToConsistentValues): Turn off the icon database.
        * DumpRenderTree/gtk/LayoutTestControllerGtk.cpp:
        (LayoutTestController::setIconDatabaseEnabled): Call the appropriate DumpRenderTreeSupportGtk
        method.

2011-02-08  Kundu Suchismita  <suchi.kundu@nokia.com>

        Reviewed by Laszlo Gombos.

        Local Storage settings can be enable/disable from "Develop" menu
        https://bugs.webkit.org/show_bug.cgi?id=52296

        * QtTestBrowser/launcherwindow.cpp:
        (LauncherWindow::createChrome):
        (LauncherWindow::toggleLocalStorage):
        (LauncherWindow::toggleOfflineStorageDatabase):
        (LauncherWindow::toggleOfflineWebApplicationCache):
        (LauncherWindow::setOfflineStorageDefaultQuota):
        * QtTestBrowser/launcherwindow.h:
        (WindowOptions::WindowOptions):
        * QtTestBrowser/main.cpp:
        (LauncherApplication::handleUserOptions):

2011-02-08  Martin Robinson  <mrobinson@igalia.com>

        Reviewed by Eric Seidel.

        [GTK] EventSender.keyDown does not support non-array modifier arguments
        https://bugs.webkit.org/show_bug.cgi?id=53962

        Support handling either an array or a string for the modifier argument
        to EventSender.keyDown.

        * DumpRenderTree/gtk/EventSender.cpp:
        (gdkModifierFromJSValue): Added this helper which factors out the
        string comparison bits.
        (gdkModifersFromJSValue): Test up front whether the value is a string,
        to handle it specially.

2011-02-08  Benjamin Poulain  <ikipou@gmail.com>

        Reviewed by Csaba Osztrogonác.

        openDatabaseSync() stop responding after too many call
        https://bugs.webkit.org/show_bug.cgi?id=53945

        Reset the database quota to a known state between each test.

        Define a quota for the known origins at each test run and delete
        all the databases.
        This way, the database related test do not depend on previous
        allocations.

        * DumpRenderTree/qt/DumpRenderTreeQt.cpp:
        (WebCore::DumpRenderTree::resetToConsistentStateBeforeTesting):
        (WebCore::DumpRenderTree::dumpDatabaseQuota):
        * DumpRenderTree/qt/LayoutTestControllerQt.cpp:
        (LayoutTestController::reset):

2011-02-08  Carlos Garcia Campos  <cgarcia@igalia.com>

        Reviewed by Martin Robinson.

        [GTK] DRT's TextInputController is unimplemented on GTK
        https://bugs.webkit.org/show_bug.cgi?id=52997

        Initial implementation of TextInputController for GTK port.

        * DumpRenderTree/gtk/DumpRenderTree.cpp:
        (webViewWindowObjectCleared):
        * DumpRenderTree/gtk/TextInputController.cpp: Added.
        (setMarkedTextCallback):
        (insertTextCallback):
        (unmarkTextCallback):
        (firstRectForCharacterRangeCallback):
        (selectedRangeCallback):
        (getClass):
        (makeTextInputController):
        * DumpRenderTree/gtk/TextInputController.h: Added.
        * GNUmakefile.am:

2011-02-07  Tony Chang  <tony@chromium.org>

        Reviewed by Adam Barth.

        clean up python imports
        https://bugs.webkit.org/show_bug.cgi?id=53966

        Convert "import A.B.C.D as D" to "from A.B.C import D" and
        make some imports absolute as required by PEP-8

        * Scripts/webkitpy/common/checkout/scm.py:
        * Scripts/webkitpy/common/net/irc/ircbot.py:
        * Scripts/webkitpy/common/system/logutils.py:
        * Scripts/webkitpy/common/system/logutils_unittest.py:
        * Scripts/webkitpy/layout_tests/deduplicate_tests.py:
        * Scripts/webkitpy/layout_tests/port/chromium.py:
        * Scripts/webkitpy/layout_tests/port/mac.py: Remove some unused imports
        * Scripts/webkitpy/layout_tests/port/webkit.py:
        * Scripts/webkitpy/layout_tests/update_webgl_conformance_tests.py:
        * Scripts/webkitpy/tool/bot/irc_command.py:
        * Scripts/webkitpy/tool/bot/sheriffircbot.py:
        * Scripts/webkitpy/tool/commands/download.py:
        * Scripts/webkitpy/tool/commands/prettydiff.py:
        * Scripts/webkitpy/tool/commands/queries.py:
        * Scripts/webkitpy/tool/commands/roll.py:
        * Scripts/webkitpy/tool/commands/stepsequence.py:
        * Scripts/webkitpy/tool/commands/upload.py:
        * Scripts/webkitpy/tool/main.py:

2011-02-07  James Robinson  <jamesr@chromium.org>

        Reviewed by Adam Barth.

        Teach do-webcore-rename about the WebKit move to Source/
        https://bugs.webkit.org/show_bug.cgi?id=53967

        * Scripts/do-webcore-rename:

2011-02-07  Maciej Stachowiak  <mjs@apple.com>

        Reviewed by Dan Bernstein.

        Add resource load client for injected bundle and move willSendRequest there
        https://bugs.webkit.org/show_bug.cgi?id=53972

        * MiniBrowser/mac/WebBundle/WebBundleMain.m:
        (didCreatePage):
        * WebKitTestRunner/InjectedBundle/InjectedBundlePage.cpp:
        (WTR::InjectedBundlePage::InjectedBundlePage):
        (WTR::InjectedBundlePage::didInitiateLoadForResource):
        (WTR::InjectedBundlePage::didReceiveResponseForResource):
        (WTR::InjectedBundlePage::didReceiveContentLengthForResource):
        (WTR::InjectedBundlePage::didFinishLoadForResource):
        (WTR::InjectedBundlePage::didFailLoadForResource):
        (WTR::InjectedBundlePage::willSendRequestForFrame):
        * WebKitTestRunner/InjectedBundle/InjectedBundlePage.h:

2011-02-07  Adam Barth  <abarth@webkit.org>

        Add Leopard Debug back to the core builders.

        * Scripts/webkitpy/common/net/buildbot/buildbot.py:
        * Scripts/webkitpy/common/net/buildbot/buildbot_unittest.py:

2011-02-07  Adam Klein  <adamk@chromium.org>

        Reviewed by Jian Li.

        [chromium] Remove deprecated method WebNotification::dir
        https://bugs.webkit.org/show_bug.cgi?id=53735

        * DumpRenderTree/chromium/NotificationPresenter.cpp:
        (NotificationPresenter::show):

2011-02-07  Adam Barth  <abarth@webkit.org>

        Reviewed by Eric Seidel.

        Remove Leopard Debug as a core builder
        https://bugs.webkit.org/show_bug.cgi?id=53971

        The Leopard Debug builder has been failing to compile for several days.
        My understanding is that folks are working on fixing the build, but for
        the time being we should probably remove it from the list of core
        builders so that the core waterfall can be green.  We can certainly add
        it back once the build is fixed.

        Also, I've removed the Tiger builders because those no longer appear to
        be attached to the buildbot master.

        * Scripts/webkitpy/common/net/buildbot/buildbot.py:
        * Scripts/webkitpy/common/net/buildbot/buildbot_unittest.py:

2011-02-01  Ojan Vafai  <ojan@chromium.org>

        Reviewed by Adam Roben.

        include svn revisions in git diffs for the code review tool to use
        https://bugs.webkit.org/show_bug.cgi?id=53569

        * Scripts/webkitpy/common/checkout/scm.py:
        * Scripts/webkitpy/common/checkout/scm_unittest.py:

2011-02-03  MORITA Hajime  <morrita@google.com>

        Reviewed by Darin Fisher.

        [Chromium] Should implement EditorClientImpl::requestCheckingOfString()
        https://bugs.webkit.org/show_bug.cgi?id=51013

        Gave DRT implementation for requestTextCheck().

        * DumpRenderTree/chromium/LayoutTestController.cpp:
        (LayoutTestController::setAsynchronousSpellCheckingEnabled): Implemented.
        * DumpRenderTree/chromium/WebViewHost.cpp:
        (invokeFinishLastTextCheck): Added.
        (WebViewHost::requestTextCheck): Added.
        (WebViewHost::finishLastTextCheck): Added.
        * DumpRenderTree/chromium/WebViewHost.h:

2011-02-07  Joone Hur  <joone.hur@collabora.co.uk>

        Reviewed by Martin Robinson.

        [Gtk] Implement layoutTestController.findString
        https://bugs.webkit.org/show_bug.cgi?id=50237

        * DumpRenderTree/gtk/LayoutTestControllerGtk.cpp:
        (LayoutTestController::findString):

2011-02-07  Chang Shu  <chang.shu@nokia.com>

        Reviewed by Darin Adler.

        We should disable spatial navigation explicitly during the initialization
        of DumpRenderTree.
        https://bugs.webkit.org/show_bug.cgi?id=53928

        * DumpRenderTree/mac/DumpRenderTree.mm:
        (resetDefaultsToConsistentValues):

2011-02-07  Maciej Stachowiak  <mjs@apple.com>

        Not reviewed.

        Fix WebKitTestRunner build on the SL bot.

        * WebKitTestRunner/Configurations/Base.xcconfig: Look for the JSC copy
        of ICU headers.

2011-02-07  Csaba Osztrogonác  <ossy@webkit.org>

        Unreviewed.

        [Qt][WK2] Buildfix after r77794.

       WebKitTestRunner does not block remote resources or complain about them
       https://bugs.webkit.org/show_bug.cgi?id=42139
       <rdar://problem/8183942>

        * WebKitTestRunner/InjectedBundle/qt/InjectedBundle.pro: Add missing includepaths.

2011-02-07  Maciej Stachowiak  <mjs@apple.com>

        Not reviewed.

        More bot appeasement.

        * WebKitTestRunner/WebKitTestRunner.xcodeproj/project.pbxproj:

2011-02-07  Maciej Stachowiak  <mjs@apple.com>

        Not reviewed.

        Remove accidental references to directories on my laptop.

        * WebKitTestRunner/WebKitTestRunner.xcodeproj/project.pbxproj:

2011-02-07  Maciej Stachowiak  <mjs@apple.com>

        Reviewed by Antti Koivisto.

        WebKitTestRunner does not block remote resources or complain about them
        https://bugs.webkit.org/show_bug.cgi?id=42139
        <rdar://problem/8183942>

        * WebKitTestRunner/InjectedBundle/InjectedBundlePage.cpp:
        (WTR::InjectedBundlePage::willSendRequestForFrame): Implement the required
        checks (using KURL, to avoid need to invent a whole URL API).
        * WebKitTestRunner/WebKitTestRunner.xcodeproj/project.pbxproj: Link WebCore
        directly to get at KURL symbols.

2011-02-06  Maciej Stachowiak  <mjs@apple.com>

        Reviewed by Daniel Bates.

        Add WebKit2 bot to list of expected builders in Python regression test results.
        https://bugs.webkit.org/show_bug.cgi?id=53905

        * Scripts/webkitpy/common/net/buildbot/buildbot_unittest.py:

2011-02-06  Maciej Stachowiak  <mjs@apple.com>

        Reviewed by Ryosuke Niwa.

        Update test expectations for new core builder
        https://bugs.webkit.org/show_bug.cgi?id=53904

        * Scripts/webkitpy/common/net/buildbot/buildbot_unittest.py:

2011-02-06  Maciej Stachowiak  <mjs@apple.com>

        Reviewed by David Levin.

        Add WebKit2 test bot to core builders
        https://bugs.webkit.org/show_bug.cgi?id=53901

        * Scripts/webkitpy/common/net/buildbot/buildbot.py:

2011-02-06  Ryosuke Niwa  <rniwa@webkit.org>

        Another unreviewed Chromium build fix.

        * DumpRenderTree/chromium/LayoutTestController.cpp:
        (LayoutTestController::pathToLocalResource):

2011-02-06  Ryosuke Niwa  <rniwa@webkit.org>

        Unreviewed Chromium build fix.

        * DumpRenderTree/chromium/LayoutTestController.cpp:
        (LayoutTestController::pathToLocalResource):

2011-02-06  Ryosuke Niwa  <rniwa@webkit.org>

        Reviewed by Darin Adler.

        OwnArraryPtr.h uses deleteOwnedPtr but doesn’t include OwnPtrCommon.h
        https://bugs.webkit.org/show_bug.cgi?id=52867

        * DumpRenderTree/chromium/ImageDiff.cpp:
        (Image::craeteFromStdin): Call adoptArrayPtr.

2011-02-06  James Kozianski  <koz@chromium.org>

        Reviewed by Ojan Vafai.

        Add classes for representing test outputs.
        https://bugs.webkit.org/show_bug.cgi?id=52136

        These classes will make it easier to write scripts that deal with test
        outputs such as rebaselining and deduping scripts. The intent is that
        eventually we will be have buildbot return TestOutputs for a
        particular build which can be compared with TestOutputs derived from a
        local LayoutTests directory.

        * Scripts/webkitpy/common/net/testoutput.py: Added.
        * Scripts/webkitpy/common/net/testoutput_unittest.py: Added.
        * Scripts/webkitpy/common/net/testoutputset.py: Added.
        * Scripts/webkitpy/common/net/testoutputset_unittest.py: Added.
        * Scripts/webkitpy/common/system/zip_mock.py: Added.

2011-02-06  Robert Hogan  <robert@webkit.org>

        Reviewed by Andreas Kling.

        [Qt] Clear page's groupName even when not in DRT
        https://bugs.webkit.org/show_bug.cgi?id=53874

        * DumpRenderTree/qt/DumpRenderTreeQt.cpp:
        (WebCore::DumpRenderTree::windowCloseRequested):

2011-02-06  Patrick Gansterer  <paroga@webkit.org>

        Reviewed by Andreas Kling.

        [CMake] Add dependencies for Visual Studio projects
        https://bugs.webkit.org/show_bug.cgi?id=53773

        Add a WebKit dependecy to WinCELauncher, so CMake can 
        generate the correct build order for the solution.

        * CMakeListsWinCE.txt:

2011-02-06  Andreas Kling  <kling@webkit.org>

        Reviewed by Antonio Gomes.

        [Qt] MiniBrowser: Clean up handling of titleChanged() signal
        https://bugs.webkit.org/show_bug.cgi?id=53869

        * MiniBrowser/qt/BrowserView.cpp:
        (BrowserView::BrowserView): Remove unnecessary titleChanged() handling.
        * MiniBrowser/qt/BrowserWindow.cpp:
        (BrowserWindow::BrowserWindow): Connect titleChanged() directly to setWindowTitle().
        * MiniBrowser/qt/BrowserWindow.h:

2011-02-06  Maciej Stachowiak  <mjs@apple.com>

        Reviewed by Dan Bernstein.

        WebKitTestRunner needs layoutTestController.setWillSendRequestReturnsNull
        https://bugs.webkit.org/show_bug.cgi?id=42690
        <rdar://problem/8213851>

        * WebKitTestRunner/InjectedBundle/Bindings/LayoutTestController.idl:
        * WebKitTestRunner/InjectedBundle/InjectedBundlePage.cpp:
        (WTR::InjectedBundlePage::willSendRequestForFrame):
        * WebKitTestRunner/InjectedBundle/LayoutTestController.cpp:
        (WTR::LayoutTestController::LayoutTestController):
        * WebKitTestRunner/InjectedBundle/LayoutTestController.h:
        (WTR::LayoutTestController::willSendRequestReturnsNull):
        (WTR::LayoutTestController::setWillSendRequestReturnsNull):

2011-02-05  Sheriff Bot  <webkit.review.bot@gmail.com>

        Unreviewed, rolling out r77720.
        http://trac.webkit.org/changeset/77720
        https://bugs.webkit.org/show_bug.cgi?id=53854

        "Broke nrwt on Chromium win." (Requested by dglazkov|away on
        #webkit).

        * Scripts/webkitpy/common/system/executive.py:

2011-02-05  Sheriff Bot  <webkit.review.bot@gmail.com>

        Unreviewed, rolling out r77725.
        http://trac.webkit.org/changeset/77725
        https://bugs.webkit.org/show_bug.cgi?id=53844

        It broke Qt minimal build (Requested by Ossy_ on #webkit).

        * QtTestBrowser/launcherwindow.cpp:
        (LauncherWindow::createChrome):
        * QtTestBrowser/launcherwindow.h:
        (WindowOptions::WindowOptions):
        * QtTestBrowser/main.cpp:
        (LauncherApplication::handleUserOptions):

2011-02-04  Martin Robinson  <mrobinson@igalia.com>

        Reviewed by Adam Barth.

        [GTK] plugins/plugin-document-back-forward.html fails
        https://bugs.webkit.org/show_bug.cgi?id=53833

        Add the new "alert on load" functionality for the Unix version of the
        test plugin. This functionality was originally introduced in r77706.

        * DumpRenderTree/unix/TestNetscapePlugin/TestNetscapePlugin.cpp:
        (webkit_test_plugin_new_instance): Add new plugin fuctionality.

2011-02-04  Kundu Suchismita  <suchi.kundu@nokia.com>

        Reviewed by Andreas Kling.

        Local Storage settings can be enable/disable from "Develop" menu
        https://bugs.webkit.org/show_bug.cgi?id=52296

        * QtTestBrowser/launcherwindow.cpp:
        (LauncherWindow::createChrome):
        (LauncherWindow::toggleLocalStorage):
        (LauncherWindow::toggleOfflineStorageDatabase):
        (LauncherWindow::toggleOfflineWebApplicationCache):
        (LauncherWindow::setOfflineStorageDefaultQuota):
        * QtTestBrowser/launcherwindow.h:
        (WindowOptions::WindowOptions):
        * QtTestBrowser/main.cpp:
        (LauncherApplication::handleUserOptions):

2011-02-04  Tony Chang  <tony@chromium.org>

        Reviewed by Eric Seidel.

        get test-webkitpy running on win32 python
        https://bugs.webkit.org/show_bug.cgi?id=53822

        The test harness crashes with a WindowsError because it can't find
        'svn' when using subprocess.Popen.  This gets us past the error
        so we can see the failing tests on the Chromium Win Release Tests
        bot.

        * Scripts/webkitpy/common/system/executive.py:

2011-02-04  Martin Robinson  <mrobinson@igalia.com>

        Reviewed by Gustavo Noronha Silva.

        [GTK] fast/events/pagehide-timeout.html fails
        https://bugs.webkit.org/show_bug.cgi?id=53771

        Add knowledge of the document browser cache model the DRT. When resetting
        WebKit settings to consistent values between tests, default to the document
        browser cache model.

        * DumpRenderTree/gtk/DumpRenderTree.cpp:
        (resetDefaultsToConsistentValues): Reset the cache model to the document browser
        cache model between tests.
        * DumpRenderTree/gtk/LayoutTestControllerGtk.cpp:
        (LayoutTestController::setCacheModel): An int value of 2 here corresponds to the
        document browser cache model.

2011-02-04  Adam Barth  <abarth@webkit.org>

        Reviewed by Eric Seidel.

        PluginDocuments don't create widgets for plugins on back/forward
        https://bugs.webkit.org/show_bug.cgi?id=53474

        Teach the test plugin how to call alert on load.

        * DumpRenderTree/TestNetscapePlugIn/main.cpp:
        (NPP_New):

2011-02-04  Adam Roben  <aroben@apple.com>

        Add a test case for encode/decode of FormData/FormDataElement

        If the fix made in r77401 is broken, this new test will crash.

        Fixes <http://webkit.org/b/53616> <rdar://problem/8949883>.

        Reviewed by Sam Weinig.

        * TestWebKitAPI/Test.h: Moved the bulk of TEST_ASSERT into a new _TEST_ASSERT_HELPER macro.
        Added a new TEST_ASSERT_RETURN macro that can be used in functions with a return value.

        * TestWebKitAPI/Tests/WebKit2/RestoreSessionStateContainingFormData.cpp: Added.
        (TestWebKitAPI::didFinishLoadForFrame): Record that the load is finished.
        (TestWebKitAPI::setPageLoaderClient): Hook up the loader client.
        (TestWebKitAPI::createSessionStateContainingFormData): Load simple-form.html, submit the
        form, an return the session state data.
        (TestWebKitAPI::TEST): Create some session state that contains form data from one WKPage,
        and restore it into another WKPage.

        * TestWebKitAPI/Tests/WebKit2/simple-form.html: Added.

        * TestWebKitAPI/TestWebKitAPI.xcodeproj/project.pbxproj:
        * TestWebKitAPI/win/TestWebKitAPI.vcproj:
        * TestWebKitAPI/win/copy-resources.cmd:
        Added new files.

2011-02-04  Adam Roben  <aroben@apple.com>

        Move code to run JavaScript tests into its own files

        This will allow other tests to use this mechanism.

        Fixes <http://webkit.org/b/53806> SpacebarScrolling should share its JavaScript-fu with the
        world

        Reviewed by Sam Weinig.

        * TestWebKitAPI/JavaScriptTest.cpp: Added.
        * TestWebKitAPI/JavaScriptTest.h: Added.
        Moved code here...

        * TestWebKitAPI/Tests/WebKit2/SpacebarScrolling.cpp: ...from here.

        * TestWebKitAPI/TestWebKitAPI.xcodeproj/project.pbxproj:
        * TestWebKitAPI/win/TestWebKitAPI.vcproj:
        Added the new files.

2011-02-04  Dirk Pranke  <dpranke@chromium.org>

        Reviewed by Mihai Parparita.

        merge test expectations for chromium, chromium-gpu. The
        chromium-gpu port will no longer maintain its own
        test expectations file.

        Also add in a graphics_type() call on the port object to
        determine what graphics type to use in the test configuration,
        and log the configuration as a config setting.

        https://bugs.webkit.org/show_bug.cgi?id=53562

        * Scripts/webkitpy/layout_tests/port/base.py:
        * Scripts/webkitpy/layout_tests/layout_package/test_runner.py:
        * Scripts/webkitpy/layout_tests/port/chromium_gpu.py:
        * Scripts/webkitpy/layout_tests/port/chromium_gpu_unittest.py:

2011-02-04  Mikhail Naganov  <mnaganov@chromium.org>

        Reviewed by Pavel Feldman.

        Web Inspector: fix processing Unicode literals from .js sources in check-inspector-strings.
        https://bugs.webkit.org/show_bug.cgi?id=53781

        * Scripts/check-inspector-strings:

2011-02-04  Adam Roben  <aroben@apple.com>

        Include the crashing function in the link to a crash log on Mac

        Fixes <http://webkit.org/b/53780> Crash log links in results.html should include the
        function that crashed on Mac

        Reviewed by David Kilzer.

        * Scripts/old-run-webkit-tests:
        (crashLocation): Moved all the Windows code inside an if instead of using an early return,
        but didn't otherwise change it. Added an if for Mac that parses the crashing function out of
        the crash log.

2011-02-04  Adam Roben  <aroben@apple.com>

        Link to Mac crash logs from results.html

        Fixes <http://webkit.org/b/14861> run-webkit-tests should link to Mac crash logs in
        results.html

        Reviewed by David Kilzer.

        * Scripts/old-run-webkit-tests:
        (captureSavedCrashLog): Added a case for Apple's Mac port. We get the crash log out of
        ~/Library/Logs/CrashReporter, and wait for ReportCrash to exit before trying to get the log.

2011-02-03  Maciej Stachowiak  <mjs@apple.com>

        Reviewed by Dan Bernstein.

        WebKit2: Need WebKit2 equivalent of WebResourceLoadDelegate::willSendRequest in the Bundle
        https://bugs.webkit.org/show_bug.cgi?id=52897
        <rdar://problem/8898294>

        * WebKitTestRunner/InjectedBundle/InjectedBundlePage.cpp:
        (WTR::InjectedBundlePage::InjectedBundlePage):
        (WTR::InjectedBundlePage::willSendRequestForFrame):
        * WebKitTestRunner/InjectedBundle/InjectedBundlePage.h:

2011-02-03  Ivan Krstić  <ike@apple.com>

        Unreviewed.

        Adding myself to committers.py.

        * Scripts/webkitpy/common/config/committers.py:

2011-02-03  James Kozianski  <koz@chromium.org>

        Reviewed by Dimitri Glazkov.

        Add navigator.registerProtocolHandler behind a flag.
        https://bugs.webkit.org/show_bug.cgi?id=52609

        * Scripts/build-webkit:

2011-02-03  Hayato Ito  <hayato@chromium.org>

        Reviewed by Eric Seidel.

        [NRWT] Remove TestArgs class, which is wrongly used.

        https://bugs.webkit.org/show_bug.cgi?id=53063

        * Scripts/webkitpy/layout_tests/layout_package/dump_render_tree_thread.py:
        * Scripts/webkitpy/layout_tests/layout_package/single_test_runner.py:
        * Scripts/webkitpy/layout_tests/test_types/image_diff.py:
        * Scripts/webkitpy/layout_tests/test_types/test_type_base.py:
        * Scripts/webkitpy/layout_tests/test_types/test_type_base_unittest.py:
        * Scripts/webkitpy/layout_tests/test_types/text_diff.py:

2011-02-03  Andrew Wason  <rectalogic@rectalogic.com>

        Reviewed by Kenneth Russell.

        Change ENABLE_3D_CANVAS to ENABLE_WEBGL
        https://bugs.webkit.org/show_bug.cgi?id=53714

        * Scripts/build-webkit: change --3d-canvas build option
          to set ENABLE_WEBGL

2011-02-03  Hayato Ito  <hayato@chromium.org>

        Reviewed by Tony Chang.

        [NRWT] Introduces Input/Output class used by base.Driver into port/base.py and
        move _run_single_test() and _process_output() functions from
        dump_render_tree_thread.py to a single_test_runner.py as an individual module.

        This is clean up and acts as a preparation for elimination of test_types/*
        classes. These classes will move to the single_test_runner module introduced
        in this patch.

        https://bugs.webkit.org/show_bug.cgi?id=53004

        * Scripts/webkitpy/layout_tests/layout_package/dump_render_tree_thread.py:
        * Scripts/webkitpy/layout_tests/layout_package/single_test_runner.py: Added.
        * Scripts/webkitpy/layout_tests/layout_package/test_input.py:
        * Scripts/webkitpy/layout_tests/layout_package/test_output.py: Removed.
        * Scripts/webkitpy/layout_tests/port/base.py:
        * Scripts/webkitpy/layout_tests/port/chromium.py:
        * Scripts/webkitpy/layout_tests/port/dryrun.py:
        * Scripts/webkitpy/layout_tests/port/test.py:
        * Scripts/webkitpy/layout_tests/port/webkit.py:
        * Scripts/webkitpy/layout_tests/test_types/image_diff.py:
        * Scripts/webkitpy/layout_tests/test_types/test_type_base.py:
        * Scripts/webkitpy/layout_tests/test_types/text_diff.py:

2011-02-03  Dirk Pranke  <dpranke@chromium.org>

        Unreviewed, build fix.

        Delete a line that was accidentally missed in r77586; without it
        there is still a race between the two threads.

        https://bugs.webkit.org/show_bug.cgi?id=51572

        * Scripts/webkitpy/layout_tests/layout_package/message_broker_unittest.py:

2011-02-03  Dirk Pranke  <dpranke@chromium.org>

        Reviewed by Tony Chang.

        nrwt: handle "broken pipe" notifications from DRT more cleanly.

        https://bugs.webkit.org/show_bug.cgi?id=52927

        * Scripts/webkitpy/layout_tests/port/server_process.py:
        * Scripts/webkitpy/layout_tests/port/server_process_unittest.py:

2011-02-03  Dirk Pranke  <dpranke@chromium.org>

        Reviewed by Kenneth Russell.

        Update, resubmit change to bug 51572. I think the race that was
        fixed in r76703 caused the hang that caused us to roll this
        patch out before, so I'd like to try again.

        https://bugs.webkit.org/show_bug.cgi?id=51572

        * Scripts/webkitpy/layout_tests/layout_package/message_broker.py:
        * Scripts/webkitpy/layout_tests/layout_package/message_broker_unittest.py:

2011-02-03  Daniel Cheng  <dcheng@chromium.org>

        Unreviewed.

        Adding myself to committers.py.

        * Scripts/webkitpy/common/config/committers.py:

2011-02-03  Adam Roben  <aroben@apple.com>

        Include the crashing function in the link to a crash log

        Fixes <http://webkit.org/b/53739> Crash log links in results.html should include the
        function that crashed

        Reviewed by David Kilzer.

        * Scripts/old-run-webkit-tests:
        (crashLocation): Added. Returns the location of the crash.
        (linksForErrorTest): Include the crash location in the link text for the crash log, if one
        could be determined.

2011-02-03  Dirk Pranke  <dpranke@chromium.org>

        Unreviewed, build fix.

        Actually make the changes suggested by Mihai in his review
        of bug 53720 :(

        https://bugs.webkit.org/show_bug.cgi?id=53720

        * Scripts/webkitpy/layout_tests/port/test_files.py:
        * Scripts/webkitpy/layout_tests/port/test_files_unittest.py:

2011-02-03  Dirk Pranke  <dpranke@chromium.org>

        Reviewed by Mihai Parparita.

        new-run-webkit-tests: Fix bug introduced in r77434 that was
        causing us to run the canvas GPU tests on the Mac GPU port. This
        bug revealed that we were not setting the port.name() field
        properly in many cases, so I've cleaned up all of that code, and
        removed a few comments about "version-specific" GPU ports that
        don't exist and just confused things.

        Testing also revealed that port.abspath_for_test() wasn't
        normalizing paths on Windows properly, so I fixed that as well.

        https://bugs.webkit.org/show_bug.cgi?id=53719

        * Scripts/webkitpy/layout_tests/port/base.py:
        * Scripts/webkitpy/layout_tests/port/chromium_gpu.py:
        * Scripts/webkitpy/layout_tests/port/chromium_gpu_unittest.py:

2011-02-03  Dirk Pranke  <dpranke@chromium.org>

        Reviewed by Mihai Parparita.

        new-run-webkit-tests: fix normalization of paths on windows when gathering files

        r77434 introduced a bug that was causing the test expectations
        for the GPU ports to not be treated properly. It turns out that
        when we gathered the list of test files on Windows, we would
        return paths of the form "c:\LayoutTests/fast/canvas", and the
        mixture of backslashes and forward slashes was confusing things.

        This patch normalizes all of the filenames returned from
        test_files.find(), and adds better tests for this (fixing a
        couple of other bugs found in the meantime).

        https://bugs.webkit.org/show_bug.cgi?id=53720

        * Scripts/webkitpy/layout_tests/port/test.py:
        * Scripts/webkitpy/layout_tests/port/test_files.py:
        * Scripts/webkitpy/layout_tests/port/test_files_unittest.py:

2011-02-03  Adam Roben  <aroben@apple.com>

        Add links to Windows crash logs in results.html

        Fixes <http://webkit.org/b/53718> run-webkit-tests should link to Windows crash logs in
        results.html

        Reviewed by David Kilzer.

        * Scripts/old-run-webkit-tests:
        (top level): Added $crashLogTag and $windowsCrashLogFilePrefix (which came from
        createDebuggerCommandFile).
        (testCrashedOrTimedOut): If the test crashed, capture any saved crash log after the dump
        tool has exited.
        (captureSavedCrashLog): Added. Finds the crash log for the test that just crashed and moves
        it into the test results directory tree. Only implemented for Cygwin currently.
        (findNewestFileMatchingGlob): Added. Does what it says.
        (htmlForResultsSection): Only link to files that exist.
        (linksForErrorTest): Add a link to the crash log.
        (deleteExpectedAndActualResults): Delete any old crash log for this test.
        (createDebuggerCommandFile): Use the new $windowsCrashLogFilePrefix constant instead of
        hardcoding it here.

2011-02-03  Adam Roben  <aroben@apple.com>

        Tell the debugger the path to the WebKit source tree when saving a crash log

        This allows the debugger to include the crashing line of code in the log.

        Fixes <http://webkit.org/b/53678> Crash logs from buildslaves don't show the crashing line
        of code

        Reviewed by Sam Weinig.

        * Scripts/old-run-webkit-tests:
        (createDebuggerCommandFile): Added. Saves commands that we'd like the debugger to run to a
        file and returns the path to that file. The commands we pass came from
        setUpWindowsCrashLogSaving, but I've added a .srcpath command to tell the debugger where the
        WebKit source code lives.
        (setUpWindowsCrashLogSaving): Instead of specifying the commands directly on the command
        line using -c, save them to a file and specify the path to that file using -cf. This works
        around what is presumably a bug in Windows's command line parsing, where having multiple
        quoted paths in the debugger commands causes the post-mortem debugger not to be invoked at
        all. Also pulled the options we pass to the debugger out into a list that is then join()ed
        together to make them easier to modify in the future.

2011-02-02  Sam Weinig  <sam@webkit.org>

        Reviewed by Anders Carlsson.

        Add notification of the end of a rubber band.
        <rdar://problem/8940648>

        * MiniBrowser/mac/BrowserWindowController.m:
        (-[BrowserWindowController awakeFromNib]):
        * WebKitTestRunner/TestController.cpp:
        (WTR::TestController::createOtherPage):
        (WTR::TestController::initialize):
        Stub out the new WKUIClient function.

2011-02-03  Gabor Rapcsanyi  <rgabor@webkit.org>

        Unreviewed.

        Adding myself to committers.py.

        * Scripts/webkitpy/common/config/committers.py:

2011-02-03  Balazs Kelemen  <kbalazs@webkit.org>

        Reviewed by Csaba Osztrogonác.

        [Qt][WK2] MiniBrowser's window size should be 800x600
        https://bugs.webkit.org/show_bug.cgi?id=53670

        Make layout test failure debugging easier.
        * MiniBrowser/qt/BrowserWindow.cpp:
        (BrowserWindow::BrowserWindow):

2011-02-02  Andy Estes  <aestes@apple.com>

        Reviewed by Mark Rowe.

        'update-webkit' should handle OpenSource and Internal using different
        VCSs.

        * Scripts/update-webkit: Re-check the VCS type when updating Apple's
        Internal directory.

2011-02-02  Dirk Pranke  <dpranke@chromium.org>

        Reviewed by Mihai Parparita.

        new-run-webkit-tests: hardcode the directories to scan for tests
        for GPU bots instead of SKIPping them. See bug 53562 for some
        context, but we will now hard-code the list of directories to
        use by default instead of skipping over directories in the
        expectations file. We do this so that we will be able to merge
        the expectations files without getting conflicting SKIP
        directives. Note that this change will reduce the # of tests
        being run on the Mac GPU bots, because we're accidentally
        including some today.

        https://bugs.webkit.org/show_bug.cgi?id=53631

        * Scripts/webkitpy/layout_tests/port/base.py:
        * Scripts/webkitpy/layout_tests/port/chromium_gpu.py:
        * Scripts/webkitpy/layout_tests/port/chromium_gpu_unittest.py:

2011-02-02  Sam Weinig  <sam@webkit.org>

        Reviewed by Beth Dakin.

        Add ChromeClient function to paint custom overhang areas.
        https://bugs.webkit.org/show_bug.cgi?id=53639

        * WebKitTestRunner/InjectedBundle/InjectedBundlePage.cpp:
        (WTR::InjectedBundlePage::InjectedBundlePage):
        Stub out new callback.

2011-02-02  Dirk Pranke  <dpranke@chromium.org>

        Reviewed by Tony Chang.

        new-run-webkit-tests: support chromium code paths in mock_drt

        https://bugs.webkit.org/show_bug.cgi?id=53471

        * Scripts/webkitpy/layout_tests/port/mock_drt.py:
        * Scripts/webkitpy/layout_tests/port/mock_drt_unittest.py:

2011-02-02  Adam Klein  <adamk@chromium.org>

        Reviewed by Tony Chang.

        Update new-run-webkit-tests --chromium to put output under Source/...
        https://bugs.webkit.org/show_bug.cgi?id=53612

        * BuildSlaveSupport/test-result-archive:
        * Scripts/webkitpy/layout_tests/port/chromium.py:

2011-01-28  Tony Chang  <tony@chromium.org>

        Reviewed by Eric Seidel.

        [chromium] remove --use-test-shell from NRWT
        https://bugs.webkit.org/show_bug.cgi?id=53346

        I've already started removing some of the bindings like eventSender so
        this already doesn't work isn't useful.  Also updated some comments to
        refer to DRT instead of test_shell.

        * Scripts/webkitpy/layout_tests/layout_package/test_expectations.py:
        * Scripts/webkitpy/layout_tests/port/chromium.py:
        * Scripts/webkitpy/layout_tests/port/chromium_linux.py:
        * Scripts/webkitpy/layout_tests/port/chromium_mac.py:
        * Scripts/webkitpy/layout_tests/port/chromium_unittest.py:
        * Scripts/webkitpy/layout_tests/port/chromium_win.py:
        * Scripts/webkitpy/layout_tests/run_webkit_tests.py:
        * Scripts/webkitpy/layout_tests/test_types/text_diff.py:

2011-02-02  Steve Lacey  <sjl@chromium.org>

        Reviewed by Eric Carlson.

        Implement basic media statistics on media elements.
        https://bugs.webkit.org/show_bug.cgi?id=53322

        * Scripts/build-webkit:

2011-02-02  Kevin Ollivier  <kevino@theolliviers.com>

        [wx] Build fixes for wxWebKit.

        * DumpRenderTree/wx/LayoutTestControllerWx.cpp:
        (LayoutTestController::setSerializeHTTPLoads):
        * wx/browser/wscript:
        * wx/build/build_utils.py:
        * wx/build/settings.py:

2011-02-01  Dirk Pranke  <dpranke@chromium.org>

        Reviewed by Mihai Parparita.

        new-run-webkit-tests: stop skipping so many tests

        r77163 introduced a regression where we weren't resetting test
        expectations properly and were skipping too many tests as a
        result. This patch fixes that and adds a test for it.

        https://bugs.webkit.org/show_bug.cgi?id=53551

        * Scripts/webkitpy/layout_tests/layout_package/test_expectations.py:
        * Scripts/webkitpy/layout_tests/layout_package/test_expectations_unittest.py:

2011-02-01  Dirk Pranke  <dpranke@chromium.org>

        Reviewed by Tony Chang.

        new-run-webkit-tests: add first stub of test_runner2. This
        will add support for the 'inline', 'threads', and 'processes'
        flags to --worker-model, but for now the implementatios just
        fall back on the old ones.

        https://bugs.webkit.org/show_bug.cgi?id=53157

        * Scripts/webkitpy/layout_tests/layout_package/test_runner2.py:
        * Scripts/webkitpy/layout_tests/run_webkit_tests_unittest.py:

2011-02-01  Mihai Parparita  <mihaip@chromium.org>

        Reviewed by James Robinson.

        [Chromium] run-chromium-webkit-unit-tests looks for binaries in the wrong place
        https://bugs.webkit.org/show_bug.cgi?id=53522

        * Scripts/run-chromium-webkit-unit-tests:

2011-02-01  Adam Barth  <abarth@webkit.org>

        Reviewed by Mihai Parparita.

        Using Control-C to cancel webkit-patch or other python tools causes
        unpleasant traceback console spew
        https://bugs.webkit.org/show_bug.cgi?id=53462

        Catch the exception and don't print the stack trace.

        * Scripts/webkit-patch:

2011-02-01  Scott Cameron  <sccameron@rim.com>

        Reviewed by Daniel Bates.

        Use Windows format for MinGW HTTPD path.
        https://bugs.webkit.org/show_bug.cgi?id=53503

        * Scripts/webkitperl/httpd.pm:
          - Use single-quotes around MySys value for $httpdPath in getHTTPDPath()
            so that we don't have to escape the space characters in the path. Also,
            changed path to Windows-style path and removed FIXME comment.

2011-02-01  Balazs Kelemen  <kbalazs@webkit.org>

        Reviewed by Andreas Kling.

        [Qt][WK2] Add a way to use shared process model in MiniBrowser
        https://bugs.webkit.org/show_bug.cgi?id=53090

        * MiniBrowser/qt/BrowserView.cpp:
        (BrowserView::BrowserView): Removed the m_context member.
        From now the context is guaranteed to be non-null and we
        don't need to store that in the object.
        * MiniBrowser/qt/BrowserView.h:
        * MiniBrowser/qt/BrowserWindow.cpp:
        Added static bool to determine that new windows need to be
        created with their own context or not. Use the same context
        and web process by default to be inilne with the other ports.
        (BrowserWindow::BrowserWindow):
        (BrowserWindow::newWindow):
        * MiniBrowser/qt/BrowserWindow.h:
        * MiniBrowser/qt/main.cpp:
        (main): Added command line switch to be able to use the
        non-shared process model. Simplify the handling of the command line
        switches a little bit.

2011-02-01  Zoltan Horvath  <zoltan@webkit.org>

        Reviewed by Andreas Kling.

        [Qt] Add Window menu and Toggle FullScreen action to MiniBrowser.
        https://bugs.webkit.org/show_bug.cgi?id=53491

        * MiniBrowser/qt/BrowserWindow.cpp:
        (BrowserWindow::BrowserWindow):
        (BrowserWindow::toggleFullScreenMode):
        * MiniBrowser/qt/BrowserWindow.h:

2011-02-01  Zoltan Horvath  <zoltan@webkit.org>

        Reviewed by Andreas Kling.

        [Qt] Add Toggle Frame Flattening, Auto Load Images and Disable JavaScript actions to MiniBrowser.
        https://bugs.webkit.org/show_bug.cgi?id=53489

        Add Toggle Frame Flattening action to Develop menu. Add Auto Load Images and Disable JavaScript actions
        to Settings menu.

        * MiniBrowser/qt/BrowserWindow.cpp:
        (BrowserWindow::BrowserWindow):
        (BrowserWindow::toggleFrameFlattening):
        (BrowserWindow::toggleDisableJavaScript):
        (BrowserWindow::toggleAutoLoadImages):
        * MiniBrowser/qt/BrowserWindow.h:

2011-01-31  Mihai Parparita  <mihaip@chromium.org>

        Reviewed by Tony Chang.

        [Chromium] Switch chromium-mac to use ChromiumDriver
        https://bugs.webkit.org/show_bug.cgi?id=53461
        
        For the sake of consistency with the other Chromium platforms (and so
        that chromium-mac picks up special flags like --enable-hardware-gpu),
        switch chromium-mac from the WebKitDriver to ChromiumDriver.

        * Scripts/webkitpy/layout_tests/port/chromium.py:

2011-01-31  Dirk Pranke  <dpranke@chromium.org>

        Reviewed by Mihai Parparita.

        The current modifier parsing code in test_expectations is
        fragile and hard-coded, so it's not easy to understand the logic
        or easily add new types of modifiers (like GPU vs. CPU testing
        for graphics tests, or 32-bit vs. 64-bit differences).

        This is the first of two patches that will add in more generic
        support and then eliminate the GPU-specific test expectations
        files for Chromium.

        This patch adds two standalone objects for handling modifiers. The
        rules for interpreting modifiers, precedence, and conflicts are
        given in the docstring to the ModifierMatcher class, which
        returns ModifierMatchResult objects.
        
        This patch also adds routines to the Port interface and a
        default set of values in the base object, in order to obtain the
        values needed on a given test run. These values are then passed
        to the expectation parser. This also allows us to clean up the
        logic used to lint all of the different configurations in a
        single test_expectations.txt file.

        The next patch will merge in the separate GPU expectations file.

        https://bugs.webkit.org/show_bug.cgi?id=51222

        * Scripts/webkitpy/layout_tests/layout_package/printing_unittest.py:
        * Scripts/webkitpy/layout_tests/layout_package/test_expectations.py:
        * Scripts/webkitpy/layout_tests/layout_package/test_expectations_unittest.py:
        * Scripts/webkitpy/layout_tests/layout_package/test_runner.py:
        * Scripts/webkitpy/layout_tests/port/base.py:
        * Scripts/webkitpy/layout_tests/port/base_unittest.py:
        * Scripts/webkitpy/layout_tests/port/chromium.py:
        * Scripts/webkitpy/layout_tests/port/port_testcase.py:
        * Scripts/webkitpy/layout_tests/port/test.py:
        * Scripts/webkitpy/layout_tests/port/webkit.py:
        * Scripts/webkitpy/layout_tests/rebaseline_chromium_webkit_tests.py:
        * Scripts/webkitpy/layout_tests/rebaseline_chromium_webkit_tests_unittest.py:
        * Scripts/webkitpy/layout_tests/run_webkit_tests.py:
        * Tools/Scripts/webkitpy/style/checkers/test_expectations.py:
        * Tools/Scripts/webkitpy/style/checkers/test_expectations_unittest.py:

2011-01-31  Scott Cameron  <sccameron@rim.com>

        Reviewed by Daniel Bates.

        update run-webkit-httpd to be able to launch Apache2.2 in a MSYS environment
        https://bugs.webkit.org/show_bug.cgi?id=50036

        This will add an Apache2.2 configuration file and modifies scripts to allow
        running an httpd server in an MSYS environment.

        The default Apache2.2 installation path has been preserved and PHP5 modules disabled
        in order to allow for simple installation/execution.  Simply install the latest
        Apache2.2 version with OpenSSL from http://httpd.apache.org/download.cgi#apache22 to
        be able to execute run-webkit-httpd.
        

        * Scripts/run-webkit-httpd:
        * Scripts/webkitperl/httpd.pm:

2011-01-31  Tony Chang  <tony@chromium.org>

        Reviewed by Eric Seidel.

        mac DRT should report RTL scroll offset relative to top right corner
        https://bugs.webkit.org/show_bug.cgi?id=53324

        * DumpRenderTree/mac/DumpRenderTree.mm:
        (dumpFrameScrollPosition):

2011-01-31  Zoltan Horvath  <zoltan@webkit.org>

        Reviewed by Andreas Kling.

        [Qt] Add Take Screen Shot action to MiniBrowser
        https://bugs.webkit.org/show_bug.cgi?id=53422

        Add Take Screen Shot action to MiniBrowser's view menu.

        * MiniBrowser/qt/BrowserWindow.cpp:
        (BrowserWindow::BrowserWindow):
        (BrowserWindow::screenshot):
        * MiniBrowser/qt/BrowserWindow.h:

2011-01-31  Gustavo Noronha Silva  <gustavo.noronha@collabora.co.uk>

        Reviewed by Xan Lopez.

        [GTK] REGRESSION:  http/tests/media/video-{cookie,referer}.html failing
        https://bugs.webkit.org/show_bug.cgi?id=53379

        Remove left over #ifdef's. I thought all of the conditional code
        had been freed from the condition, but I forgot to check DRT.

        * DumpRenderTree/gtk/DumpRenderTree.cpp:
        (resetDefaultsToConsistentValues):
        * DumpRenderTree/gtk/LayoutTestControllerGtk.cpp:
        (LayoutTestController::setAlwaysAcceptCookies):

2011-01-30  Dirk Pranke  <dpranke@chromium.org>

        Unreviewed, build fix.

        Fix regression introduced in r77093 - path.rsplit() doesn't
        take keyword arguments.

        https://bugs.webkit.org/show_bug.cgi?id=53326

        * Scripts/webkitpy/common/system/filesystem_mock.py:

2011-01-30  Dirk Pranke  <dpranke@chromium.org>

        Reviewed by Mihai Parparita.

        Add more unit tests for rebaseline-chromium-webkit-tests. This
        change involves restructuring a bunch of r-c-w-t code to make it
        more testable as well. We also add wrapper classes for handling
        testing zip files and fetching URLs.

        https://bugs.webkit.org/show_bug.cgi?id=53040

        * Scripts/webkitpy/common/system/urlfetcher.py:
        * Scripts/webkitpy/common/system/urlfetcher_mock.py:
        * Scripts/webkitpy/common/system/zipfileset_mock.py:
        * Scripts/webkitpy/layout_tests/rebaseline_chromium_webkit_tests.py:
        * Scripts/webkitpy/layout_tests/rebaseline_chromium_webkit_tests_unittest.py:
        * Scripts/webkitpy/tool/mocktool.py:

2011-01-30  Dirk Pranke  <dpranke@chromium.org>

        Reviewed by Eric Seidel.

        Clean up of the filesystem-related modules used in webkitpy.
        I've added relpath() to the filesystem interface, modified
        ospath.relpath() so that it could work with the filesystem
        interface, and modified the fileset* routines to use the
        filesystem interface consistently.

        This patch also adds a close() routine to the fileset routines
        to indicate that the caller is done with the fileset. This
        allows zipfileset to clean up after itself when it creates
        tempfiles to store downloads.

        https://bugs.webkit.org/show_bug.cgi?id=53326

        * Scripts/webkitpy/common/system/directoryfileset.py:
        * Scripts/webkitpy/common/system/fileset.py:
        * Scripts/webkitpy/common/system/filesystem.py:
        * Scripts/webkitpy/common/system/filesystem_mock.py:
        * Scripts/webkitpy/common/system/filesystem_unittest.py:
        * Scripts/webkitpy/common/system/ospath.py:
        * Scripts/webkitpy/common/system/zipfileset.py:
        * Scripts/webkitpy/common/system/zipfileset_unittest.py:

2011-01-30  Balazs Kelemen  <kbalazs@webkit.org>

        Reviewed by Csaba Osztrogonác.

        [Qt][WK2]REGRESSION (r76991): Fix build errors
        https://bugs.webkit.org/show_bug.cgi?id=53400

        Revert the temporary build fix (http://trac.webkit.org/changeset/77088)
        and remove WebKit2Prefix.h from the build.
        * MiniBrowser/qt/MiniBrowser.pro:

2011-01-30  Csaba Osztrogonác  <ossy@webkit.org>

        Unreviewed.

        [Qt][WK2] Buildfix.

        * MiniBrowser/qt/MiniBrowser.pro:

2011-01-28  Simon Fraser  <simon.fraser@apple.com>

        Reviewed by Adam Roben.
        
        define NOMINMAX when building ImageDiff, as we do elsewhere.

        Add various clampToInt() methods to MathExtras.h
        https://bugs.webkit.org/show_bug.cgi?id=52910

        * DumpRenderTree/win/ImageDiffCommon.vsprops:

2011-01-28  Maciej Stachowiak  <mjs@apple.com>

        Reviewed by Darin Adler.

        WebKitTestRunner needs layoutTestController.setPOSIXLocale
        https://bugs.webkit.org/show_bug.cgi?id=42682

        * WebKitTestRunner/InjectedBundle/Bindings/LayoutTestController.idl:
        * WebKitTestRunner/InjectedBundle/InjectedBundle.cpp:
        (WTR::InjectedBundle::resetLocalSettings):
        (WTR::InjectedBundle::didReceiveMessage):
        * WebKitTestRunner/InjectedBundle/InjectedBundle.h:
        * WebKitTestRunner/InjectedBundle/LayoutTestController.cpp:
        (WTR::LayoutTestController::setPOSIXLocale):
        * WebKitTestRunner/InjectedBundle/LayoutTestController.h:

2011-01-28  Dirk Pranke  <dpranke@chromium.org>
 
         Reviewed by Mihai Parparita.
 
         test-webkitpy: fix webkitpy.layout_tests.port.mac_unittest.MacTest.test_skipped_file_paths
 
         This patch re-enables this test and changes it to
         handle all of the mac platform versions, not just the one
         it is running on.
 
         https://bugs.webkit.org/show_bug.cgi?id=53356
 
         * Scripts/webkitpy/layout_tests/port/mac_unittest.py:
 
2011-01-28  Dirk Pranke  <dpranke@chromium.org>

        Unreviewed, build fix.

        Take two. The fix in 77023 didn't work, because we were
        still calling path.abspath_to_uri, which calls _cygpath under
        the covers, and it appears the cygpath on the bots does
        something different than it does on my machine. This patch
        removes the calls to path.abspath_to_uri, so it should be safe.
        If it doesn't work, I'll roll it out along with r76982 and 77023.

        https://bugs.webkit.org/show_bug.cgi?id=53126

        * Scripts/webkitpy/layout_tests/port/test.py:

2011-01-28  David Kilzer  <ddkilzer@apple.com>

        <rdar://problem/8930699> build-webkit gives a bogus warning with newer versions of Xcode 
        <http://webkit.org/b/53353>

        Reviewed by Mark Rowe.

        * Scripts/webkitdirs.pm:
        (checkRequiredSystemConfig): Check the Xcode marketing version
        in addition to the DevCoreTools build version before complaining
        about an old version of Xcode.  Also make the Mac OS X version
        check use Perl's built-in version string comparitor.

2011-01-28  Dirk Pranke  <dpranke@chromium.org>

        Unreviewed, build fix.

        Work around breakage on Win 7 Release bot caused by r76982
        and the fact that windows ports use "file:////" instead of
        "file:///". Ideally the test code should be isolated from
        this, but it isn't yet. Will fix properly in a bit.

        * Scripts/webkitpy/layout_tests/port/mock_drt_unittest.py:

2011-01-28  Dirk Pranke  <dpranke@chromium.org>

        Reviewed by Tony Chang.

        new-run-webkit-tests: change worker model values to
        "old-inline", "old-threads" in preparation for test_runner2 /
        multiprocessing changes.

        https://bugs.webkit.org/show_bug.cgi?id=53156

        * Scripts/webkitpy/layout_tests/layout_package/test_runner.py:
        * Scripts/webkitpy/layout_tests/port/base.py:
        * Scripts/webkitpy/layout_tests/port/chromium_mac.py:
        * Scripts/webkitpy/layout_tests/port/mac.py:
        * Scripts/webkitpy/layout_tests/run_webkit_tests.py:

2011-01-28  Dirk Pranke  <dpranke@chromium.org>

        Reviewed by Tony Chang.

        committers.py - add an IRC nickname for dpranke
        https://bugs.webkit.org/show_bug.cgi?id=53335

        * Scripts/webkitpy/common/config/committers.py:

2011-01-28  Dirk Pranke  <dpranke@chromium.org>

        Reviewed by Tony Chang.

        new-run-webkit-tests: add a "mock DRT" port implementation
        and a separate class that emulates what we expect the
        DumpRenderTree behavior to be.

        This will eventually replace port/dryrun.py and allow us to get
        better test coverage of the new-run-webkit-tests code as well as
        a reference for what new-run-webkit-tests expects from DRT.

        This is the first attempt at this, and it is pretty bare-boned. It
        really only has been tested on the 'mac' port (and a little on
        the 'chromium-mac' port.

        https://bugs.webkit.org/show_bug.cgi?id=53126

        * Scripts/webkitpy/common/system/filesystem_mock.py:
        * Scripts/webkitpy/layout_tests/port/dryrun.py:
        * Scripts/webkitpy/layout_tests/port/factory.py:
        * Scripts/webkitpy/layout_tests/port/mock_drt.py: Added.
        * Scripts/webkitpy/layout_tests/port/mock_drt_unittest.py: Added.
        * Scripts/webkitpy/layout_tests/port/test.py:

2011-01-28  Pratik Solanki  <psolanki@apple.com>

        Unreviewed. Removing .swp file checked in by mistake.

        * Scripts/.webkitdirs.pm.swp: Removed.

2011-01-28  Pratik Solanki  <psolanki@apple.com>

        Reviewed by David Kilzer.

        Space not necessary for undefined feature
        https://bugs.webkit.org/show_bug.cgi?id=53317

        * Scripts/build-webkit:

2011-01-28  Chang Shu  <chang.shu@nokia.com>

        Reviewed by Andreas Kling.

        Reset NetworkAccessManager to clean up credentials from previous tests.
        This change causes no performance overhead either.
        https://bugs.webkit.org/show_bug.cgi?id=36688

        * DumpRenderTree/qt/DumpRenderTreeQt.cpp:
        (WebCore::DumpRenderTree::resetToConsistentStateBeforeTesting):
        (WebCore::DumpRenderTree::open):
        * DumpRenderTree/qt/DumpRenderTreeQt.h:

2011-01-28  Zoltan Horvath  <zoltan@webkit.org>

        Reviewed by Andreas Kling.

        [Qt] Add Zoom Text Only action to MiniBrowser
        https://bugs.webkit.org/show_bug.cgi?id=53297

        Add Zoom Text Only action to MiniBrowser's view menu, change zoom levels to avoid unnecessary divides.

        * MiniBrowser/qt/BrowserWindow.cpp:
        (BrowserWindow::BrowserWindow):
        (BrowserWindow::zoomIn):
        (BrowserWindow::zoomOut):
        (BrowserWindow::resetZoom):
        (BrowserWindow::toggleZoomTextOnly):
        (BrowserWindow::applyZoom):
        * MiniBrowser/qt/BrowserWindow.h:

2011-01-28  Adam Barth  <abarth@webkit.org>

        Reviewed by Eric Seidel.

        Add webkit-patch roll-chromium-deps
        https://bugs.webkit.org/show_bug.cgi?id=53288

        This command updates the Source/WebKit/chromium/DEPS file with the
        last-known good revision of Chromium (or a revision specified on the
        command line).  I'd eventually like to turn this into a SheriffBot
        command, but this is the first step.

        This patch somewhat sprawled because I needed to move a bunch of code
        out of ChangeLog that should never have been there in the first place.
        Also, I had to fix a bug in MockUser in order to test the new command.

        * Scripts/webkitpy/common/checkout/api.py:
        * Scripts/webkitpy/common/checkout/changelog.py:
        * Scripts/webkitpy/common/checkout/changelog_unittest.py:
        * Scripts/webkitpy/common/checkout/deps.py: Added.
        * Scripts/webkitpy/common/config/urls.py:
        * Scripts/webkitpy/tool/commands/__init__.py:
        * Scripts/webkitpy/tool/commands/download_unittest.py:
        * Scripts/webkitpy/tool/commands/roll.py: Added.
        * Scripts/webkitpy/tool/commands/roll_unittest.py: Added.
        * Scripts/webkitpy/tool/commands/upload_unittest.py:
        * Scripts/webkitpy/tool/mocktool.py:
        * Scripts/webkitpy/tool/steps/__init__.py:
        * Scripts/webkitpy/tool/steps/preparechangelogfordepsroll.py: Added.
        * Scripts/webkitpy/tool/steps/preparechangelogforrevert.py:
        * Scripts/webkitpy/tool/steps/preparechangelogforrevert_unittest.py: Added.
        * Scripts/webkitpy/tool/steps/suggestreviewers_unittest.py:
        * Scripts/webkitpy/tool/steps/updatechromiumdeps.py: Added.
        * Scripts/webkitpy/tool/steps/validatechangelogs_unittest.py:

2011-01-27  Greg Coletta  <greg.coletta@nokia.com>

        Reviewed by Laszlo Gombos.

        Get rid of prefix header dependency for WebKit2 build system
        https://bugs.webkit.org/show_bug.cgi?id=50174

        Change the style checker so that it enforces config.h include for
        WebKit2.

        * Scripts/webkitpy/style/checker.py:

2011-01-27  Maciej Stachowiak  <mjs@apple.com>

        Reviewed by Darin Adler.

        execCommand("Paste") doesn't work in WebKitTestRunner
        https://bugs.webkit.org/show_bug.cgi?id=52785

        Enable both of the settings needed to allow paste.
        
        * WebKitTestRunner/TestController.cpp:
        (WTR::TestController::resetStateToConsistentValues):

2011-01-27  Jacob Dinu  <dinu.jacob@nokia.com>

        Reviewed by Andreas Kling.

        [Qt] QtTestBrowser: User input lost when toggling use of QGraphicsView
        https://bugs.webkit.org/show_bug.cgi?id=48440

        Preserve user input when toggling use of QGraphicsView

        * QtTestBrowser/launcherwindow.cpp:
        (LauncherWindow::initializeView):
        (LauncherWindow::loadFinished):
        * QtTestBrowser/launcherwindow.h:
        * QtTestBrowser/mainwindow.cpp:
        (MainWindow::addressUrl):
        * QtTestBrowser/mainwindow.h:

2011-01-27  Dirk Pranke  <dpranke@chromium.org>

        Reviewed by Mihai Parparita.

        new-run-webkit-tests: turn off pixel tests correctly by default
        for webkit-based ports. r70013 (bug 47510) used
        port.set_option_default() to attempt to set default values, but
        that didn't work correctly. I have removed set_option_default
        for now since it was only being used in two places and in three
        useless unit tests. There is a separate bug open to fix the
        option parsing (48095), so this workaround is fine for now.

        https://bugs.webkit.org/show_bug.cgi?id=53217

        * Scripts/webkitpy/layout_tests/port/webkit.py:
        * Scripts/webkitpy/layout_tests/port/base.py:
        * Scripts/webkitpy/layout_tests/port/base_unittest.py:

2011-01-27  Balazs Kelemen  <kbalazs@webkit.org>

        Rubber-stamped by Ariya Hidayat.

        Trivial crash fix in WTR.

        * WebKitTestRunner/TestController.cpp:
        (WTR::TestController::initialize): Increase the size
        of the vector by one to be able to store the null character.

2011-01-27  Balazs Kelemen  <kbalazs@webkit.org>

        Reviewed by Csaba Osztrogonác.

        [Qt][WK2] WTR should be initialized in the same way as DRT
        https://bugs.webkit.org/show_bug.cgi?id=53240

        * WebKitTestRunner/InjectedBundle/qt/ActivateFontsQt.cpp:
        (WTR::activateFonts): Added missing initialization steps.

2011-01-27  Joone Hur <joone.hur@collabora.co.uk>

        Unreviewed. 

        Adding myself to committers.py.

        * Scripts/webkitpy/common/config/committers.py:

2011-01-27  Laszlo Gombos  <laszlo.1.gombos@nokia.com>

        Reviewed by Csaba Osztrogonác.

        [Qt] [Symbian] Move project files into Source
        https://bugs.webkit.org/show_bug.cgi?id=52891

        Fix the Symbian build after the project files
        are moved to Source directory. On Symbian qmake
        needs to run in the same directory where the main
        pro files (WebKit.pro, Tools.pro) are located.

        * Scripts/webkitdirs.pm: Change to the directory where the pro file
        is located before running qmake for Symbian. Qmake on Symbian
        does not properly honor the "-o" option, work it around by setting
        the name of the Makefile to bld.inf.

2011-01-27  Zoltan Horvath  <zoltan@webkit.org>

        Reviewed by Andreas Kling.

        [Qt] Add simple zooming features to MiniBrowser
        https://bugs.webkit.org/show_bug.cgi?id=53231

        Add View menu and Zoom In, Zoom Out, Zoom Reset actions to MiniBrowser.

        * MiniBrowser/qt/BrowserWindow.cpp:
        (BrowserWindow::BrowserWindow):
        (BrowserWindow::zoomIn):
        (BrowserWindow::zoomOut):
        (BrowserWindow::resetZoom):
        (BrowserWindow::updateUserAgentList):
        (BrowserWindow::applyZoom):
        * MiniBrowser/qt/BrowserWindow.h:

2011-01-26  Maciej Stachowiak  <mjs@apple.com>

        Reviewed by Dan Bernstein.

        WebKitTestRunner needs to support layoutTestController.evaluateInWebInspector
        https://bugs.webkit.org/show_bug.cgi?id=42319
        
        Add evaluateInWebInspector and other APIs needed for inspector tests to run.

        * WebKitTestRunner/InjectedBundle/Bindings/LayoutTestController.idl:
        * WebKitTestRunner/InjectedBundle/LayoutTestController.cpp:
        (WTR::LayoutTestController::showWebInspector):
        (WTR::LayoutTestController::closeWebInspector):
        (WTR::LayoutTestController::evaluateInWebInspector):
        (WTR::LayoutTestController::setTimelineProfilingEnabled):
        * WebKitTestRunner/InjectedBundle/LayoutTestController.h:
        * WebKitTestRunner/TestInvocation.cpp:
        (WTR::shouldOpenWebInspector):
        (WTR::TestInvocation::invoke):
        * WebKitTestRunner/WebKitTestRunnerPrefix.h:

2011-01-26  Martin Robinson  <mrobinson@igalia.com>

        Reviewed by Xan Lopez.

        [GTK] Pixel dumps do not include scrollbars in output images
        https://bugs.webkit.org/show_bug.cgi?id=53216

        Show scrollbars in pixel dumps. This will fix pixel dumps for tests
        that have scrollbars.

        * DumpRenderTree/gtk/PixelDumpSupportGtk.cpp:
        (createBitmapContextFromWebView): Take the snapshot of the containing GtkScrolledWindow
        instead of the web view itself.

2011-01-26  Dirk Pranke  <dpranke@chromium.org>

        Reviewed by Mihai Parparita.

        Fix regression introduced in r76322 ... new-run-webkit-tests
        was attempting to save the image diff output as a UTF-8-encoded
        file.

        https://bugs.webkit.org/show_bug.cgi?id=53210

        * Scripts/webkitpy/layout_tests/port/webkit.py:

2011-01-26  Sheriff Bot  <webkit.review.bot@gmail.com>

        Unreviewed, rolling out r76709.
        http://trac.webkit.org/changeset/76709
        https://bugs.webkit.org/show_bug.cgi?id=53194

        "broke python tests on non-snowleopard platforms" (Requested
        by dpranke on #webkit).

        * Scripts/webkitpy/layout_tests/port/factory.py:
        * Scripts/webkitpy/layout_tests/port/mock_drt.py: Removed.
        * Scripts/webkitpy/layout_tests/port/mock_drt_unittest.py: Removed.

2011-01-26  Dirk Pranke  <dpranke@chromium.org>

        Reviewed by Tony Chang.

        new-run-webkit-tests: add a "mock DRT" port implementation
        and a separate class that emulates what we expect the
        DumpRenderTree behavior to be.

        This will eventually replace port/dryrun.py and allow us to get
        better test coverage of the new-run-webkit-tests code as well as
        a reference for what new-run-webkit-tests expects from DRT.

        This is the first attempt at this, and it is pretty bare-boned. It
        really only has been tested on the 'mac' port (and a little on
        the 'chromium-mac' port.

        https://bugs.webkit.org/show_bug.cgi?id=53126

        * Scripts/webkitpy/layout_tests/port/mock_drt.py: Added.
        * Scripts/webkitpy/layout_tests/port/mock_drt_unittest.py: Added.
        * Scripts/webkitpy/layout_tests/port/factory.py:

2011-01-26  Xianzhu Wang  <wangxianzhu@google.com>

        Reviewed by Tony Chang.

        Add '--no-timeout' option to Chromium DRT to ease debugging.
        https://bugs.webkit.org/show_bug.cgi?id=52873

        * DumpRenderTree/chromium/DumpRenderTree.cpp:
        (main):

2011-01-26  Csaba Osztrogonác  <ossy@webkit.org>

        Reviewed by Andreas Kling.

        [Qt] Fix qt_minimal build
        https://bugs.webkit.org/show_bug.cgi?id=53172

        * QtTestBrowser/locationedit.h:

2011-01-26  Mansi Mithal  <mansi.mithal@nokia.com>

        Reviewed by Antonio Gomes.

        QtTestBrowser should have a UI Setting to disable plugins
        https://bugs.webkit.org/show_bug.cgi?id=52408
        
        Added a new action item named "Disable Plugins"
        under the "Settings" menu. 

        * QtTestBrowser/launcherwindow.cpp:
        (LauncherWindow::createChrome):
        (LauncherWindow::togglePlugins):
        * QtTestBrowser/launcherwindow.h:

2011-01-25  Patrick Gansterer  <paroga@webkit.org>

        Reviewed by Adam Barth.

        Move main CMakeLists.txt into Source directory
        https://bugs.webkit.org/show_bug.cgi?id=52888

        * Scripts/webkitdirs.pm:

2011-01-25  Patrick Gansterer  <paroga@webkit.org>

        Reviewed by Eric Seidel.

        Improve label text in submit-to-ews
        https://bugs.webkit.org/show_bug.cgi?id=53130

        * QueueStatusServer/templates/submittoews.html:

2011-01-25  Mansi Mithal  <mansi.mithal@nokia.com>

        Reviewed by Antonio Gomes.

        QtTestBrowser should have a UI Settings to prevent loading images
        https://bugs.webkit.org/show_bug.cgi?id=52409
        
        Added a new action item named "DisableAutoLoadImages"
        under the "Settings" menu 

        * QtTestBrowser/launcherwindow.cpp:
        (LauncherWindow::createChrome):
        (LauncherWindow::toggleAutoLoadImages):
        * QtTestBrowser/launcherwindow.h:

2011-01-25  Dirk Pranke  <dpranke@chromium.org>

        Reviewed by Tony Chang.

        Minor bug fixes and cleanup for filesystem wrappers, port/* test
        classes, test_expectations.py. This change adds "test-win" and
        "test-mac" variants to the test port so that we can better test
        rebaselining, and adds a MockUser() object for reuse in testing.

        https://bugs.webkit.org/show_bug.cgi?id=53036

        * Scripts/webkitpy/common/system/filesystem.py:
        * Scripts/webkitpy/common/system/filesystem_mock.py:
        * Scripts/webkitpy/layout_tests/layout_package/test_expectations.py:
        * Scripts/webkitpy/layout_tests/port/factory.py:
        * Scripts/webkitpy/layout_tests/port/base.py:
        * Scripts/webkitpy/layout_tests/port/test.py:
        * Scripts/webkitpy/layout_tests/run_webkit_tests_unittest.py:
        * Scripts/webkitpy/layout_tests/rebaseline_chromium_webkit_tests_unittest.py:
        * Scripts/webkitpy/tool/mocktool.py:

2011-01-25  Tony Chang  <tony@chromium.org>

        Reviewed by Dimitri Glazkov.

        [chromium] remove unused layoutTestController callback
        https://bugs.webkit.org/show_bug.cgi?id=53103

        This method is used by a test_shell_test, but not needed by DRT.

        * DumpRenderTree/chromium/LayoutTestController.cpp:
        (LayoutTestController::LayoutTestController):
        * DumpRenderTree/chromium/LayoutTestController.h:

2011-01-25  Gustavo Noronha Silva  <gustavo.noronha@collabora.co.uk>

        Reviewed by Andreas Kling.

        [GTK] Remove 64 bits release bot from the buildbot master
        https://bugs.webkit.org/show_bug.cgi?id=52899

        Removes the 64 bits release slave from the buildbot configuration,
        so that we can use it as an EWS.

        * BuildSlaveSupport/build.webkit.org-config/config.json:

2011-01-24  Maciej Stachowiak  <mjs@apple.com>

        Reviewed by Dan Bernstein.

        Implement database quota callback to fix storage tests on WebKit2 bot
        https://bugs.webkit.org/show_bug.cgi?id=53064

        * WebKitTestRunner/TestController.cpp:
        (WTR::exceededDatabaseQuota):
        (WTR::TestController::createOtherPage):
        (WTR::TestController::initialize):

2011-01-24  Maciej Stachowiak  <mjs@apple.com>

        Reviewed by Anders Carlsson.

        Use designated temp directory for the database for WebKit2
        https://bugs.webkit.org/show_bug.cgi?id=53052
        
        Adopt the new WK2 API for this.

        * WebKitTestRunner/TestController.cpp:
        (WTR::TestController::libraryPathForTesting):
        (WTR::TestController::initialize):
        * WebKitTestRunner/TestController.h:
        * WebKitTestRunner/mac/TestControllerMac.mm:
        (WTR::TestController::platformLibraryPathForTesting):
        * WebKitTestRunner/qt/TestControllerQt.cpp:
        (WTR::TestController::platformLibraryPathForTesting):
        * WebKitTestRunner/win/TestControllerWin.cpp:
        (WTR::TestController::platformLibraryPathForTesting):

2011-01-24  Lucas Forschler  <lforschler@apple.com>

        Reviewed by Stephanie Lewis.

        Add a new Leopard test bot.

        * BuildSlaveSupport/build.webkit.org-config/config.json:

2011-01-24  Gyuyoung Kim  <gyuyoung.kim@samsung.com>

        Reviewed by Adam Barth.

        Add EFL Builder to core waterfall
        https://bugs.webkit.org/show_bug.cgi?id=52704

        Add EFL Builder to the core waterfall again.

        * Scripts/webkitpy/common/net/buildbot/buildbot.py:
        * Scripts/webkitpy/common/net/buildbot/buildbot_unittest.py:

2011-01-24  Xianzhu Wang  <wangxianzhu@google.com>

        Reviewed by Tony Chang.

        new-run-webkit-tests fails to start HTTP server if there are proxy settings
        https://bugs.webkit.org/show_bug.cgi?id=52872

        Force disabling proxy to resolve the problem.

        * Scripts/webkitpy/layout_tests/port/http_server_base.py:
        * Scripts/webkitpy/layout_tests/port/websocket_server.py:

2011-01-24  Andreas Kling  <kling@webkit.org>

        Reviewed by Darin Adler.

        check-webkit-style: Update exemptions following Source/ move.
        https://bugs.webkit.org/show_bug.cgi?id=53017

        * Scripts/webkitpy/style/checker.py:
        * Scripts/webkitpy/style/checker_unittest.py:

2011-01-24  Andras Becsi  <abecsi@webkit.org>

        Rubber-stamped by Csaba Osztrogonác.

        [Qt] Move project files into Source
        https://bugs.webkit.org/show_bug.cgi?id=52891

        * DumpRenderTree/qt/ImageDiff.pro: Add missing "Source" to WebKit.pri path

2011-01-24  Mikhail Naganov  <mnaganov@chromium.org>

        Reviewed by Yury Semikhatsky.

        Web Inspector: Find duplicate strings in localizedStrings.js

        https://bugs.webkit.org/show_bug.cgi?id=53005

        * Scripts/check-inspector-strings:

2011-01-24  Zoltan Horvath  <zoltan@webkit.org>

        Reviewed by Andreas Kling.

        [Qt] Regroup MiniBrowser's menubar and add open file action
        https://bugs.webkit.org/show_bug.cgi?id=53000

        Add File and Develop menu to MiniBrowser's menubar and add open file action to File menu.

        * MiniBrowser/qt/BrowserWindow.cpp:
        (BrowserWindow::BrowserWindow):
        (BrowserWindow::openFile):
        (BrowserWindow::~BrowserWindow):
        * MiniBrowser/qt/BrowserWindow.h:

2011-01-24  Csaba Osztrogonác  <ossy@webkit.org>

        Unreviewed fix after r76496

        [Qt] Move project files into Source
        https://bugs.webkit.org/show_bug.cgi?id=52891

        * BuildSlaveSupport/build.webkit.org-config/master.cfg: Remove unnecessary "Source" from the path.
        * BuildSlaveSupport/built-product-archive: Remove unnecessary "Source" from the path.
        * Scripts/webkitdirs.pm: Add the accidentally removed slash to the path.

2011-01-24  Andras Becsi  <abecsi@webkit.org>

        Reviewed by Csaba Osztrogonác.

        [Qt] Move project files into Source
        https://bugs.webkit.org/show_bug.cgi?id=52891

        * DerivedSources.pro: Renamed from DerivedSources.pro.
        * DumpRenderTree/qt/DumpRenderTree.pro:
        * DumpRenderTree/qt/TestNetscapePlugin/TestNetscapePlugin.pro:
        * MiniBrowser/DerivedSources.pro:
        * MiniBrowser/qt/MiniBrowser.pro:
        * QtTestBrowser/QtTestBrowser.pro:
        * Scripts/webkitdirs.pm:
        * Tools.pro: Added.
        * WebKitTestRunner/DerivedSources.pro:
        * WebKitTestRunner/InjectedBundle/qt/InjectedBundle.pro:
        * WebKitTestRunner/qt/WebKitTestRunner.pro:

2011-01-22  Geoffrey Garen  <ggaren@apple.com>

        Reviewed by Dan Bernstein.

        Beefed up --threaded mode to catch even more kinds of errors.
        https://bugs.webkit.org/show_bug.cgi?id=52971

        * DumpRenderTree/pthreads/JavaScriptThreadingPthreads.cpp: Use a shared
        context group to force JSC to mark multiple threads. (This used to be
        the default, but it changed in SnowLeopard.)
        (runJavaScriptThread): Do more locking and unlocking, and more allocation,
        to give threading mistakes more chances to show themselves.
        (startJavaScriptThreads):
        (stopJavaScriptThreads):

2011-01-22  Robert Hogan  <robert@webkit.org>

        Reviewed by Andreas Kling.

        [Qt] Support layoutTestController.addURLToRedirect()
        https://bugs.webkit.org/show_bug.cgi?id=52956

        * DumpRenderTree/qt/LayoutTestControllerQt.cpp:
        (LayoutTestController::addURLToRedirect):
        * DumpRenderTree/qt/LayoutTestControllerQt.h:

2011-01-22  Robert Hogan  <robert@webkit.org>

        Reviewed by Kenneth Rohde Christiansen.

        [Qt] REGRESSION (r72360): http/tests/security/aboutBlank/xss-DENIED-* tests fail
        https://bugs.webkit.org/show_bug.cgi?id=49802

        * DumpRenderTree/qt/DumpRenderTreeQt.cpp:
        (WebCore::DumpRenderTree::resetToConsistentStateBeforeTesting):
        (WebCore::DumpRenderTree::open):

2011-01-21  Adam Barth  <abarth@webkit.org>

        Reviewed by Maciej Stachowiak.

        Disable mac_unittest.py that fails on some of the Mac bots
        https://bugs.webkit.org/show_bug.cgi?id=52947

        As noted in the comment, this test does not appear to be correct
        because the function this test is testing returns different results
        depending on which flavor of Mac the test is run on.  This patch
        disable the test.  Hopefully we can re-enable the test once we've
        probably insulated the test from its environment.

        * Scripts/webkitpy/layout_tests/port/mac_unittest.py:

2011-01-21  Dirk Pranke  <dpranke@chromium.org>

        Reviewed by Mihai Parparita.

        Fix bug introduced in r76322 that caused NRWT to not actually
        read the Skipped files properly.

        https://bugs.webkit.org/show_bug.cgi?id=52771

        * Scripts/webkitpy/layout_tests/port/mac_unittest.py:
        * Scripts/webkitpy/layout_tests/port/webkit.py:
        * Scripts/webkitpy/layout_tests/port/webkit_unittest.py:

2011-01-21  Sam Weinig  <sam@webkit.org>

        Reviewed by Geoffrey Sean Garen and Mark Rowe.

        WebKitTestRunner needs the HOME environment variable to be set.
        <rdar://problem/8896573>

        * Scripts/old-run-webkit-tests: Set the HOME environment variable if
        it exists.

2011-01-21  Dirk Pranke  <dpranke@chromium.org>

        Reviewed by Eric Seidel.

        Suppress a few remaining integration tests so that none of the
        layout_test unit tests ever read from the filesystem or launch
        subprocesses that aren't part of the unit tests.

        Also fix a minor bug in the printing unit tests that was
        incorrectly relying on sys.argv.

        https://bugs.webkit.org/show_bug.cgi?id=52863

        * Scripts/webkitpy/layout_tests/layout_package/printing_unittest.py:
        * Scripts/webkitpy/layout_tests/port/port_testcase.py:
        * Scripts/webkitpy/layout_tests/run_webkit_tests_unittest.py:

2011-01-21  Darin Adler  <darin@apple.com>

       Fix Mac build.

        * MiniBrowser/mac/BrowserWindowController.m:
        (-[BrowserWindowController awakeFromNib]): Pass 0 for runModal function.

2011-01-20  Darin Adler  <darin@apple.com>

        Reviewed by Dan Bernstein.

        WebKit2: Implement showModalDialog
        https://bugs.webkit.org/show_bug.cgi?id=52855

        This fixes WebKitTestRunner to compile, but more work is probably
        needed to get it to pass the tests.

        * WebKitTestRunner/TestController.cpp:
        (WTR::TestController::runModal): Added. Calls through to the
        platform-specific version of runModal.
        (WTR::TestController::createOtherPage): Changed to be a private
        static member function so it can refer to runModal, which is
        a private static member function.
        (WTR::TestController::initialize): Pass 0 for the runModal
        function since we don't need to run the main window modal.
        I suspect this is wrong and will need to change.
        * WebKitTestRunner/TestController.h: Added declarations for
        the functions added above.
        * WebKitTestRunner/mac/TestControllerMac.mm:
        (WTR::TestController::runModal): Added. Untested implementation.
        * WebKitTestRunner/qt/TestControllerQt.cpp:
        (WTR::TestController::runModal): Added.
        * WebKitTestRunner/win/TestControllerWin.cpp:
        (WTR::TestController::runModal): Added.

2011-01-21  Eric Seidel  <eric@webkit.org>

        Reviewed by Adam Barth.

        Split Host object off from WebKitPatch for easier re-use
        https://bugs.webkit.org/show_bug.cgi?id=52284

        new-run-webkit-tests and other tools are eventually going to want one of these.
        Basically you need to inherit from this class if you want to pretend to be a
        self.tool object for Steps/Commands.

        * Scripts/webkitpy/common/host.py: Added.
        * Scripts/webkitpy/tool/main.py:

2011-01-20  Dirk Pranke  <dpranke@chromium.org>

        Reviewed by Adam Barth.

        Disable the tests that start and stop the http server and web
        server, so that we don't have to worry about port collisions on
        the bots.

        https://bugs.webkit.org/show_bug.cgi?id=52861

        * Scripts/webkitpy/layout_tests/port/port_testcase.py:

2011-01-20  Dirk Pranke  <dpranke@chromium.org>

        Reviewed by Eric Seidel.

        nrwt: rewrite google_chrome_unittest to use mock filesystem.
        
        https://bugs.webkit.org/show_bug.cgi?id=52772
        
        * Scripts/webkitpy/layout_tests/port/google_chrome_unittest.py:

2011-01-20  Dirk Pranke  <dpranke@chromium.org>

        Reviewed by Eric Siedel.

        nrwt: clean up almost all remaining port references, remove
        unnecessary import clauses. The only remaining references are
        in places where a mock filesystem makes no sense or can't be
        used, and in one routine in port/google_chrome_unittest that
        I'll rewrite in a separate patch.

        https://bugs.webkit.org/show_bug.cgi?id=52771

        * Scripts/webkitpy/layout_tests/layout_package/test_runner.py:
        * Scripts/webkitpy/layout_tests/port/chromium_gpu.py:
        * Scripts/webkitpy/layout_tests/port/chromium_gpu_unittest.py:
        * Scripts/webkitpy/layout_tests/port/chromium_linux.py:
        * Scripts/webkitpy/layout_tests/port/chromium_mac.py:
        * Scripts/webkitpy/layout_tests/port/chromium_unittest.py:
        * Scripts/webkitpy/layout_tests/port/chromium_win.py:
        * Scripts/webkitpy/layout_tests/port/chromium_win_unittest.py:
        * Scripts/webkitpy/layout_tests/port/google_chrome.py:
        * Scripts/webkitpy/layout_tests/port/google_chrome_unittest.py:
        * Scripts/webkitpy/layout_tests/port/gtk.py:
        * Scripts/webkitpy/layout_tests/port/mac.py:
        * Scripts/webkitpy/layout_tests/port/port_testcase.py:
        * Scripts/webkitpy/layout_tests/port/qt.py:
        * Scripts/webkitpy/layout_tests/port/webkit.py:
        * Scripts/webkitpy/layout_tests/port/win.py:
        * Scripts/webkitpy/layout_tests/test_types/image_diff.py:

2011-01-20  Dirk Pranke  <dpranke@chromium.org>

        Reviewed by Mihai Parparita.

        remove fs refs from run_webkit_tests, rebaseline_chromium_webkit_tests

        https://bugs.webkit.org/show_bug.cgi?id=52762

        * Scripts/webkitpy/layout_tests/run_webkit_tests.py:
        * Scripts/webkitpy/layout_tests/run_webkit_tests_unittest.py:

2011-01-20  Tony Chang  <tony@chromium.org>

        Reviewed by Ojan Vafai.

        [chromium] fix the paths used for the rebaseline tool
        https://bugs.webkit.org/show_bug.cgi?id=52857

        Some of the bots were renamed so the path to grab the results zip
        file has changed.

        * Scripts/webkitpy/layout_tests/rebaseline_chromium_webkit_tests.py:

2011-01-20  Dirk Pranke  <dpranke@chromium.org>

        Reviewed by Tony Chang.

        Fix bug introduced in r72688 / bug 52768 that broke the
        generation of the output filename links in the results.html
        output. Apparently none of the unit tests actually checked to
        make sure the generated links were correct :(

        https://bugs.webkit.org/show_bug.cgi?id=52854

        * Scripts/webkitpy/layout_tests/layout_package/test_failures.py:
        * Scripts/webkitpy/layout_tests/layout_package/test_failures_unittest.py:

2011-01-20  Alexey Proskuryakov  <ap@apple.com>

        Reviewed by Darin Adler.

        https://bugs.webkit.org/show_bug.cgi?id=52849
        Make window.print work with WebKit2

        * MiniBrowser/mac/BrowserWindowController.m:
        (-[BrowserWindowController awakeFromNib]):
        * WebKitTestRunner/TestController.cpp:
        (WTR::createOtherPage):
        (WTR::TestController::initialize):
        Added zeroes to WKPageUIClient structures to avoid build failures.

2011-01-20  Dirk Pranke  <dpranke@chromium.org>

        Reviewed by Eric Seidel.

        nrwt: remove fs refs from printing, test_failures, test_expectations, text_diff

        https://bugs.webkit.org/show_bug.cgi?id=52756

        * Scripts/webkitpy/layout_tests/layout_package/printing.py:
        * Scripts/webkitpy/layout_tests/layout_package/printing_unittest.py:
        * Scripts/webkitpy/layout_tests/layout_package/test_expectations.py:
        * Scripts/webkitpy/layout_tests/layout_package/test_expectations_unittest.py:
        * Scripts/webkitpy/layout_tests/layout_package/test_failures.py:
        * Scripts/webkitpy/layout_tests/test_types/text_diff.py:

2011-01-20  Mansi Mithal  <mansi.mithal@nokia.com>

        Reviewed by Antonio Gomes.

        QtTestBrowser should have a seperate menu for Settings
        https://bugs.webkit.org/show_bug.cgi?id=52817
        
        Added a new menu item named "Settings"
        and moved the "Enable interrupting js scripts" and "Enable js pop up windows" under the "Settings" menu 

        * QtTestBrowser/launcherwindow.cpp:
        (LauncherWindow::createChrome):

2011-01-20  Sam Weinig  <sam@webkit.org>

        Reviewed by John Sullivan.

        Update update-webkit-localizable-strings with new path to WebKit.

        * Scripts/update-webkit-localizable-strings:

2011-01-20  James Robinson  <jamesr@chromium.org>

        Reviewed by Darin Fisher.

        Implement mozilla's requestAnimationFrame API
        https://bugs.webkit.org/show_bug.cgi?id=51218

        Chromium DumpRenderTree support for window.webkitRequestAnimationFrame.

        * DumpRenderTree/chromium/WebViewHost.cpp:
        (invokeScheduleComposite):
        (WebViewHost::scheduleAnimation):
        (WebViewHost::paintInvalidatedRegion):
        * DumpRenderTree/chromium/WebViewHost.h:

2011-01-20  Maciej Stachowiak  <mjs@apple.com>

        Reviewed by Adam Roben.

        WebKitTestRunner needs to support layoutTestController.evaluateScriptInIsolatedWorld
        https://bugs.webkit.org/show_bug.cgi?id=42327

        * WebKitTestRunner/InjectedBundle/Bindings/CodeGeneratorTestRunner.pm: Add support
        for methods that take their normal arguments but also a JSContextRef.
        * WebKitTestRunner/InjectedBundle/Bindings/LayoutTestController.idl: IDL definition
        for evaluateScriptInIsolatedWorld.
        * WebKitTestRunner/InjectedBundle/InjectedBundlePage.cpp:
        (WTR::InjectedBundlePage::didClearWindowForFrame): Set a magic variable only if
        this call is for an isolated world.
        * WebKitTestRunner/InjectedBundle/LayoutTestController.cpp:
        (WTR::worldMap): Helper to create a world map.
        (WTR::LayoutTestController::worldIDForWorld): Map from an ID to a world.
        (WTR::LayoutTestController::evaluateScriptInIsolatedWorld): The newly
        added LayoutTestController API.
        * WebKitTestRunner/InjectedBundle/LayoutTestController.h:

2011-01-19  Adam Roben  <aroben@apple.com>

        Convert paths in environment variables back to msys-style inside commit-log-editor

        When this script gets run from inside git commit, msys-style paths in the environment will
        have been turned into Windows-style paths with forward slashes. This screws up functions
        like File::Spec->rel2abs, which seem to rely on $PWD having an msys-style path. We convert
        the paths back to msys-style before doing anything else.

        Fixes <http://webkit.org/b/48527> commit-log-editor uses full paths for section headers when
        using msysgit's Perl and multiple ChangeLogs have been edited

        Reviewed by David Kilzer.

        * Scripts/commit-log-editor: Call fixEnvironment before doing anything else.
        (fixEnvironment): Added. When run in msys in conjunction with git (i.e., when invoked from
        inside git commit), convert Windows-style paths in the environment back to msys-style paths.

2011-01-20  Zoltan Horvath  <zoltan@webkit.org>

        [Win] Unreviewed build fix after r76248.

        * DumpRenderTree/ForwardingHeaders/wtf/FastAllocBase.h: Added.

2011-01-20  Zoltan Horvath  <zoltan@webkit.org>

        Reviewed by Csaba Osztrogonác.

        Refactoring of the custom allocation framework
        https://bugs.webkit.org/show_bug.cgi?id=49897

        Inheriting from FastAllocBase can result in objects getting larger (bug #33896, #46589).
        The modification replaces Noncopyable and FastAllocBase classes and these inherits with their
        equivalent macro implementation at the necessary places.
2011-01-20  Yi Shen  <yi.4.shen@nokia.com>

        Unreviewed. 

        Adding myself to committers.py.

        * Scripts/webkitpy/common/config/committers.py:

2011-01-20  Adam Barth  <abarth@webkit.org>

        Reviewed by Tony Chang.

        Chromium builders don't delete unversioned directories when DEPS change
        https://bugs.webkit.org/show_bug.cgi?id=52745

        If we pass this option to gclient sync, gclient will delete directories
        that are no longer part of DEPS instead of leaving them around to
        confuse us later.  Apparently, the downstream buildbots use this option
        already.

        * Scripts/update-webkit-chromium:

2011-01-19  Dirk Pranke  <dpranke@chromium.org>

        Unreviewed, build fix - I pulled this patch in to fix an issue
        revealed by r76195 running on some new bots). Also fix a couple
        of other issues revealed in testing.

        nrwt: remove fs refs from layout_package/json*

        https://bugs.webkit.org/show_bug.cgi?id=52754

        * Scripts/webkitpy/layout_tests/layout_package/json_results_generator.py:
        * Scripts/webkitpy/layout_tests/layout_package/json_layout_results_generator.py:
        * Scripts/webkitpy/layout_tests/layout_package/json_results_generator_unittest.py:
        * Scripts/webkitpy/layout_tests/layout_package/test_runner.py:
        * Scripts/webkitpy/layout_tests/port/base.py:

2011-01-19  Dirk Pranke  <dpranke@chromium.org>

        Unreviewed, build fix.

        Fix a couple of minor bugs discovered while bringing up new bots
        for testing.

        * Scripts/webkitpy/layout_tests/layout_package/dump_render_tree_thread.py:
        * Scripts/webkitpy/layout_tests/run_webkit_tests.py:

2011-01-19  James Robinson  <jamesr@chromium.org>

        Unreviewed, rolling out r76194.
        http://trac.webkit.org/changeset/76194
        https://bugs.webkit.org/show_bug.cgi?id=51218

        Caused mysterious compile failure on the chromium win
        build.webkit.org bots

        * DumpRenderTree/chromium/WebViewHost.cpp:
        (WebViewHost::paintInvalidatedRegion):
        * DumpRenderTree/chromium/WebViewHost.h:

2011-01-19  Dirk Pranke  <dpranke@chromium.org>

        Reviewed by Mihai Parparita.

        remove fs refs from test_runner, dump_render_tree_thread

        https://bugs.webkit.org/show_bug.cgi?id=52753

        * Scripts/webkitpy/layout_tests/layout_package/dump_render_tree_thread.py:
        * Scripts/webkitpy/layout_tests/layout_package/test_runner.py:
        * Scripts/webkitpy/layout_tests/layout_package/test_runner_unittest.py:
        * Scripts/webkitpy/layout_tests/run_webkit_tests_unittest.py:

2011-01-19  James Robinson  <jamesr@chromium.org>

        Reviewed by Darin Fisher.

        Implement mozilla's requestAnimationFrame API
        https://bugs.webkit.org/show_bug.cgi?id=51218

        Chromium DumpRenderTree support for window.webkitRequestAnimationFrame.

        * DumpRenderTree/chromium/WebViewHost.cpp:
        (invokeScheduleComposite):
        (WebViewHost::scheduleAnimation):
        (WebViewHost::paintInvalidatedRegion):
        * DumpRenderTree/chromium/WebViewHost.h:

2011-01-19  Dirk Pranke  <dpranke@chromium.org>

        Unreviewed, build fix.

        Fix a few incorrect "self._filesystem" references introduced in
        r76184.

        * Scripts/webkitpy/layout_tests/port/chromium.py:
        * Scripts/webkitpy/layout_tests/port/chromium_linux.py:

2011-01-19  Dirk Pranke  <dpranke@chromium.org>

        Reviewed by Mihai Parparita.

        add a .sep property, abspath(), isabs(), mtime(), and
        open_text_file_for_writing() to filesystem modules. Some of
        these properties are not needed in this patch but will be needed
        in subsequent patches (I'm doing this to avoid having to track
        multiple versions of a single file).

        Also, change most of the port/* modules to use the filesystem
        objects instead of referencing the filesystem directly.

        https://bugs.webkit.org/show_bug.cgi?id=52748

        * Scripts/webkitpy/common/system/filesystem.py:
        * Scripts/webkitpy/common/system/filesystem_mock.py:
        * Scripts/webkitpy/layout_tests/port/__init__.py:
        * Scripts/webkitpy/layout_tests/port/base.py:
        * Scripts/webkitpy/layout_tests/port/base_unittest.py:
        * Scripts/webkitpy/layout_tests/port/chromium.py:
        * Scripts/webkitpy/layout_tests/port/chromium_unittest.py:
        * Scripts/webkitpy/layout_tests/port/config.py:
        * Scripts/webkitpy/layout_tests/port/test.py:
        * Scripts/webkitpy/layout_tests/port/test_files_unittest.py:

2011-01-19  Maciej Stachowiak  <mjs@apple.com>

        Reviewed by Anders Carlsson.

        If resetting between tests times out, treat it as a WebProcess crash
        https://bugs.webkit.org/show_bug.cgi?id=52757

        * WebKitTestRunner/TestController.cpp:
        (WTR::TestController::runTest):

2011-01-19  Alexey Proskuryakov  <ap@apple.com>

        Reviewed by Darin Adler.

        https://bugs.webkit.org/show_bug.cgi?id=52739
        Make it possible for a WebKit2 client to print headers and footers

        Added dummy implementations for new printing UIClient calls.

        * MiniBrowser/mac/BrowserWindowController.m:
        (-[BrowserWindowController awakeFromNib]):
        * WebKitTestRunner/TestController.cpp:
        (WTR::createOtherPage):
        (WTR::TestController::initialize):

2011-01-19  Dirk Pranke  <dpranke@chromium.org>

        Reviewed by Ojan Vafai.

        Change webkitpy/layout_tests/port/test.py to use the
        in-memory filesystem for cleaner unit testing. This
        change allows us to kill a lot of code that was
        specific to the test port, at the cost of being a
        little less clear about how things would work if
        you didn't have a filesystem.

        https://bugs.webkit.org/show_bug.cgi?id=52605

        * Scripts/webkitpy/layout_tests/port/test.py:

2011-01-19  Dirk Pranke  <dpranke@chromium.org>

        Unreviewed, build fix.

        Fix test failure caused by committing attachment 79368 instead
        of attachment 79461 on bug 52604.

        * Scripts/webkitpy/common/system/filesystem_mock.py:

2011-01-19  Dirk Pranke  <dpranke@chromium.org>

        Reviewed by Mihai Parparita.

        new-run-webkit-tests: remove use of os.walk, use mock filesystem for better
        unit testing. os.walk() is too much of a hassle to implement on
        top of the in-memory mock filesystem and adding the necessary
        interface to files_under() gives clients a cleaner API anyway
        (for this particular usage model).

        https://bugs.webkit.org/show_bug.cgi?id=52691

        * Scripts/webkitpy/common/system/filesystem.py:
        * Scripts/webkitpy/common/system/filesystem_mock.py:
        * Scripts/webkitpy/layout_tests/port/test_files.py:
        * Scripts/webkitpy/layout_tests/port/test_files_unittest.py:

2011-01-19  Dirk Pranke  <dpranke@chromium.org>

        Reviewed by Tony Chang.

        Change more modules in the layout-tests code to use the
        filesystem wrapper for cleaner unit testing.

        This patch also adds the glob() wrapper to the filesystem
        abstraction.
        
        https://bugs.webkit.org/show_bug.cgi?id=52604

        * Scripts/webkitpy/layout_tests/port/test_files.py:
        * Scripts/webkitpy/layout_tests/port/test_files_unittest.py:
        * Scripts/webkitpy/layout_tests/test_types/test_type_base.py:
        * Scripts/webkitpy/layout_tests/layout_package/dump_render_tree_thread.py:
        * Scripts/webkitpy/common/system/filesystem.py:
        * Scripts/webkitpy/common/system/filesystem_mock.py:

2011-01-19  Levi Weintraub  <leviw@chromium.org>

        Unreviewed.

        Updating my email addresses and irc nick.

        * Scripts/webkitpy/common/config/committers.py:

2011-01-19  Tony Chang  <tony@chromium.org>

        Reviewed by Mihai Parparita.

        [chromium] [linux] if check-sys-deps fails, output the failure reason
        https://bugs.webkit.org/show_bug.cgi?id=52671

        * Scripts/webkitpy/common/system/executive_mock.py: Add support for
            error handler functions.
        * Scripts/webkitpy/layout_tests/port/chromium.py:
            output the error text from --check-sys-deps
        * Scripts/webkitpy/layout_tests/port/chromium_unittest.py:

2011-01-19  Aparna Nandyal  <aparna.nand@wipro.com>

        Reviewed by Andreas Kling.

        [Qt] QtTestBrowser crashes when closing if Facebook is opened
        https://bugs.webkit.org/show_bug.cgi?id=52554
        
        QtNetworkAccessManager is created in a thread and set as
        member variable in QWebPage. When the thread is destroyed
        the object is still used. So fix will set the object to
        NULL once the thread is destroyed.

        * QtTestBrowser/launcherwindow.cpp:
        (LauncherWindow::~LauncherWindow):

2011-01-18  Maciej Stachowiak  <mjs@apple.com>

        Rubber stamped by Csaba Osztrogonac

        * WebKitTestRunner/InjectedBundle/InjectedBundlePage.cpp: Removed unncessary inculde of WKStringCF.h

2011-01-18  Dirk Pranke  <dpranke@chromium.org>

        Reviewed by Tony Chang.

        new-run-webkit-tests: add a --build-directory command line argument

        Official Google Chrome builds use a non-standard build directory
        location. This patch adds a --build-directory argument that
        allows that location to be specified on the command line. Only
        Chromium-based builds will use this flag for now, but anyone can
        in the future.

        There are no unit tests for this since it's difficult to test
        until mock filesystems are fully supported in the code. This was
        tested by hand for now.

        https://bugs.webkit.org/show_bug.cgi?id=52694

        * Scripts/webkitpy/layout_tests/port/chromium_linux.py:
        * Scripts/webkitpy/layout_tests/port/chromium_mac.py:
        * Scripts/webkitpy/layout_tests/port/chromium_win.py:
        * Scripts/webkitpy/layout_tests/run_webkit_tests.py:

2011-01-18  Maciej Stachowiak  <mjs@apple.com>

        Not reviewed. Bot fix.

        Remove an inadvertently committed debugging print.

        * DumpRenderTree/mac/LayoutTestControllerMac.mm:
        (LayoutTestController::notifyDone):

2011-01-18  Maciej Stachowiak  <mjs@apple.com>

        Reviewed by Sam Weinig.

        WebKitTestRunner should track loading more like DumpRenderTree
        https://bugs.webkit.org/show_bug.cgi?id=52692

        Change load tracking to track the current top loading frame, in the manner of DumpRenderTree.
        This makes some tests that call notifyDone multiple times pass.
        
        * WebKitTestRunner/InjectedBundle/InjectedBundle.cpp:
        (WTR::InjectedBundle::InjectedBundle):
        (WTR::InjectedBundle::done):
        * WebKitTestRunner/InjectedBundle/InjectedBundle.h:
        (WTR::InjectedBundle::topLoadingFrame):
        (WTR::InjectedBundle::setTopLoadingFrame):
        * WebKitTestRunner/InjectedBundle/InjectedBundlePage.cpp:
        (WTR::InjectedBundlePage::InjectedBundlePage):
        (WTR::InjectedBundlePage::stopLoading):
        (WTR::InjectedBundlePage::didStartProvisionalLoadForFrame):
        (WTR::InjectedBundlePage::didFailProvisionalLoadWithErrorForFrame):
        (WTR::InjectedBundlePage::didFinishLoadForFrame):
        (WTR::InjectedBundlePage::didFailLoadWithErrorForFrame):
        * WebKitTestRunner/InjectedBundle/InjectedBundlePage.h:
        * WebKitTestRunner/InjectedBundle/LayoutTestController.cpp:
        (WTR::LayoutTestController::notifyDone):
        * WebKitTestRunner/TestController.cpp:
        (WTR::TestController::didReceiveMessageFromInjectedBundle):

2011-01-18  Mihai Parparita  <mihaip@chromium.org>

        Reviewed by Kent Tamura.

        [Chromium] NRWT looking for DRT binary in the wrong path on Mac
        https://bugs.webkit.org/show_bug.cgi?id=52678
        
        Update path now that WebKit is inside Source.

        * Scripts/webkitpy/layout_tests/port/chromium_mac.py:

2011-01-18  Robert Hogan  <robert@webkit.org>

        Reviewed by Simon Hausmann.

        [Qt] http/tests/incremental/slow-utf8-text.pl fails
        https://bugs.webkit.org/show_bug.cgi?id=44282

        * DumpRenderTree/qt/DumpRenderTreeQt.cpp:
        (WebCore::DumpRenderTree::dump):

2011-01-18  Dirk Pranke  <dpranke@chromium.org>

        Reviewed by Mihai Parparita.

        Fix a small race condition that could cause the unit tests for
        new-run-webkit-tests to fail in a multithreaded environment.
        There was a small window in the code where one thread would
        check to see if a thread had raised an exception, do something,
        and then check to see if the thread was alive. If the other
        thread raised an exception and exited in between these two
        steps, the exception would be lost. Flipping the order of the
        two checks fixes the race, since we will now always check for an
        exception on the thread before exiting.

        https://bugs.webkit.org/show_bug.cgi?id=51579

        * Scripts/webkitpy/layout_tests/layout_package/message_broker.py:

2011-01-18  Eric Seidel  <eric@webkit.org>

        Reviewed by Adam Barth.

        commit-queue dies when test archiving fails
        https://bugs.webkit.org/show_bug.cgi?id=52617

        I looked at the machine and it had 10 archives already
        thus find_unused_name was returning None.  I've upped
        the limit to 100 (per bug) and tested the case where
        find_unused_name returns None (making archive return None).

        * Scripts/webkitpy/common/system/workspace.py:
        * Scripts/webkitpy/common/system/workspace_unittest.py:
        * Scripts/webkitpy/tool/bot/commitqueuetask.py:
        * Scripts/webkitpy/tool/bot/commitqueuetask_unittest.py:
        * Scripts/webkitpy/tool/commands/queues.py:

2011-01-18  Dirk Pranke  <dpranke@chromium.org>

        Reviewed by Ojan Vafai.

        Update rebaseline-chromium-webkit-tests unit tests to use a mock
        filesystem. Also fix a couple of "with" statements missed by
        r76050.

        https://bugs.webkit.org/show_bug.cgi?id=52487

        * Scripts/webkitpy/layout_tests/rebaseline_chromium_webkit_tests_unittest.py:

2011-01-18  Sergio Villar Senin  <svillar@igalia.com>

        Reviewed by Martin Robinson.

        [Gtk] Build fixes for gtk3 build
        https://bugs.webkit.org/show_bug.cgi?id=52648

        * DumpRenderTree/gtk/EventSender.cpp:
        (beginDragWithFilesCallback):

2011-01-18  Dirk Pranke  <dpranke@chromium.org>

        Reviewed by Mihai Parparita.

        Update rebaseline-chromium-webkit-tests to use filesystem objects
        instead of direct references to os.path, shutil, tempfile, etc.

        This patch doesn't change anything, but will allow subsequent
        patches to change the unit tests to no longer use the real
        filesystem.

        This patch adds a bunch more methods to the filesystem object as
        well.

        https://bugs.webkit.org/show_bug.cgi?id=52482

        * Scripts/webkitpy/common/system/filesystem.py:
        * Scripts/webkitpy/common/system/filesystem_mock.py:
        * Scripts/webkitpy/tool/commands/queues.py:
        * Scripts/webkitpy/layout_tests/rebaseline_chromium_webkit_tests.py:
        * Scripts/webkitpy/layout_tests/rebaseline_chromium_webkit_tests_unittest.py:

2011-01-18  Dirk Pranke  <dpranke@chromium.org>

        Reviewed by Mihai Parparita.

        new-run-webkit-tests shouldn't crash when you try to run a
        directory containing only skipped files.

        https://bugs.webkit.org/show_bug.cgi?id=52478
        
        * Scripts/webkitpy/layout_tests/layout_package/test_runner.py:
        * Scripts/webkitpy/layout_tests/port/test.py:
        * Scripts/webkitpy/layout_tests/run_webkit_tests_unittest.py:

2011-01-18  Adam Bergkvist  <adam.bergkvist@ericsson.com> and Martin Robinson  <mrobinson@igalia.com>

        Reviewed by Gustavo Noronha Silva.

        [GTK] The GTK+ EventSender needs support for beginDragWithFiles
        https://bugs.webkit.org/show_bug.cgi?id=40833

        * DumpRenderTree/gtk/EventSender.cpp: Add a beginDragWithFiles implementation for the
        GTK+ event sender.
        (dragWithFilesDragDataGetCallback): Added.
        (dragWithFilesDragEndCallback): Added.
        (beginDragWithFilesCallback): Added.

2011-01-18  Gyuyoung Kim  <gyuyoung.kim@samsung.com>

        Reviewed by Adam Barth.

        ews: Add additional watcher to efl ews
        https://bugs.webkit.org/show_bug.cgi?id=52613

        Add gyuyoung.kim@samsung.com to watcher list of efl-ews.

        * Scripts/webkitpy/tool/commands/earlywarningsystem.py:

2011-01-17  Tony Gentilcore  <tonyg@chromium.org>

        Reviewed by Alexey Proskuryakov.

        Fix some headers with missing or misspelled #ifndef guards
        https://bugs.webkit.org/show_bug.cgi?id=52545

        * DumpRenderTree/chromium/TestEventPrinter.h:
        * DumpRenderTree/chromium/WebPreferences.h:

2011-01-17  Jessie Berlin  <jberlin@apple.com>

        Reviewed by Anders Carlsson.

        REGRESSION: Assertion failure in FrameLoader::continueLoadAfterWillSubmitForm() when
        navigating back to an unreachable URL
        https://bugs.webkit.org/show_bug.cgi?id=52388

        Add a third parameter (unreachableURL) to queueLoadHTMLString.

        * DumpRenderTree/LayoutTestController.cpp:
        (queueLoadHTMLStringCallback):
        (LayoutTestController::queueLoadHTMLString):
        (LayoutTestController::queueLoadAlternateHTMLString):
        * DumpRenderTree/LayoutTestController.h:

        * DumpRenderTree/WorkQueueItem.h:
        (LoadHTMLStringItem::LoadHTMLStringItem):

        * DumpRenderTree/chromium/LayoutTestController.cpp:
        (WorkItemLoadHTMLString::WorkItemLoadHTMLString):
        (WorkItemLoadHTMLString::run):
        (LayoutTestController::queueLoadHTMLString):

        * DumpRenderTree/gtk/WorkQueueItemGtk.cpp:
        (LoadHTMLStringItem::invoke):
        * DumpRenderTree/mac/WorkQueueItemMac.mm:
        (LoadHTMLStringItem::invoke):
        * DumpRenderTree/win/WorkQueueItemWin.cpp:
        (LoadHTMLStringItem::invoke):

2011-01-17  Dan Bernstein  <mitz@apple.com>

        Rubber-stamped by Mark Rowe.

        Update xcodeproj svn:ignore to include xcuserdata.

        * DumpRenderTree/DumpRenderTree.xcodeproj: Modified property svn:ignore.
        * MiniBrowser/MiniBrowser.xcodeproj: Modified property svn:ignore.
        * TestWebKitAPI/TestWebKitAPI.xcodeproj: Modified property svn:ignore.
        * WebKitLauncher/WebKitLauncher.xcodeproj: Modified property svn:ignore.
        * WebKitTestRunner/WebKitTestRunner.xcodeproj: Modified property svn:ignore.

2011-01-17  Csaba Osztrogonác  <ossy@webkit.org>

        Unreviewed fix after r75908.

        Move WebKit into Source
        https://bugs.webkit.org/show_bug.cgi?id=52530

        * BuildSlaveSupport/build.webkit.org-config/master.cfg: Add Source to the path for Qt API tests.

2011-01-17  Csaba Osztrogonác  <ossy@webkit.org>

        Unreviewed.

        Remove accidentally committed debug printing after r75908.

        * Scripts/webkitdirs.pm:

2011-01-17  John Knottenbelt  <jknotten@chromium.org>

        Unreviewed.

        Add myself to committers list
        https://bugs.webkit.org/show_bug.cgi?id=52566

        * Scripts/webkitpy/common/config/committers.py:

2011-01-17  John Knottenbelt  <jknotten@chromium.org>

        Reviewed by Jeremy Orlow.

        GeolocationController should call stopUpdating on destruction
        https://bugs.webkit.org/show_bug.cgi?id=52216

        fast/dom/Geolocation/window-close-crash.html requires that a
        Geolocation watch be started in a secondary window. Consequently,
        we need to allow geolocation permission and provide a mock
        geolocation position for the secondary window's
        GeolocationClientMock.

        * DumpRenderTree/chromium/LayoutTestController.cpp:
        (LayoutTestController::setGeolocationPermission):
        (LayoutTestController::setMockGeolocationPosition):
        (LayoutTestController::setMockGeolocationError):
        * DumpRenderTree/chromium/TestShell.h:
        (TestShell::windowList):

2011-01-16  Adam Barth  <abarth@webkit.org>

        Update more include paths to reflect WebKit move.

        * DumpRenderTree/chromium/EventSender.cpp:
        (EventSender::keyDown):
        (EventSender::needsShiftModifier):
        * DumpRenderTree/chromium/WebThemeEngineDRTMac.h:
        * DumpRenderTree/chromium/WebThemeEngineDRTMac.mm:

2011-01-16  Kent Tamura  <tkent@chromium.org>

        Unreviewed, Chromium build fix.

        * Scripts/update-webkit-chromium: Webkit/chromium -> Source/WebKit/chromium

2011-01-16  Martin Robinson  <mrobinson@igalia.com>

        Build fix for GTK+ after source directory movement.

        * GNUmakefile.am: Correct include paths.

2011-01-16  Adam Barth  <abarth@webkit.org>

        Teach svn-apply about WebKit move.

        * Scripts/VCSUtils.pm:

2011-01-16  Adam Barth  <abarth@webkit.org>

        Rubber-stamped by Eric Seidel.

        Move WebKit into Source
        https://bugs.webkit.org/show_bug.cgi?id=52530

        * DumpRenderTree/mac/InternalHeaders/WebKit/WebTypesInternal.h:
        * DumpRenderTree/qt/DumpRenderTreeQt.cpp:
        * DumpRenderTree/qt/DumpRenderTreeQt.h:
        * DumpRenderTree/qt/GCControllerQt.cpp:
        * DumpRenderTree/qt/LayoutTestControllerQt.cpp:
        * DumpRenderTree/qt/PlainTextControllerQt.cpp:
        * DumpRenderTree/qt/TextInputControllerQt.cpp:
        * DumpRenderTree/wscript:
        * QtTestBrowser/launcherwindow.h:
        * Scripts/build-webkit:
        * Scripts/webkitdirs.pm:

2011-01-15  Adam Barth  <abarth@webkit.org>

        Teach svn-apply about WebKit2 move.

        * Scripts/VCSUtils.pm:

2011-01-15  Adam Barth  <abarth@webkit.org>

        Rubber-stamped by Eric Seidel.

        Move WebKit2 into Source
        https://bugs.webkit.org/show_bug.cgi?id=52438

        * MiniBrowser/qt/MiniBrowser.pro:
        * Scripts/build-webkit:
        * Scripts/do-file-rename:
        * Scripts/do-webcore-rename:
        * Scripts/test-webkitpy:
        * Scripts/webkitdirs.pm:
        * Scripts/webkitpy/style/checker.py:
        * WebKitTestRunner/DerivedSources.pro:
        * WebKitTestRunner/InjectedBundle/qt/InjectedBundle.pro:
        * WebKitTestRunner/qt/WebKitTestRunner.pro:

2011-01-15  Jochen Eisinger  <jochen@chromium.org>

        Reviewed by David Levin.

        [chromium] remove obsolete createView method
        https://bugs.webkit.org/show_bug.cgi?id=52437

        * DumpRenderTree/chromium/WebViewHost.cpp:
        (WebViewHost::createView):
        * DumpRenderTree/chromium/WebViewHost.h:

2011-01-14  Brian Weinstein  <bweinstein@apple.com>

        Reviewed by Geoff Garen.

        ShouldLoadResourceForFrame should use strings, not URLs.
        https://bugs.webkit.org/show_bug.cgi?id=52476

        * WebKitTestRunner/InjectedBundle/InjectedBundlePage.cpp:
        (WTR::InjectedBundlePage::shouldLoadResourceForFrame): Update to use a WKStringRef.
        * WebKitTestRunner/InjectedBundle/InjectedBundlePage.h:

2011-01-14  Tony Gentilcore  <tonyg@chromium.org>

        Reviewed by David Levin.

        Add Tony Gentilcore as a reviewer
        https://bugs.webkit.org/show_bug.cgi?id=52480

        * Scripts/webkitpy/common/config/committers.py:

2011-01-14  David Levin  <levin@chromium.org>

        Reviewed by Eric Seidel.

        check-webkit-style: _FunctionState should keep track of where the function name starts.
        https://bugs.webkit.org/show_bug.cgi?id=52454

        * Scripts/webkitpy/style/checkers/cpp.py: Added function_name_start_position to
        _FunctionState and logic for setting it correctly.
        * Scripts/webkitpy/style/checkers/cpp_unittest.py: Added tests.

2011-01-14  Vincent Scheib  <scheib@chromium.org>

        Reviewed by David Levin.

        Add support to DumpRenderTree to use the GPU rather than software renderer
        https://bugs.webkit.org/show_bug.cgi?id=52333

        * DumpRenderTree/chromium/DumpRenderTree.cpp:
        (main):
        * Scripts/webkitpy/layout_tests/port/chromium.py:
        * Scripts/webkitpy/layout_tests/run_webkit_tests.py:

2011-01-14  Tony Chang  <tony@chromium.org>

        Reviewed by Kent Tamura.

        [chromium] update fonts.conf to fix 6 linux tests in drt
        https://bugs.webkit.org/show_bug.cgi?id=52411

        * DumpRenderTree/chromium/fonts.conf: Update to match the copy in
            chromium's src/webkit/tools/test_shell/resources/fonts.conf

2011-01-14  Eric Seidel  <eric@webkit.org>

        Original patch from Peter Gal  <galpater@inf.u-szeged.hu>

        Reviewed by Adam Barth.

        Fix when running Tools/Scripts/check-webkit-style without arguments.
        https://bugs.webkit.org/show_bug.cgi?id=52261#c16

        * Scripts/webkitpy/common/checkout/scm.py: Handle None for changed_files argument better in Git.create_patch method.
        * Scripts/webkitpy/common/checkout/scm_unittest.py:

2011-01-04  Jochen Eisinger  <jochen@chromium.org>

        Reviewed by David Levin.

        Store the tempdir object in a variable so it doesn't get deleted too early.
        https://bugs.webkit.org/show_bug.cgi?id=51875

        * Scripts/update-webkit-auxiliary-libs:
        * Scripts/update-webkit-support-libs:

2011-01-14  Eric Seidel  <eric@webkit.org>

        Unreviewed.  Make it work in python 2.5.

        webkit-patch suggest-reviewers dies when ChangeLogs are missing
        https://bugs.webkit.org/show_bug.cgi?id=49158

        * Scripts/webkitpy/common/checkout/api_unittest.py:

2011-01-14  Sheriff Bot  <webkit.review.bot@gmail.com>

        Unreviewed, rolling out r75774.
        http://trac.webkit.org/changeset/75774
        https://bugs.webkit.org/show_bug.cgi?id=52431

        gtk builds were broken (Requested by loislo2 on #webkit).

        * Scripts/webkitpy/common/checkout/scm.py:

2011-01-14  David Levin  <levin@chromium.org>

        Reviewed by Shinichiro Hamaji.

        check-webkit-style: _FunctionState should detect pure functions.
        https://bugs.webkit.org/show_bug.cgi?id=52428

        * Scripts/webkitpy/style/checkers/cpp.py: Added detection for if a function declaration
        is a pure virtual function.
        * Scripts/webkitpy/style/checkers/cpp_unittest.py: Added tests for verifying that pure
        virtual functions are correctly detected.

2011-01-13  Ilya Tikhonovsky  <loislo@chromium.org>

        Reviewed by Yury Semikhatsky.

        Just small fix for problem with check-webkit-style.
        It just didn't work for this patch.
        Old code can't concatenate a list of strings with None.

        * Scripts/webkitpy/common/checkout/scm.py:

2011-01-13  David Levin  <levin@chromium.org>

        Reviewed by Shinichiro Hamaji.

        check-webkit-style: _FunctionState should use Position to know where items are.
        https://bugs.webkit.org/show_bug.cgi?id=52424

        * Scripts/webkitpy/style/checkers/cpp.py:
        (_FunctionState.*): Changed _FunctionState to use Position instead of line numbers.
        (detect_functions): Changed to pass Position's to _FunctionState.begin and
        did some minor clean-up.
        (*): Other changes are simply about converting to use the Position's in_FunctionState
        instead of line numbers.
        * Scripts/webkitpy/style/checkers/cpp_unittest.py: Changed the test code
        to verify the positions stored in _FunctionState.

2011-01-13  Eric Seidel  <eric@webkit.org>

        Reviewed by David Levin.

        webkit-patch suggest-reviewers dies when ChangeLogs are missing
        https://bugs.webkit.org/show_bug.cgi?id=49158

        This is not the most elegant, but it is a very safe fix to this bug.
        One advantage of catching ScriptError like this instead of adding a
        new added_or_modified_files or fixing all changed_files callers
        to use a more specific change_files variant, is that we catch
        all kinds of ScriptErrors which might cause our (non-essential)
        suggest-reviewers code to fail out.  This should make passing
        --suggest-reviewers to webkit-patch upload much more robust
        and may even make it possible for us to make it default.

        The root of the problem here is that SCM.changed_files includes
        deleted ChangeLog paths (from moves, etc) which then when we ask
        SVN/Git for the contents of the file at that revision, the command
        errors out and Executive.run_command raises a ScriptError.

        In the future we might fix this differently by making all current
        callers of chagned_files use a more specific method for requesting
        what types of changes they're interested in (adds, modifies, deletes, etc.)

        * Scripts/webkitpy/common/checkout/api.py:
        * Scripts/webkitpy/common/checkout/api_unittest.py:

2011-01-13  Dan Bernstein  <mitz@apple.com>

        Reviewed by Alexey Proskuryakov.

        <rdar://problem/8827065> REGRESSION (r71884): Cross-origin XHR fails if willSendRequest changes the URL
        https://bugs.webkit.org/show_bug.cgi?id=52419

        Allow to further control the behavior of the willSendRequest delegate callback by making it
        set a different URL in the new request.

        * DumpRenderTree/LayoutTestController.cpp:
        (addURLToRedirectCallback): Added.
        (LayoutTestController::staticFunctions): Added addURLToRedirect.
        (LayoutTestController::addURLToRedirect): Added. Adds the redirection to the map.
        (LayoutTestController::redirectionDestinationForURL): Added this getter.
        * DumpRenderTree/LayoutTestController.h:
        * DumpRenderTree/mac/ResourceLoadDelegate.mm:
        (-[ResourceLoadDelegate webView:resource:willSendRequest:redirectResponse:fromDataSource:]): Check
        if there is a redirection for the request’s URL, established by addURLToRedirect(), and if so,
        change the URL in the new request to the redirect destination.

2011-01-13  Eric Seidel  <eric@webkit.org>

        Reviewed by Mihai Parparita.

        webkit-patch suggest-reviewers fails due to invalid utf8 in ChangeLog files
        https://bugs.webkit.org/show_bug.cgi?id=52416

        Example: webkit-patch suggest-reviewers -g ca3890fe74d94d85d6bfa48f9ea497b094d8e717 
        UnicodeDecodeError: 'utf8' codec can't decode bytes in position 536-538: invalid data

        I also added FIXMEs about the changed_files returning deleted files problem
        which is causing the other most common exception for suggest-reviewers
        (and is probably breaking sheriff-bots blame detection).

        * Scripts/webkitpy/common/checkout/api.py:
        * Scripts/webkitpy/common/checkout/api_unittest.py:
        * Scripts/webkitpy/common/checkout/scm.py:

2011-01-13  Eric Seidel  <eric@webkit.org>

        Reviewed by Adam Barth.

        results archives from commit-queue are too large to upload
        https://bugs.webkit.org/show_bug.cgi?id=52405

        * Scripts/webkitpy/common/system/filesystem.py:
        * Scripts/webkitpy/common/system/filesystem_mock.py:
        * Scripts/webkitpy/tool/commands/queues.py:

2011-01-13  Alejandro G. Castro  <alex@igalia.com>

        Reviewed by Martin Robinson.

        [gtk] Zero-sized font does not yet work
        https://bugs.webkit.org/show_bug.cgi?id=49793

        Set minimum-font-size to 0 for the DRT.

        * DumpRenderTree/gtk/DumpRenderTree.cpp:
        (resetDefaultsToConsistentValues):

2011-01-13  Csaba Osztrogonác  <ossy@webkit.org>

        Reviewed by Darin Adler.

        Make old-run-webkit-tests more robust on buildbots
        https://bugs.webkit.org/show_bug.cgi?id=52364

        * BuildSlaveSupport/build.webkit.org-config/master.cfg: Pass --exit-after-n-failures 500 to old-run-webkit-tests script.

2011-01-13  Csaba Osztrogonác  <ossy@webkit.org>

        Reviewed by Darin Adler.

        Make old-run-webkit-tests more robust on buildbots
        https://bugs.webkit.org/show_bug.cgi?id=52364

        * Scripts/old-run-webkit-tests: Ensure that testResultsDirectory is empty.

2011-01-13  Tony Chang  <tony@chromium.org>

        Reviewed by Kent Tamura.

        [chromium] fix plugins/plugin-javascript-access.html on Linux and Mac
        https://bugs.webkit.org/show_bug.cgi?id=52332

        Forked Info.plist is not longer needed.

        * DumpRenderTree/chromium/TestNetscapePlugIn/Info.plist: Removed.

2011-01-13  Mikhail Naganov  <mnaganov@chromium.org>

        Reviewed by Timothy Hatcher.

        Web Inspector: Cleanup after r75613 -- make all UI-facing strings
        to be passed directly to WebInspector.UIString

        https://bugs.webkit.org/show_bug.cgi?id=52365

        * Scripts/check-inspector-strings:

2011-01-13  Sheriff Bot  <webkit.review.bot@gmail.com>

        Unreviewed, rolling out r74881.
        http://trac.webkit.org/changeset/74881
        https://bugs.webkit.org/show_bug.cgi?id=52357

        The EFL builder has been red for days (Requested by abarth on
        #webkit).

        * Scripts/webkitpy/common/net/buildbot/buildbot.py:
        * Scripts/webkitpy/common/net/buildbot/buildbot_unittest.py:

2011-01-12  Maciej Stachowiak  <mjs@apple.com>

        Reviewed by David Levin.

        Add beforeunload support to WebKitTestRunner
        https://bugs.webkit.org/show_bug.cgi?id=52353
        
        This makes a number of currently failing tests pass.

        * WebKitTestRunner/TestController.cpp:
        (WTR::runBeforeUnloadConfirmPanel):
        (WTR::createOtherPage):
        (WTR::TestController::initialize):

2011-01-12  Maciej Stachowiak  <mjs@apple.com>

        Reviewed by Sam Weinig.

        Detect, identify and recover from WebProcess crashes in run-webkit-tests
        https://bugs.webkit.org/show_bug.cgi?id=52330

        * Scripts/old-run-webkit-tests: Detect when the regression test tool reports
        a web process crash.
        * WebKitTestRunner/TestController.cpp:
        (WTR::TestController::initialize): Set up a processDidCrash
        callback.
        (WTR::TestController::processDidCrash): Report that the Web process
        crashed.
        * WebKitTestRunner/TestController.h:

2011-01-12  David Levin  <levin@chromium.org>

        Reviewed by Shinichiro Hamaji.

        check-webkit-style -- close_expression function doesn't work correctly.
        https://bugs.webkit.org/show_bug.cgi?id=52272

        * Scripts/webkitpy/style/checkers/cpp.py:
        (Position.__str__): Added a way to convert it to a string which is useful in tests.
        (Position.__cmp__): Added a way to compare Position which is useful in tests and
        generally useful (for upcoming code changes).
        (close_expression): Changed to use Position for input and output.
        Also, fixed many bugs such as only working correctly for parenthesis,
        not working correctly if given an offset in a line and not finding
        the real closing element if there were multiple closing elements in
        the same line.
        (detect_functions): Adjusted due to the change in arguments for
        close_expression.
        * Scripts/webkitpy/style/checkers/cpp_unittest.py:
        (CppStyleTestBase.assert_positions_equal): Added a way to verify that
        two positions are the same.
        (CppStyleTest.test_position): Added tests for the __str_ and __cmp__ methods.
        (CppStyleTest.test_close_expression): Added tests to catch the issues
        that were fixed.

2011-01-12  Sheriff Bot  <webkit.review.bot@gmail.com>

        Unreviewed, rolling out r75576.
        http://trac.webkit.org/changeset/75576
        https://bugs.webkit.org/show_bug.cgi?id=52304

        broke rebaseline-chromium-webkit-test (Requested by thakis on
        #webkit).

        * Scripts/webkitpy/layout_tests/layout_package/printing_unittest.py:
        * Scripts/webkitpy/layout_tests/layout_package/test_expectations.py:
        * Scripts/webkitpy/layout_tests/layout_package/test_expectations_unittest.py:
        * Scripts/webkitpy/layout_tests/layout_package/test_runner.py:
        * Scripts/webkitpy/layout_tests/port/base.py:
        * Scripts/webkitpy/layout_tests/port/chromium.py:
        * Scripts/webkitpy/layout_tests/port/port_testcase.py:
        * Scripts/webkitpy/layout_tests/port/test.py:
        * Scripts/webkitpy/layout_tests/rebaseline_chromium_webkit_tests.py:
        * Scripts/webkitpy/layout_tests/run_webkit_tests.py:
        * Scripts/webkitpy/style/checkers/test_expectations.py:
        * Scripts/webkitpy/style/checkers/test_expectations_unittest.py:

2011-01-12  Maciej Stachowiak  <mjs@apple.com>

        Reviewed by Darin Adler.

        Add a no-build option to run-webkit-tests, to avoid building DRT/WKTR
        https://bugs.webkit.org/show_bug.cgi?id=52307

        * Scripts/old-run-webkit-tests:

2011-01-12  Koan-Sin Tan  <koansin.tan@gmail.com>

        Reviewed by Martin Robinson.

        [Gtk] WebKitGtk+ doesn't build on Mac OS X 10.6
        https://bugs.webkit.org/show_bug.cgi?id=50867

        Fixed library extention for Mac in webkitdirs.pm and type conflict in
        TestNetscapePlugin.cpp 

        * GNUmakefile.am: Don't use AppKit when compiling TestNetscapePlugin for GTK+
        * Scripts/webkitdirs.pm:

2011-01-12  Mikhail Naganov  <mnaganov@chromium.org>

        Reviewed by Pavel Feldman.

        Add check-inspector-strings script.

        https://bugs.webkit.org/show_bug.cgi?id=52295

        * Scripts/check-inspector-strings: Added.

2011-01-12  Adam Roben  <aroben@apple.com>

        Advertise the .testnetscape file extension on Windows

        Fixes <http://webkit.org/b/52298>
        plugins/no-mime-with-valid-extension.html fails on Windows

        Reviewed by Dan Bernstein.

        * DumpRenderTree/TestNetscapePlugIn/win/TestNetscapePlugin.rc: Added a
        FileExtents field to map the .testnetscape file extension to the
        application/x-webkit-test-netscape MIME type, just as we do on Mac.

2011-01-12  Adam Barth  <abarth@webkit.org>

        Reviewed by Eric Seidel.

        Make webkit-patch support subdirectories for SVN checkouts
        https://bugs.webkit.org/show_bug.cgi?id=52261

        os.relpath does not exist on Python 2.5, so we need to call our version
        of the API.

        * Scripts/webkitpy/common/checkout/scm.py:

2011-01-11  Maciej Stachowiak  <mjs@apple.com>

        Reviewed by Eric Seidel.

        Close additional pages opened during a test once the test completes.
        https://bugs.webkit.org/show_bug.cgi?id=52276

        * WebKitTestRunner/InjectedBundle/InjectedBundle.cpp:
        (WTR::InjectedBundle::done):

2011-01-11  David Levin  <levin@chromium.org>

        Reviewed by Eric Seidel.

        Errors should be separated from the command line in bot messages.
        https://bugs.webkit.org/show_bug.cgi?id=52275

        * Scripts/webkitpy/common/system/executive.py:
        (ScriptError.message_with_output): Added a newline to separate the command
        line from the errors.
        * Scripts/webkitpy/common/system/executive_unittest.py:
        (ScriptErrorTest.test_message_with_output): Added tests for the various code
        paths in message_with_output.

2011-01-11  Eric Seidel  <eric@webkit.org>

        Unreviewed.

        commit-queue should know how to upload archived results (for test flakes or general failures)
        https://bugs.webkit.org/show_bug.cgi?id=52048

        The zips are mostly empty due to forgetting -r.
        Expected diffs were not being pulled from the archive due
        to the archive having longer paths than I realized.

        * Scripts/webkitpy/common/system/workspace.py:
        * Scripts/webkitpy/common/system/workspace_unittest.py:
        * Scripts/webkitpy/tool/bot/flakytestreporter.py:
        * Scripts/webkitpy/tool/bot/flakytestreporter_unittest.py:

2011-01-11  Dirk Pranke  <dpranke@chromium.org>

        Reviewed by Ojan Vafai.

        The current modifier parsing code in test_expectations is
        fragile and hard-coded, so it's not easy to understand the logic
        or easily add new types of modifiers (like GPU vs. CPU testing
        for graphics tests, or 32-bit vs. 64-bit differences).

        This is the first of two patches that will add in more generic
        support and then eliminate the GPU-specific test expectations
        files for Chromium.

        This patch adds two standalone objects for handling modifiers. The
        rules for interpreting modifiers, precedence, and conflicts are
        given in the docstring to the ModifierMatcher class, which
        returns ModifierMatchResult objects.
        
        This patch also adds routines to the Port interface and a
        default set of values in the base object, in order to obtain the
        values needed on a given test run. These values are then passed
        to the expectation parser. This also allows us to clean up the
        logic used to lint all of the different configurations in a
        single test_expectations.txt file.

        The next patch will merge in the separate GPU expectations file.

        https://bugs.webkit.org/show_bug.cgi?id=51222

        * Scripts/webkitpy/layout_tests/layout_package/printing_unittest.py:
        * Scripts/webkitpy/layout_tests/layout_package/test_expectations.py:
        * Scripts/webkitpy/layout_tests/layout_package/test_expectations_unittest.py:
        * Scripts/webkitpy/layout_tests/port/base.py:
        * Scripts/webkitpy/layout_tests/port/base_unittest.py:
        * Scripts/webkitpy/layout_tests/port/chromium.py:
        * Scripts/webkitpy/layout_tests/port/port_testcase.py:
        * Scripts/webkitpy/layout_tests/port/test.py:
        * Scripts/webkitpy/layout_tests/run_webkit_tests.py:
        * Scripts/webkitpy/layout_tests/run_webkit_tests_unittest.py:

2011-01-11  Maciej Stachowiak  <mjs@apple.com>

        Reviewed by Adam Barth.

        Make webkit-patch support subdirectories for SVN checkouts
        https://bugs.webkit.org/show_bug.cgi?id=52261

        * Scripts/webkitpy/common/checkout/scm.py:
        * Scripts/webkitpy/style_references.py:
        * Scripts/webkitpy/tool/main.py:
        * Scripts/webkitpy/tool/steps/preparechangelog.py:

2011-01-11  Eric Seidel  <eric@webkit.org>

        Unreviewed.

        commit-queue should know how to upload archived results (for test flakes or general failures)
        https://bugs.webkit.org/show_bug.cgi?id=52048

        I changed the API for archive_last_layout_test_results w/o updating the implementation.  Oops.
        This fixes an exception seen on the commit-queue when attempting to report flaky tests.

        * Scripts/webkitpy/common/system/workspace.py:
        * Scripts/webkitpy/common/system/workspace_unittest.py:
        * Scripts/webkitpy/tool/commands/queues.py:

2011-01-11  Sam Weinig  <sam@webkit.org>

        Roll r75474 back in.

2011-01-11  Jocelyn Turcotte  <jocelyn.turcotte@nokia.com>

        Reviewed by Kenneth Rohde Christiansen.

        [Qt] Remove uses of QFuture since it isn't supported on all platforms.
        https://bugs.webkit.org/show_bug.cgi?id=51204

        * QtTestBrowser/webpage.h:
        (QtNAMThread::QtNAMThread):
        (QtNAMThread::networkAccessManager):
        (QtNAMThread::run):

2011-01-11  Peter Varga  <pvarga@webkit.org>

        Unreviewed.

        Add myself to committers' list.

        * Scripts/webkitpy/common/config/committers.py:

2011-01-11  Eric Seidel  <eric@webkit.org>

        Reviewed by Adam Barth.

        commit-queue should know how to upload archived results (for test flakes or general failures)
        https://bugs.webkit.org/show_bug.cgi?id=52048

        Now the queue will always upload results.  Either the entire zip, or just
        the diffs.txt in the case of text failures.

        This should make understanding flakes much easier, and paves the way
        for having the EWS run layout tests (and upload failures).

        In order to upload .zip files I had to teach bugzilla.py to autodetect
        mime types from the filename.  Since mimetypes.py doesn't include a mapping
        for .patch files, I have it add one before calling guess_type.

        We may find that always uploading the whole zip instead of just the -diffs.txt
        file is preferable, but for now I'm keeping the old behavior because it makes
        quickly understanding text failures easy.

        * Scripts/webkitpy/common/net/bugzilla/bugzilla.py:
        * Scripts/webkitpy/common/system/workspace.py: Added.
        * Scripts/webkitpy/common/system/workspace_unittest.py: Added.
        * Scripts/webkitpy/tool/bot/commitqueuetask.py:
        * Scripts/webkitpy/tool/bot/commitqueuetask_unittest.py:
        * Scripts/webkitpy/tool/bot/flakytestreporter.py:
        * Scripts/webkitpy/tool/bot/flakytestreporter_unittest.py:
        * Scripts/webkitpy/tool/commands/queues.py:
        * Scripts/webkitpy/tool/commands/queues_unittest.py:

2011-01-10  Sheriff Bot  <webkit.review.bot@gmail.com>

        Unreviewed, rolling out r75464.
        http://trac.webkit.org/changeset/75464
        https://bugs.webkit.org/show_bug.cgi?id=52193

        Followup rollout for 75474 (Requested by Ossy on #webkit).

        * MiniBrowser/mac/BrowserWindowController.m:
        (-[BrowserWindowController awakeFromNib]):
        * MiniBrowser/win/BrowserView.cpp:
        (BrowserView::create):
        * WebKitTestRunner/TestController.cpp:
        (WTR::createOtherPage):
        (WTR::TestController::initialize):

2011-01-10  Laszlo Gombos  <laszlo.1.gombos@nokia.com>

        Reviewed by Csaba Osztrogonác.

        [Qt] Baseline qt_minimal configuration
        https://bugs.webkit.org/show_bug.cgi?id=51313

        * DumpRenderTree/qt/DumpRenderTreeQt.cpp:
        (WebCore::DumpRenderTree::resetToConsistentStateBeforeTesting): Add
        QT_NO_UNDOSTACK guard.

        * QtTestBrowser/launcherwindow.cpp:
        (LauncherWindow::createChrome): Add QT_NO_SHORTCUT and QT_NO_PRINTER
        guards.
        (LauncherWindow::applyZoom): Add QT_NO_ANIMATION guard.
        (LauncherWindow::screenshot): Add QT_NO_FILEDIALOG guard.
        (LauncherWindow::selectElements): Add QT_NO_INPUTDIALOG guard.
        (LauncherWindow::showUserAgentDialog): Add QT_NO_COMBOBOX guard.

        * QtTestBrowser/launcherwindow.h:
        * QtTestBrowser/locationedit.cpp: Add QT_NO_INPUTDIALOG guard.
        * QtTestBrowser/locationedit.h: Ditto.

        * QtTestBrowser/mainwindow.cpp:
        (MainWindow::buildUI): Add QT_NO_INPUTDIALOG, QT_NO_SHORTCUT and
        QT_NO_UNDOSTACK guards.
        (MainWindow::setAddressUrl): Add QT_NO_INPUTDIALOG guard.
        (MainWindow::changeLocation): Ditto.
        (MainWindow::openFile): Add QT_NO_FILEDIALOG guard.
        (MainWindow::openLocation): Add QT_NO_INPUTDIALOG guard.

        * QtTestBrowser/webpage.cpp:
        (WebPage::openUrlInDefaultBrowser): Add QT_NO_DESKTOPSERVICES guard.
        (WebPage::authenticationRequired): Add QT_NO_LINEEDIT guard.

        * QtTestBrowser/webview.cpp:
        (WebViewGraphicsBased::animatedFlip): Add QT_NO_ANIMATION guard.
        (WebViewGraphicsBased::animatedYFlip): Ditto.

2011-01-10  Sam Weinig  <sam@webkit.org>

        Fix build.

        * MiniBrowser/mac/BrowserWindowController.m:
        (-[BrowserWindowController awakeFromNib]):
        * MiniBrowser/win/BrowserView.cpp:
        (BrowserView::create):
        * WebKitTestRunner/TestController.cpp:
        (WTR::createOtherPage):
        (WTR::TestController::initialize):

2011-01-10  Eric Seidel  <eric@webkit.org>

        Reviewed by Ojan Vafai.

        style-queue messages are way too long for big patches
        https://bugs.webkit.org/show_bug.cgi?id=52161

        We definitely could build much fancier list-to-string-with-limit functions
        but this should be sufficient for our needs at the moment.

        * Scripts/webkitpy/common/system/executive.py:
        * Scripts/webkitpy/common/system/executive_unittest.py:

2011-01-10  Tony Chang  <tony@chromium.org>

        Unreviewed, rolling out r75398.
        http://trac.webkit.org/changeset/75398
        https://bugs.webkit.org/show_bug.cgi?id=52008

        Some layout tests are crashing on Chromium Win.

        * DumpRenderTree/chromium/WebViewHost.cpp:
        (WebViewHost::updatePaintRect):
        * DumpRenderTree/chromium/WebViewHost.h:

2011-01-10  Adam Roben  <aroben@apple.com>

        Roll out r75392

        It isn't needed now that r75289 has been rolled out.

        * Scripts/run-javascriptcore-tests:

2011-01-10  Maciej Stachowiak  <mjs@apple.com>

        Reviewed by Anders Carlsson.

        WebKitTestRunner uses crazy amounts of CPU, making layout tests slow and flaky
        https://bugs.webkit.org/show_bug.cgi?id=52160

        * WebKitTestRunner/mac/TestControllerMac.mm:
        (WTR::TestController::platformRunUntil): Instead of busy-looping, wait for the timeout.
        Anything that can make runUntil() conditions turn true will happen on a run loop cycle
        anyway.

2011-01-10  Tony Chang  <tony@chromium.org>

        Reviewed by Mihai Parparita.

        [chromium] fix for animated gif layout tests
        https://bugs.webkit.org/show_bug.cgi?id=52008

        * DumpRenderTree/chromium/WebViewHost.cpp: Schedule a paint when we update the paint rect
            to trigger gif animations.
        (WebViewHostPaintTask::WebViewHostPaintTask):
        (WebViewHostPaintTask::runIfValid):
        (WebViewHost::updatePaintRect):
        * DumpRenderTree/chromium/WebViewHost.h:
        (WebViewHost::taskList):

2011-01-10  Alejandro G. Castro  <alex@igalia.com>

        Reviewed by Xan Lopez.

        [GTK] Fix gtk2 compilation for master
        https://bugs.webkit.org/show_bug.cgi?id=51885

        * DumpRenderTree/gtk/PixelDumpSupportGtk.cpp:
        (createBitmapContextFromWebView): Replaced the old
        gdk_drawable_get_size with gdk_pixmap_get_size.

2011-01-10  Patrick Gansterer  <paroga@webkit.org>

        Reviewed by Laszlo Gombos.

        [WINCE] Reenable NPAPI after r75203
        https://bugs.webkit.org/show_bug.cgi?id=52109

        Remove the !isWinCE() check for ENABLE_NETSCAPE_PLUGIN_API and replace
        it with !isEfl(), because EFL port does not support NPAPI (yet).

        * Scripts/build-webkit:

2011-01-10  Adam Roben  <aroben@apple.com>

        Skip some asserting JS tests

        See <http://webkit.org/b/52156>.

        * Scripts/run-javascriptcore-tests:

2011-01-10  Martin Robinson  <mrobinson@igalia.com>

        Reviewed by Xan Lopez.

        [GTK] build-webkit disable Blob support via arguments passed to automake
        https://bugs.webkit.org/show_bug.cgi?id=52097

        * Scripts/build-webkit: Enable Blob support when building WebKitGTK+ via
        build-webkit.

2011-01-10  Adam Roben  <aroben@apple.com>

        Use the same name and description for TestNetscapePlugin on Windows and
        Mac

        Fixes <http://webkit.org/b/52151>
        fast/frames/iframe-reparenting-plugins.html fails on Windows

        Reviewed by Steve Falkenburg.

        * DumpRenderTree/TestNetscapePlugIn/win/TestNetscapePlugin.rc: Copied
        the name and description from Mac's Info.plist.

2011-01-10  Siddharth Mathur <siddharth.mathur@nokia.com>

        Reviewed by Laszlo Gombos.

        [Qt][WK2] Guard gcc-specific syntax

        Non-gcc based compliers choke on the "-include"
        syntax for preinclude, place guard around it.

        * WebKitTestRunner/InjectedBundle/qt/InjectedBundle.pro:
        * WebKitTestRunner/qt/WebKitTestRunner.pro:

2011-01-10  Andreas Kling  <kling@webkit.org>

        Reviewed by Simon Hausmann.

        [Qt] [WK2] MiniBrowser does not load pages opened in new windows
        https://bugs.webkit.org/show_bug.cgi?id=52111

        When getting a createNewPage() callback from QWKPage, create the
        new page with the same QWKContext as the page that is passed to
        the callback.

        * MiniBrowser/qt/BrowserView.h:
        * MiniBrowser/qt/BrowserWindow.cpp:
        (newPageFunction):
        (BrowserWindow::BrowserWindow):
        * MiniBrowser/qt/BrowserWindow.h:

2011-01-10  Andreas Kling  <kling@webkit.org>

        Reviewed by Kenneth Rohde Christiansen.

        [Qt] MiniBrowser: Remove superfluous createNewPage() callback

        BrowserView set its own useless createNewPage() callback on QWKPage.
        This was immediately overridden by BrowserWindow anyway, so remove
        the BrowserView one.

        * MiniBrowser/qt/BrowserView.cpp:
        (BrowserView::BrowserView):

2011-01-10  John Knottenbelt  <jknotten@chromium.org>

        Reviewed by Jeremy Orlow.

        [Chromium] Remove non-client-based Geolocation code
        https://bugs.webkit.org/show_bug.cgi?id=50921

        * DumpRenderTree/chromium/LayoutTestController.cpp:
        (LayoutTestController::setGeolocationPermission):
        (LayoutTestController::setMockGeolocationPosition):
        (LayoutTestController::setMockGeolocationError):
        * DumpRenderTree/chromium/WebViewHost.cpp:
        (WebViewHost::geolocationClientMock):
        (WebViewHost::reset):
        * DumpRenderTree/chromium/WebViewHost.h:

2011-01-10  Eric Seidel  <eric@webkit.org>

        Reviewed by Adam Barth.

        Commit bot tried to land r? cq+ patch
        https://bugs.webkit.org/show_bug.cgi?id=36638

        It should now be possible to post a patch with r? and cq+ and the
        commit-queue will correctly wait for the r+ before attempting to land the patch.
        (This was a feature requested by several users.)

        One caveat: We don't actually reject r-, cq+ patches from the queue
        (we just ignore them), but I think that's OK for now.

        I also noticed that setting r- once a commit-queue node had grabbed
        a patch would not properly cancel the landing.  That's fixed and
        tested in this patch.

        * Scripts/webkitpy/tool/bot/commitqueuetask.py:
        * Scripts/webkitpy/tool/bot/commitqueuetask_unittest.py:
        * Scripts/webkitpy/tool/bot/feeders.py:
        * Scripts/webkitpy/tool/bot/feeders_unittest.py:

2011-01-08  Benjamin Poulain  <benjamin.poulain@nokia.com>

        Reviewed by Kenneth Rohde Christiansen.

        [Qt] QtWebKit crashes when using XMLHttpRequest from the unload event
        https://bugs.webkit.org/show_bug.cgi?id=51934

        When accessing the network from the destructor of QWebPage, the network access manager
        was already deleted because the object WebPage was already destructed.

        This solve the problem by linking the lifetime of the network access manager to WebPage's QObject.
        The object is now destructed in the destructor of QObject.

        * QtTestBrowser/webpage.cpp:
        (WebPage::WebPage):
        (WebPage::setQnamThreaded):
        * QtTestBrowser/webpage.h:
        (QtNAMThread::QtNAMThread):

2011-01-08  Eric Seidel  <eric@webkit.org>

        Reviewed by Ojan Vafai.

        test_failures.py should not mention TestShell (long live DumpRenderTree!)
        https://bugs.webkit.org/show_bug.cgi?id=52067

        I ran test-webkitpy, but didn't bother adding a unit test for this string change.
        https://bugs.webkit.org/show_bug.cgi?id=51138#c3 is an example of why this is needed.

        * Scripts/webkitpy/layout_tests/layout_package/test_failures.py:

2011-01-08  Eric Seidel  <eric@webkit.org>

        Reviewed by Mihai Parparita.

        commit-queue hangs when the ChangeLog diff is bad
        https://bugs.webkit.org/show_bug.cgi?id=52072

        * Scripts/webkitpy/tool/steps/validatechangelogs.py:
        * Scripts/webkitpy/tool/steps/validatechangelogs_unittest.py:

2011-01-08  Adam Barth  <abarth@webkit.org>

        Teach svn-apply how to re-write WebCore to Source/WebCore.

        * Scripts/VCSUtils.pm:

2011-01-07  Adam Barth  <abarth@webkit.org>

        Rubber-stamped by Eric Seidel.

        Move WebCore to Source
        https://bugs.webkit.org/show_bug.cgi?id=52050

        Update the tools to understand WebCore's new location.

        * DumpRenderTree/qt/TestNetscapePlugin/TestNetscapePlugin.pro:
        * DumpRenderTree/wscript:
        * GNUmakefile.am:
        * Scripts/build-webkit:
        * Scripts/do-file-rename:
        * Scripts/do-webcore-rename:
        * Scripts/generate-qt-inspector-resource:
        * Scripts/prepare-ChangeLog:
        * Scripts/run-bindings-tests:
        * Scripts/update-iexploder-cssproperties:
        * Scripts/update-sources-list.py:
        * Scripts/update-webkit-localizable-strings:
        * Scripts/webkitdirs.pm:
        * Scripts/webkitpy/common/config/build.py:
        * Scripts/webkitpy/common/config/build_unittest.py:
        * Scripts/webkitpy/layout_tests/deduplicate_tests_unittest.py:
        * Scripts/webkitpy/style/checker.py:
        * Scripts/webkitpy/style/checker_unittest.py:
        * WebKitTestRunner/DerivedSources.pro:
        * WebKitTestRunner/InjectedBundle/qt/InjectedBundle.pro:
        * iExploder/iexploder-1.7.2/tools/update_html_tags_from_sources.sh:
        * wx/browser/wscript:
        * wx/build/settings.py:

2011-01-07  Maciej Stachowiak  <mjs@apple.com>

        Reviewed by Sam Weinig.

        Make WebKitTestRunner rest between loads more robust to avoid test crashes
        https://bugs.webkit.org/show_bug.cgi?id=52086

        * WebKitTestRunner/InjectedBundle/InjectedBundle.cpp:
        (WTR::InjectedBundle::didReceiveMessage):
        * WebKitTestRunner/InjectedBundle/LayoutTestController.cpp:
        (WTR::LayoutTestController::notifyDone):
        * WebKitTestRunner/TestController.cpp:
        (WTR::TestController::resetStateToConsistentValues):
        (WTR::TestController::run):

2011-01-07  James Robinson  <jamesr@chromium.org>

        Revert "Implement mozilla's animationTime property"
        https://bugs.webkit.org/show_bug.cgi?id=51952

        This approach isn't quite right.

        * DumpRenderTree/chromium/WebViewHost.cpp:
        (WebViewHost::paintInvalidatedRegion):

2011-01-07  Adam Roben  <aroben@apple.com>

        Build master fix

        * BuildSlaveSupport/build.webkit.org-config/master.cfg:
        (RunWebKitTests.start): Don't try to concatenate a list and a string.

2011-01-07  Jedrzej Nowacki  <jedrzej.nowacki@nokia.com>

        Reviewed by Csaba Osztrogonác.

        run-qtwebkit-tests should be able to kill a testsuite.

        Add new option in the script that can setup a timeout for a test.
        If the test execution takes more then specified time then the test
        would be terminated.

        [Qt] run-qtwebkit-tests needs timeout
        https://bugs.webkit.org/show_bug.cgi?id=51894

        * BuildSlaveSupport/build.webkit.org-config/master.cfg:
        * Scripts/run-qtwebkit-tests:

2011-01-07  Csaba Osztrogonác  <ossy@webkit.org>

        Unreviewed fix after r75233.

        Based on idea from Eric Seidel.

        Add remote zip file handling to webkitpy.
        https://bugs.webkit.org/show_bug.cgi?id=50901

        * Scripts/webkitpy/common/system/fileset.py: Make python 2.5 happy.

2011-01-07  Shane Stephens  <shanestephens@google.com>

        Reviewed by Eric Seidel.

        svn-apply: should support git binary delta diffs
        https://bugs.webkit.org/show_bug.cgi?id=38864

        * Scripts/VCSUtils.pm:
        * Scripts/svn-apply:

2011-01-06  Julie Parent  <jparent@chromium.org>

        Reviewed by Eric Seidel.

        Test Result Server not removing old results.
        https://bugs.webkit.org/show_bug.cgi?id=52012

        * TestResultServer/model/jsonresults.py:
        Fix off-by-one: Truncate if >= num_runs, not just >.
        * TestResultServer/model/jsonresults_unittest.py:
        Add unit test to test that merging in a new result with the same value
        as the last result causes previous result to fall off.

2011-01-06  James Kozianski  <koz@chromium.org>

        Reviewed by Mihai Parparita.

        Add classes to provide a consistent interface to a set of files.
        https://bugs.webkit.org/show_bug.cgi?id=50901

        These classes allow us to write code that is agnostic to whether a
        particular set of files resides in a local directory or in a zip file
        on a remote machine.

        * Scripts/webkitpy/common/system/directoryfileset.py: Added.
        * Scripts/webkitpy/common/system/directoryfileset_unittest.py: Added.
        * Scripts/webkitpy/common/system/fileset.py: Added.
        * Scripts/webkitpy/common/system/filesystem.py:
        * Scripts/webkitpy/common/system/filesystem_mock.py:
        * Scripts/webkitpy/common/system/zipfileset.py: Added.
        * Scripts/webkitpy/common/system/zipfileset_unittest.py: Added.

2011-01-06  Eric Seidel  <eric@webkit.org>

        Reviewed by Adam Barth.

        NetworkTransaction should log the url it is retrying
        https://bugs.webkit.org/show_bug.cgi?id=52043

        * Scripts/webkitpy/common/net/networktransaction.py:
        * Scripts/webkitpy/common/net/networktransaction_unittest.py:

2011-01-06  Steve Falkenburg  <sfalken@apple.com>

        Windows build fix.
        Import os before using it.

        * BuildSlaveSupport/build.webkit.org-config/master.cfg:

2011-01-06  Eric Seidel  <eric@webkit.org>

        Reviewed by Adam Barth.

        StyleQueue fails to report errors when patches have many files
        https://bugs.webkit.org/show_bug.cgi?id=52042

        This is one of at least two errors preventing style error reporting at the moment.
        When we moved to passing the list of files to check explicitly,
        we started to exceed the 500 character TEXT field limit for our AppEngine model object.
        We could change the type of the QueueStatus.message type, or we could
        just teach statusserver.py how to clamp values (and warn when it does).
        I chose the latter path.

        * Scripts/webkitpy/common/net/statusserver.py:

2011-01-06  Steve Falkenburg  <sfalken@apple.com>

        Reviewed by Stephanie Lewis.
        
        Fix syntax error in script.

        Windows bots need to archive/unarchive builds to/from configuration-specific directories
        https://bugs.webkit.org/show_bug.cgi?id=51996

        * BuildSlaveSupport/build.webkit.org-config/master.cfg:

2011-01-06  Laszlo Gombos  <laszlo.1.gombos@nokia.com>

        Unreviewed, fixing WinCE build after r75196.

        WinCE port does not (yet) support NPAPI.

        * Scripts/build-webkit:

2011-01-06  Xan Lopez  <xlopez@igalia.com>

        Reviewed by Darin Adler.

        File::Spec->rel2abs in sunspider-compare-results mangles parameters
        https://bugs.webkit.org/show_bug.cgi?id=52015

        * Scripts/sunspider-compare-results: call rel2abs on our arguments
        after the platform has been detected, otherwise the script will
        mangle things like '--gtk' into '/a/path/--gtk', breaking the
        detection.

2011-01-06  Laszlo Gombos  <laszlo.1.gombos@nokia.com>

        Reviewed by Eric Seidel.

        Add ENABLE_NETSCAPE_PLUGIN_API, ENABLE_ORIENTATION_EVENTS and ENABLE_TOUCH_EVENTS flags to build-webkit
        https://bugs.webkit.org/show_bug.cgi?id=51346

        * Scripts/build-webkit:

2011-01-06  Steve Falkenburg  <sfalken@apple.com>

        Reviewed by Adam Roben.

        Windows bots need to archive/unarchive builds to/from configuration-specific directories
        https://bugs.webkit.org/show_bug.cgi?id=51996
        
        After the configuration directory change, we were archiving the incorrect directory for
        build product, so we were running tests on the wrong binaries.
        
        This change archives the correct directory, and also unarchives it into a configuration-
        specific directory.

        * BuildSlaveSupport/build.webkit.org-config/master.cfg: Use a configuration-specific directory on Windows.
        * BuildSlaveSupport/built-product-archive: Unarchive/archive to/from proper directory.

2011-01-06  Eric Seidel  <eric@webkit.org>

        Reviewed by Mihai Parparita.

        commit-queue mentions "Text diff mismatch" 4 times instead of once per failure
        https://bugs.webkit.org/show_bug.cgi?id=52002

        See an example of this here:
        https://bugs.webkit.org/show_bug.cgi?id=51314#c2

        It's due to the fact that we pass around TestFailure() instance
        objects and yet expect them to all compare to be the same.

        This is bad.  We should either have shared instances of these values
        or we should just pass around the class names.  There are already hacks
        in place to make TestFailure objects pass equality tests, I just added
        a __hash__ implementation so they can be used in sets as expected.

        * Scripts/webkitpy/common/net/layouttestresults_unittest.py:
        * Scripts/webkitpy/layout_tests/layout_package/test_failures.py:

2011-01-06  Evan Martin  <evan@chromium.org>

        Reviewed by Tony Chang.

        [gdb] handle inaccessible memory and UChar*
        https://bugs.webkit.org/show_bug.cgi?id=52003

        To pretty-print a UChar*, we just grope around in the memory
        looking for a terminating NUL.  We need to handle the exception
        that can occur when we poke into an invalid location.

        Additionally, the logic for choosing which pretty-printer would
        early return before hitting the point where we'd use the UChar*
        printer.  (Did this ever work?  How did it regress?)

        * gdb/webkit.py:

2011-01-05  Brian Weinstein  <bweinstein@apple.com>

        Reviewed by Ada Chan.

        WebKit2: Should be able to call into injected bundle to ask if we should allow resource loads
        https://bugs.webkit.org/show_bug.cgi?id=51969
        
        Add shouldLoadResourceForFrame to WTR::InjectedBundlePage.

        * WebKitTestRunner/InjectedBundle/InjectedBundlePage.cpp:
        (WTR::InjectedBundlePage::InjectedBundlePage):
        (WTR::InjectedBundlePage::shouldLoadResourceForFrame): Stub implementation.
        * WebKitTestRunner/InjectedBundle/InjectedBundlePage.h:

2011-01-06  James Robinson  <jamesr@chromium.org>

        Reviewed by Simon Fraser.

        Implement mozilla's animationTime property
        https://bugs.webkit.org/show_bug.cgi?id=51952

        Chromium DRT support for webkitAnimationTime.

        * DumpRenderTree/chromium/WebViewHost.cpp:
        (WebViewHost::paintInvalidatedRegion):

2011-01-06  Julie Parent  <jparent@chromium.org>

        Reviewed by Tony Chang.

        Test Result Server always truncates number of results to JSON_RESULTS_MAX_BUILDS
        https://bugs.webkit.org/show_bug.cgi?id=51217

        * TestResultServer/model/jsonresults.py:
        Pass num_runs through to _remove_items_over_max_number_of_builds, and use the value.
        Adds missing documentation.
        * TestResultServer/model/jsonresults_unittest.py:
        Add unit test to test that truncation happens at smaller value than JSON_RESULTS_MAX_BUILDS.
        Update test_merge to take a number of builds to truncate at.

2011-01-06  Adam Barth  <abarth@webkit.org>

        Reviewed by Eric Seidel.

        The EWS should log outside of the working directory
        https://bugs.webkit.org/show_bug.cgi?id=51986

        This patch prepare us for using git clean -x -d -f in the EWS wrapper
        script, which will actually clean the working copy back to a pristine
        state instead of leaving untracked directories and ignored files.

        * Scripts/webkitpy/tool/commands/queues.py:
        * Scripts/webkitpy/tool/commands/queues_unittest.py:

2011-01-05  Steve Falkenburg  <sfalken@apple.com>

        Windows build fix.
        Back out attempted change to built-product-archive.

        * BuildSlaveSupport/built-product-archive:

2011-01-05  Steve Falkenburg  <sfalken@apple.com>

        Windows build fix.
        Include configuration name when unpacking a build archive.

        Needed, since we split Windows build results into configuration-specific directories
        under WebKitOutputDir.

        * BuildSlaveSupport/built-product-archive:

2011-01-05  Steve Falkenburg  <sfalken@apple.com>

        Reviewed by Darin Adler.

        Debug and Release builds on Windows clobber each other
        https://bugs.webkit.org/show_bug.cgi?id=49185

        Changes the structure of WebKitBuild build products directory so we
        completely separate each build configuration into independent directories.
        
        Although we previously had per-configuration directories for obj, this change adds
        per-configuration directories for bin, lib, obj, and include. Each configuration's
        build products are stored within a directory inside of WebKitBuild.
        
        Most use of $(WebKitOutputDir) in the build files has been replaced by $(ConfigurationBuildDir),
        defined in common.vsprops to be $(WebKitOutputDir)\$(ConfigurationName).

        * DumpRenderTree/TestNetscapePlugIn/win/TestNetscapePluginCommon.vsprops:
        * DumpRenderTree/TestNetscapePlugIn/win/TestNetscapePluginPostBuild.cmd:
        * DumpRenderTree/TestNetscapePlugIn/win/TestNetscapePluginPreBuild.cmd:
        * DumpRenderTree/win/DumpRenderTreeCommon.vsprops:
        * DumpRenderTree/win/DumpRenderTreePostBuild.cmd:
        * DumpRenderTree/win/DumpRenderTreePreBuild.cmd:
        * DumpRenderTree/win/ImageDiffCommon.vsprops:
        * DumpRenderTree/win/ImageDiffPostBuild.cmd:
        * DumpRenderTree/win/ImageDiffPreBuild.cmd:
        * FindSafari/FindSafari.vcproj:
        * MiniBrowser/Configurations/MiniBrowserCommon.vsprops:
        * MiniBrowser/MiniBrowserPostBuild.cmd:
        * MiniBrowser/MiniBrowserPreBuild.cmd:
        * Scripts/webkitdirs.pm:
        * TestWebKitAPI/Configurations/TestWebKitAPICommon.vsprops:
        * TestWebKitAPI/win/TestWebKitAPIGeneratedCommon.vsprops:
        * TestWebKitAPI/win/TestWebKitAPIPostBuild.cmd:
        * TestWebKitAPI/win/TestWebKitAPIPreBuild.cmd:
        * TestWebKitAPI/win/copy-resources.cmd:
        * WebKitAPITest/WebKitAPITestCommon.vsprops:
        * WebKitAPITest/WebKitAPITestPostBuild.cmd:
        * WebKitAPITest/WebKitAPITestPreBuild.cmd:
        * WebKitTestRunner/Configurations/InjectedBundleCommon.vsprops:
        * WebKitTestRunner/Configurations/WebKitTestRunnerCommon.vsprops:
        * WebKitTestRunner/win/InjectedBundle.vcproj:
        * WebKitTestRunner/win/InjectedBundleGeneratedCommon.vsprops:
        * WebKitTestRunner/win/InjectedBundlePostBuild.cmd:
        * WebKitTestRunner/win/InjectedBundlePreBuild.cmd:
        * WebKitTestRunner/win/WebKitTestRunnerPostBuild.cmd:
        * WebKitTestRunner/win/WebKitTestRunnerPreBuild.cmd:
        * WinLauncher/WinLauncherCommon.vsprops:
        * WinLauncher/WinLauncherPostBuild.cmd:
        * WinLauncher/WinLauncherPreBuild.cmd:

2011-01-05  Jan Erik Hanssen  <jhanssen@sencha.com>

        Reviewed by Ariya Hidayat.

        [Qt] TestNetscapePlugin doesn't link on OS X
        https://bugs.webkit.org/show_bug.cgi?id=51948

        Only add a dependency on libX11 on X11 systems

        * DumpRenderTree/qt/TestNetscapePlugin/TestNetscapePlugin.pro:

2011-01-05  Jeff Miller  <jeffm@apple.com>

        Reviewed by Adam Roben.

        check-webkit-style should allow unnecessary parameter names in WebKit2 APIs because we're matching CF's header style
        https://bugs.webkit.org/show_bug.cgi?id=51970

        * Scripts/webkitpy/style/checker.py:
        Add -readability/naming for WebKit2 C API directories.

2011-01-05  Eric Seidel  <eric@webkit.org>

        Unreviewed, just fixing one more log error from my previous python patch.

        Move LayoutTestResults over to new-run-webkit-tests TestResult architecture
        https://bugs.webkit.org/show_bug.cgi?id=51802

        webkit-patch failure-reason was logging about parsing errors
        due to my misunderstanding of how BeautifulSoup.findAll worked.

        Fixed, and added a unit test.

        * Scripts/webkitpy/common/net/layouttestresults.py:
        * Scripts/webkitpy/common/net/layouttestresults_unittest.py:

2011-01-05  Benjamin Poulain  <benjamin.poulain@nokia.com>

        Reviewed by Kenneth Rohde Christiansen.

        [Qt] [WK2] Add the possibility to open window from the WebProcess in Minibrowser
        https://bugs.webkit.org/show_bug.cgi?id=51951

        Set a function to QWKPage::setCreateNewPageFunction() in Minibrowser so there is a way
        to create new window from WebKit.

        * MiniBrowser/qt/BrowserWindow.cpp:
        (newPageFunction):
        (BrowserWindow::BrowserWindow):
        (BrowserWindow::page): Added to avoid the indirect access to QWKPage spread in the class
        (BrowserWindow::newWindow):
        (BrowserWindow::updateUserAgentList):
        (BrowserWindow::showUserAgentDialog):
        * MiniBrowser/qt/BrowserWindow.h: Add the global variable backingStoreTypeForNewWindow to
        define the type of the backing store used for new windows.
        * MiniBrowser/qt/main.cpp:
        (main):

2011-01-05  Eric Seidel  <eric@webkit.org>

        Reviewed by Ojan Vafai.

        commit-queue should report failure type when reporting flaky tests
        https://bugs.webkit.org/show_bug.cgi?id=51900

        This patch was a ridiculous amount of plumbing.  In the end I like
        the NRWT-style TestResult class even less.  But now we're passing
        a list of TestResult objects from the queue to the FlakyTestReporter.
        Thus the FlakyTestReporter can more easily report what type of failure
        occurred.

        In the process, I found that I was not alone in finding TestResult
        cumbersome to use.  A bunch of code was trying to create a TestResult
        object with default values.  However since the constructor didn't make
        this easy, some places were getting it wrong (including the TestResult unit test)!
        I've fixed the TestResult constructor to have default values for non-essential
        arguments.

        * Scripts/webkitpy/common/net/buildbot/buildbot_unittest.py:
        * Scripts/webkitpy/common/net/layouttestresults.py:
        * Scripts/webkitpy/common/net/layouttestresults_unittest.py:
        * Scripts/webkitpy/layout_tests/layout_package/dump_render_tree_thread.py:
        * Scripts/webkitpy/layout_tests/layout_package/json_results_generator.py:
        * Scripts/webkitpy/layout_tests/layout_package/printing_unittest.py:
        * Scripts/webkitpy/layout_tests/layout_package/test_results.py:
        * Scripts/webkitpy/layout_tests/layout_package/test_results_unittest.py:
        * Scripts/webkitpy/layout_tests/layout_package/test_runner.py:
        * Scripts/webkitpy/tool/bot/commitqueuetask.py:
        * Scripts/webkitpy/tool/bot/commitqueuetask_unittest.py:
        * Scripts/webkitpy/tool/bot/flakytestreporter.py:
        * Scripts/webkitpy/tool/bot/flakytestreporter_unittest.py:
        * Scripts/webkitpy/tool/commands/queues.py:
        * Scripts/webkitpy/tool/commands/queues_unittest.py:

2011-01-05  Eric Seidel  <eric@webkit.org>

        Unreviewed.

        Move LayoutTestResults over to new-run-webkit-tests TestResult architecture
        https://bugs.webkit.org/show_bug.cgi?id=51802

        Add another unit test to cover a previously missing import.

        * Scripts/webkitpy/common/net/layouttestresults.py:
        * Scripts/webkitpy/common/net/layouttestresults_unittest.py:

2011-01-05  Mihai Parparita  <mihaip@chromium.org>

        Reviewed by David Levin.

        Add mihaip@chromium.org as a reviewer
        https://bugs.webkit.org/show_bug.cgi?id=51966
        
        Add myself as a reviewer.

        * Scripts/webkitpy/common/config/committers.py:

2011-01-05  James Simonsen  <simonjam@chromium.org>

        Unreviewed. Adding myself to the list of committers.

        * Scripts/webkitpy/common/config/committers.py:

2011-01-05  Eric Seidel  <eric@webkit.org>

        Unreviewed.

        Move LayoutTestResults over to new-run-webkit-tests TestResult architecture
        https://bugs.webkit.org/show_bug.cgi?id=51802

        Fix two exceptions seen on the bots after my original commit.

        * Scripts/webkitpy/common/net/layouttestresults.py:
        * Scripts/webkitpy/common/net/layouttestresults_unittest.py:

2011-01-05  Kundu Suchismita  <suchi.kundu@nokia.com>

        Reviewed by Andreas Kling.

        [Qt]Add local storage settings to QtTestBrowser command line arguments 
        https://bugs.webkit.org/show_bug.cgi?id=51750

        * QtTestBrowser/main.cpp:
        (LauncherApplication::handleUserOptions):
         Local storage settings can be enable form command line arguments for
         QtTestBrowser.

2011-01-05  Chris Fleizach  <cfleizach@apple.com>

        Reviewed by Martin Robinson.

        GTK: AX: DRT needs to use correct root object method.
        https://bugs.webkit.org/show_bug.cgi?id=51911

        * DumpRenderTree/gtk/AccessibilityControllerGtk.cpp:
        (AccessibilityController::rootElement):

2011-01-05  Gabor Rapcsanyi  <rgabor@inf.u-szeged.hu>

        Rubber-stamped by Csaba Osztrogonác.

        Based on idea from Péter Gál.

        * Scripts/webkitpy/tool/bot/sheriff.py: Remove unnecessary apostrophes around revision numbers.

2011-01-05  Gabor Rapcsanyi  <rgabor@inf.u-szeged.hu>

        Reviewed by Adam Barth.

        sheriff-bot should be able to do multi-revision rollouts
        https://bugs.webkit.org/show_bug.cgi?id=51176

        * Scripts/webkitpy/tool/bot/irc_command.py:
        * Scripts/webkitpy/tool/bot/sheriff.py:
        * Scripts/webkitpy/tool/bot/sheriffircbot_unittest.py:

2011-01-05  Eric Seidel  <eric@webkit.org>

        Reviewed by Adam Barth.

        queues.webkit.org should have per-bot status pages
        https://bugs.webkit.org/show_bug.cgi?id=51906

        Just adds a /queue-status/QUEUE_NAME/bots/BOT_ID page to show
        statuses from a single queue.  Now that we have many bots servicing
        some queues (commit-queue, win-ews, etc.) its easy to have the messages
        you care about scroll off the end of the 15-message limit on the main page.

        Eventually we should probably rename /queue-status to /queue or /queues,
        but that's fodder for another patch.

        * QueueStatusServer/handlers/queuestatus.py:
        * QueueStatusServer/index.yaml:
        * QueueStatusServer/main.py:
        * QueueStatusServer/templates/includes/singlequeuestatus.html:
         - This probably should use a custom filter instead of hard-coding
           the URL scheme here, but I couldn't figure out how to easily
           create such a filter.  Most filters work with "strings" so we can't
           pass the status object.  We could add a method to the status
           object and call that, but that seemed a bit strange too.
        * QueueStatusServer/templates/queuestatus.html:

2011-01-05  Carlos Garcia Campos  <cgarcia@igalia.com>

        Unreviewed. Adding myself to the list of committers.

        * Scripts/webkitpy/common/config/committers.py:

2011-01-04  Koan-Sin Tan  <koansin.tan@gmail.com>

        Reviewed by David Levin.

        check-webkit-style treated some macros with parentheses after #elif as function calls
        https://bugs.webkit.org/show_bug.cgi?id=51695

        Ingore function call space checking in any preprocessor directives
        (things starting with #). Change search() to match() because 
        preprocessor directives are supposed to be in the beginning of lines.

        * Scripts/webkitpy/style/checkers/cpp.py:
        * Scripts/webkitpy/style/checkers/cpp_unittest.py: make sure there is no false positives for #elif cases

2011-01-04  Søren Gjesse  <sgjesse@chromium.org>

        Reviewed by Tony Chang.

        Change the --multi-load test option to --stress-opt
        https://bugs.webkit.org/show_bug.cgi?id=50751

        * DumpRenderTree/chromium/DumpRenderTree.cpp:
        (runTest):
        (main):
        * DumpRenderTree/chromium/TestShell.cpp:
        (TestShell::TestShell):
        * DumpRenderTree/chromium/TestShell.h:
        (TestShell::stressOpt):
        (TestShell::setStressOpt):
        (TestShell::stressDeopt):
        (TestShell::setStressDeopt):
        (TestShell::javaScriptFlags):
        (TestShell::setJavaScriptFlags):
        * Scripts/webkitpy/layout_tests/port/chromium.py:
        * Scripts/webkitpy/layout_tests/run_webkit_tests.py:

2011-01-04  Chris Fleizach  <cfleizach@apple.com>

        Reviewed by Sam Weinig.

        WK2: Support Accessibility
        https://bugs.webkit.org/show_bug.cgi?id=51859

        Use rootObject() method to get top of accessibility tree.

        * DumpRenderTree/mac/AccessibilityControllerMac.mm:
        (AccessibilityController::focusedElement):
        (AccessibilityController::rootElement):

2011-01-03  Martin Robinson  <mrobinson@igalia.com>

        Reviewed by Darin Adler.

        Remove the last non-GObject usage of PlatformRefPtr and move the code to GRefPtr
        https://bugs.webkit.org/show_bug.cgi?id=51846

        * DumpRenderTree/gtk/AccessibilityUIElementGtk.cpp: Change usage of PlatformRefPtr
        back to GRefPtr.

2011-01-04  Zhe Su  <suzhe@chromium.org>

        Reviewed by Kenneth Russell.

        Fix insertText, setMarkedText and unmarkText methods of
        TextInputController to call corresponding methods of WebKit::WebView
        rather than WebKit::WebFrame. This change matches the behavior of
        chromium browser.
        insertText corresponds to WebView::confirmComposition(text)
        setMarkedText corresponds to WebView::setComposition(...)
        unmarkText corresponds to WebView::confirmComposition()
        https://bugs.webkit.org/show_bug.cgi?id=51693

        * DumpRenderTree/chromium/TextInputController.cpp:
        (TextInputController::insertText):
        (TextInputController::setMarkedText):
        (TextInputController::unmarkText):

2011-01-04  Dihan Wickremasuriya  <dihan.wickremasuriya@nokia.com>

        Reviewed by Laszlo Gombos.

        [Qt] [Symbian] Do not remove 0 byte sized files from productDir

        On Symbian productDir points to the source directory. Removing all the
        empty files from the productDir directory corrupts the svn repository.

        * Scripts/build-webkit:

2011-01-03  Yi Shen  <yi.4.shen@nokia.com>

        Reviewed by Adam Barth.

        [Qt] Add SelectAll option to the context menu for the editor
        https://bugs.webkit.org/show_bug.cgi?id=50049

        Set shortcut for the SelectAll action.

        * QtTestBrowser/mainwindow.cpp:
        (MainWindow::buildUI):

2011-01-03  David Levin  <levin@chromium.org>

        Reviewed by Eric Seidel.

        check-webkit-style shouldn't consider "value" automatically to be a meaningless name.
        https://bugs.webkit.org/show_bug.cgi?id=51842

        * Scripts/webkitpy/style/checkers/cpp.py: Remove the check for value.
        * Scripts/webkitpy/style/checkers/cpp_unittest.py: Remove the test for value.

2011-01-03  Patrick Gansterer  <paroga@webkit.org>

        Reviewed by David Kilzer.

        [WINCE] Adds a build slave.
        https://bugs.webkit.org/show_bug.cgi?id=50523

        * BuildSlaveSupport/build.webkit.org-config/config.json: Add an
        entry for a release build of the WinCE port.
        * BuildSlaveSupport/build.webkit.org-config/master.cfg: Add platform
        flag to build the WinCE port.

2011-01-03  Patrick Gansterer  <paroga@webkit.org>

        Reviewed by David Kilzer.

        Add WinCE support to build-webkit
        https://bugs.webkit.org/show_bug.cgi?id=51642

        * Scripts/build-webkit:
        * Scripts/webkitdirs.pm:

2011-01-03  Eric Seidel  <eric@webkit.org>

        Reviewed by Adam Barth.

        Move LayoutTestResults over to new-run-webkit-tests TestResult architecture
        https://bugs.webkit.org/show_bug.cgi?id=51802

        I'm not the biggest fan of the test_failures or test_results classes,
        but it's better to have one shared set of classes, than separate ones
        for new vs. old run-webkit-test result handling.

        This moves the ORWT results class "LayoutTestResults" over to using
        TestResult and TestFailure classes, making it easy for us to
        make all our sheriff-bot and other webkitpy code NRWT ready.

        This also makes it a trivial patch to generate results.json information
        from ORWT results.html files (for flaky test analysis, etc.) as well
        as making it a one-liner to report test failure types when the
        commit-queue sees flaky tests.

        This patch tried not to add new functionality, but only to replace
        the guts of LayoutTestResults, while adding unit tests and hoping
        not to break anything.

        I also moved callers which assumed User.prompt* were static/class methods
        to using them as instance methods (since we'll eventually want to make them such).

        In the process of re-writing things, I broke the rebaseline command, so I wrote
        a unit test to catch my breakage were I do do so again in the future.

        * Scripts/webkitpy/common/net/buildbot/buildbot_unittest.py:
        * Scripts/webkitpy/common/net/layouttestresults.py:
        * Scripts/webkitpy/common/net/layouttestresults_unittest.py:
        * Scripts/webkitpy/layout_tests/layout_package/test_failures.py:
        * Scripts/webkitpy/layout_tests/layout_package/test_results.py:
        * Scripts/webkitpy/tool/commands/queries.py:
        * Scripts/webkitpy/tool/commands/rebaseline.py:
        * Scripts/webkitpy/tool/commands/rebaseline_unittest.py:
        * Scripts/webkitpy/tool/mocktool.py:

2011-01-03  Adam Barth  <abarth@webkit.org>

        Reviewed by Simon Fraser.

        webkit-patch shouldn't waste time cleaning a working directory that's already clean
        https://bugs.webkit.org/show_bug.cgi?id=51840

        * Scripts/webkitpy/common/checkout/scm.py:

2011-01-03  Adam Barth  <abarth@webkit.org>

        Reviewed by Simon Fraser.

        webkit-patch should only hide update output if --quiet
        https://bugs.webkit.org/show_bug.cgi?id=51838

        As requested by smfr.

        * Scripts/webkitpy/tool/steps/update.py:

2011-01-03  Adam Barth  <abarth@webkit.org>

        Reviewed by David Levin.

        commit-queue shouldn't reject patches twice if two bots process the same patch
        https://bugs.webkit.org/show_bug.cgi?id=51805

        Before raising an error, we first check whether the patch is still in
        the commit-queue.  This check is still racy, of course, but the time
        window is much smaller.

        * Scripts/webkitpy/tool/bot/commitqueuetask.py:

2011-01-03  Sam Weinig  <sam@webkit.org>

        Reviewed by Anders Carlsson.

        Make run-api-tests less chatty.
        https://bugs.webkit.org/show_bug.cgi?id=51831

        - Make script quiet by default and add --verbose option (replacing --quiet).
        - When not verbose, pipe stdout and stderr to devnull.

        * Scripts/run-api-tests:

2011-01-03  Pratik Solanki  <psolanki@apple.com>

        Unreviewed. Adding myself to committers.py.

        * Scripts/webkitpy/common/config/committers.py:

2011-01-03  Koan-Sin Tan  <koansin.tan@gmail.com>

        Reviewed by Xan Lopez.

        "Tool/Scripts/run-launcher --gtk" stopped working after 74855
        https://bugs.webkit.org/show_bug.cgi?id=51806

        Originally, the $libraryName is 'JavaScriptCore'. When building release 
        one, the $libraryDir was 'WebKitBuild/Release/JavaScriptCore/../.libs/'
        which doesn't exist anymore ('WebKitBuild/Release/JavaScriptCore'
        is 'WebKitBuild/Release/Source/JavaScriptCore' now), and 
        'WebKitBuild/Release/Source/JavaScriptCore/../../.libs' looks weird,
        so make it 'WebKitBuild/Release/.libs'

        * Scripts/webkitdirs.pm: 

2011-01-02  Patrick Gansterer  <paroga@webkit.org>

        Reviewed by Adam Barth.

        Make EFL a core builder
        https://bugs.webkit.org/show_bug.cgi?id=51804

        * Scripts/webkitpy/common/net/buildbot/buildbot.py:
        * Scripts/webkitpy/common/net/buildbot/buildbot_unittest.py:

2011-01-02  Csaba Osztrogonác  <ossy@webkit.org>

        [Qt] Unreviewed fix after r74855 and r74875.

        * BuildSlaveSupport/built-product-archive:
         - Create directories explicitly.
         - Pass shell=True to subprocess.call().

2011-01-02  Csaba Osztrogonác  <ossy@webkit.org>

        [Qt] Unreviewed fix after r74855.

        Move JavaScriptCore to Source
        https://bugs.webkit.org/show_bug.cgi?id=51604

        * BuildSlaveSupport/built-product-archive: JavaScriptCore -> Source/JavaScriptCore

2011-01-02  Csaba Osztrogonác  <ossy@webkit.org>

        [Qt] Unreviewed run-javasriptcore-tests fix after r74855.

        Move JavaScriptCore to Source
        https://bugs.webkit.org/show_bug.cgi?id=51604

        * Scripts/webkitdirs.pm:

2011-01-02  Robert Hogan  <robert@webkit.org>

        Unreviewed, build fix.

        [Qt] Fix DRT build after 74855

        * DumpRenderTree/qt/DumpRenderTree.pro:

2011-01-01  Adam Barth  <abarth@webkit.org>

        Remove the assumption from the Qt and Gtk builds that every project is
        in the root directory.

        * Scripts/build-webkit:

2011-01-01  Adam Barth  <abarth@webkit.org>

        Reviewed by Eric Seidel.

        Teach svn-apply how to apply patches even though JavaScriptCore has moved
        https://bugs.webkit.org/show_bug.cgi?id=51796

        After this change, svn-apply will magically apply patches to
        JavaScriptCore/foo to Source/JavaScriptCore/foo.

        * Scripts/VCSUtils.pm:

2011-01-01  Adam Barth  <abarth@webkit.org>

        Reviewed by Eric Seidel.

        Move JavaScriptCore to Source
        https://bugs.webkit.org/show_bug.cgi?id=51604

        Update references to JavaScriptCore to point to the new location.

        * BuildSlaveSupport/build.webkit.org-config/master.cfg:
        * DumpRenderTree/qt/DumpRenderTree.pro:
        * DumpRenderTree/qt/ImageDiff.pro:
        * DumpRenderTree/qt/TestNetscapePlugin/TestNetscapePlugin.pro:
        * DumpRenderTree/wscript:
        * Scripts/build-jsc:
        * Scripts/build-webkit:
        * Scripts/do-file-rename:
        * Scripts/do-webcore-rename:
        * Scripts/run-javascriptcore-tests:
        * Scripts/update-javascriptcore-test-results:
        * Scripts/webkitdirs.pm:
        * Scripts/webkitpy/common/config/build_unittest.py:
        * Scripts/webkitpy/style/checker.py:
        * Scripts/webkitpy/style/checker_unittest.py:
        * Scripts/webkitpy/style/checkers/cpp_unittest.py:
        * WebKitTestRunner/InjectedBundle/qt/InjectedBundle.pro:
        * WebKitTestRunner/qt/WebKitTestRunner.pro:
        * wx/build/settings.py:

2011-01-01  Adam Barth  <abarth@webkit.org>

        Reviewed by Eric Seidel.

        Move Sources to Source
        https://bugs.webkit.org/show_bug.cgi?id=51794

        Update scripts to point to the new location.

        * Scripts/build-webkit:
        * Scripts/do-file-rename:
        * Scripts/do-webcore-rename:
        * Scripts/webkitpy/common/config/build.py:
        * Scripts/webkitpy/common/config/build_unittest.py:

2010-12-31  Kent Tamura  <tkent@chromium.org>

        Reviewed by Eric Seidel.

        [DRT/Chromium] Enable mock spell checker on non-OSX
        https://bugs.webkit.org/show_bug.cgi?id=51401

        * DumpRenderTree/chromium/WebViewHost.cpp:
        (WebViewHost::spellCheck):

2010-12-31  Adam Barth  <abarth@webkit.org>

        Reviewed by Ariya Hidayat.

        Remove Tools/Scripts/wkstyle
        https://bugs.webkit.org/show_bug.cgi?id=51774

        This script appears to not have been touched in a while and seems to
        have been replaced by check-webkit-style.

        * Scripts/wkstyle: Removed.

2010-12-31  Ilya Tikhonovsky  <loislo@chromium.org>

        Unreviewed. Coding style fix.

        * DumpRenderTree/chromium/TestShell.h:

2010-12-31  Ilya Tikhonovsky  <loislo@chromium.org>

        Reviewed by Pavel Feldman.

        Web Inspector: [Chromium] Inspector's tests are very slow on Win(Dbg).

        It was a problem with Chromium DRT. DevToolsAgent object instance was
        attached not only to the inspected page but to the DevTools window too.
        As result all the inspector files were interpreted as a content of inspected page
        and were transfered to the DevTools scripts panel for debugging etc.

        https://bugs.webkit.org/show_bug.cgi?id=51735

        * DumpRenderTree/chromium/TestShell.cpp:
        (TestShell::TestShell):
        (TestShell::bindJSObjectsToWindow):
        (TestShell::createNewWindow):
        * DumpRenderTree/chromium/TestShell.h:

2010-12-31  Adam Barth  <abarth@webkit.org>

        Rubber-stamped by Eric Seidel.

        Move PageLoadTests to PerformanceTests/PageLoad
        https://bugs.webkit.org/show_bug.cgi?id=51771

        Update references to PageLoadTests to point to the new location.

        * Scripts/run-pageloadtest:
        * Scripts/webkitpy/common/config/build.py:

2010-12-31  Adam Barth  <abarth@webkit.org>

        Rubber-stamped by Eric Seidel.

        Move SunSpider into PerformanceTests
        https://bugs.webkit.org/show_bug.cgi?id=51769

        Update these scripts to point to the new location.

        * Scripts/run-sunspider:
        * Scripts/sunspider-compare-results:

2010-12-30  Mihai Parparita  <mihaip@chromium.org>

        Reviewed by Kent Tamura.

        [Chromium] Add WebThemeEngineDRTMac so that Chromium DRT scrollbar rendering can match the Mac port's
        https://bugs.webkit.org/show_bug.cgi?id=51728
        
        Add implementation of the Mac WebThemeEngine that uses an NSScroller
        to render top-level scrollbars. This makes them match the Mac port's
        use of an NSScrollView, which means that we'll be able to share more
        pixel baselines.
        
        The new rendering code will not be activated until the 
        USE_WEB_THEME_ENGINE_TO_PAINT_THUMB #define is fliped in
        ScrollbarThemeChromiumMac.

        * DumpRenderTree/DumpRenderTree.gypi:
        * DumpRenderTree/chromium/TestShellMac.mm:
        (platformInit):
        * DumpRenderTree/chromium/WebThemeEngineDRTMac.h: Added.
        * DumpRenderTree/chromium/WebThemeEngineDRTMac.mm: Added.
        (+[FakeActiveWindow alwaysActiveWindow]):
        (+[FakeActiveWindow alwaysInactiveWindow]):
        (-[FakeActiveWindow initWithActiveControls:]):
        (-[FakeActiveWindow _hasActiveControls]):
        (WebThemeEngineDRTMac::paintScrollbarThumb):
        (stateToHIEnableState):
        (WebThemeEngineDRTMac::paintHIThemeScrollbarThumb):
        (WebThemeEngineDRTMac::paintNSScrollerScrollbarThumb):

2010-12-30  Konstantin Tokarev  <annulen@yandex.ru>

        Reviewed by David Kilzer.

        [Qt] Don't build wtf/TCSystemAlloc.cpp if --system-malloc option is
        used
        https://bugs.webkit.org/show_bug.cgi?id=51672

        * DumpRenderTree/qt/DumpRenderTree.pro: Replaced USE_SYSTEM_MALLOC
        with USE_SYSTEM_MALLOC=1
        * WebKitTestRunner/qt/WebKitTestRunner.pro: Replaced USE_SYSTEM_MALLOC
        with USE_SYSTEM_MALLOC=1

2010-12-30  Laszlo Gombos  <laszlo.1.gombos@nokia.com>

        Reviewed by David Kilzer.

        [Qt] [Symbian] Fix build-webkit script for Symbian
        https://bugs.webkit.org/show_bug.cgi?id=51509

        Set the OUTPUT_DIR for Symbian to be the same as the source
        directory.

        * Scripts/webkitdirs.pm:

2010-12-30  Martin Robinson  <mrobinson@igalia.com>

        Reviewed by Darin Adler.

        check-webkit-style should ignore NULL usage in calls to gtk_widget_style_get
        https://bugs.webkit.org/show_bug.cgi?id=51758

        Add a check-webkit-style exception for gtk_widget_style_get and NULL usage.

        * Scripts/webkitpy/style/checkers/cpp.py: Add the exception.
        * Scripts/webkitpy/style/checkers/cpp_unittest.py: Add some tests for this.

2010-12-29  Patrick Gansterer  <paroga@webkit.org>

        Unreviewed WinCE buildfix.

        * WinCELauncher/main.cpp: Add missing include.

2010-12-29  Daniel Bates  <dbates@rim.com>

        Reviewed by Darin Adler.

        svn-apply updates date of wrong change log entry for a change log diff that
        contains two consecutive entries with the same author and date
        https://bugs.webkit.org/show_bug.cgi?id=46061

        Fixes an issue where the date of the wrong change log entry may be modified.
        Moreover, changes fixChangeLogPatch() to move entries inserted earlier
        in a ChangeLog file to the top of the file.

        Currently, fixChangeLogPatch() explicitly bails out and returns an unchanged
        diff when it detects that the diff inserts a change log entry earlier in a
        ChangeLog. It is unusual to land a patch that has such a deliberate ChangeLog
        change. With the advent of the commit-queue this functionality of bailing out
        and hence landing the patch as-is is harmful to the accuracy of the ChangeLog.
        Instead, we should always move the change log entry to the top of the ChangeLog file.

        A side-effect of this change is that setChangeLogDateAndReviewer() now updates
        the date line of the correct change log entry in a ChangeLog diff.

        * Scripts/VCSUtils.pm: Modified fixChangeLogPatch() to move entries inserted earlier to the top.

        * Scripts/webkitperl/VCSUtils_unittest/fixChangeLogPatch.pl:
          Updated the following unit tests now that we move entries inserted earlier to the top:
          - "fixChangeLogPatch: New entry inserted in middle."
            (formerly named "fixChangeLogPatch: [no change] New entry inserted in middle.")

          - "fixChangeLogPatch: New entry inserted earlier in the file, but after an entry with the same author and date."
            (formerly named "fixChangeLogPatch: [no change] New entry inserted earlier in the file, but after an entry with the same author and date.")

        * Scripts/webkitperl/VCSUtils_unittest/fixChangeLogPatchThenSetChangeLogDateAndReviewer.pl: Added.

2010-12-29  Konstantin Tokarev  <annulen@yandex.ru>

        Reviewed by Eric Seidel.

        [Qt] Fixed compatibility with gold linker on X11 platforms
        https://bugs.webkit.org/show_bug.cgi?id=51700

        * DumpRenderTree/qt/TestNetscapePlugin/TestNetscapePlugin.pro:
        Linked TestNetscapePlugin with libX11 on Unix platforms

2010-12-29  Ademar de Souza Reis Jr  <ademar.reis@openbossa.org>

        Reviewed by Darin Adler.

        Circular dependency in webkitpy.common.checkout.changelog module
        https://bugs.webkit.org/show_bug.cgi?id=50475

        Remove automatic import of api.Checkout module when any checkout/
        submodule is imported (e.g.: when checkout.scm.Git is imported).

        * Scripts/webkitpy/common/checkout/__init__.py:

2010-12-29  Martin Robinson  <mrobinson@igalia.com>

        Reviewed by Ojan Vafai.

        prepare-ChangeLog should support the -g option for specifying the git-commit
        https://bugs.webkit.org/show_bug.cgi?id=51708

        Add a -g shortcut for the --git-commit prepare-ChangeLog option. This matches
        webkit-patch, though the exact meaning of the two options remain different.

        * Scripts/prepare-ChangeLog: Add -g.

2010-12-29  Kent Hansen  <kent.hansen@nokia.com>

        Reviewed by Simon Hausmann.

        [Qt] Fix compilation with Qt in namespace
        https://bugs.webkit.org/show_bug.cgi?id=51701

        * QtTestBrowser/webview.h:

2010-12-28  Daniel Bates  <dbates@rim.com>

        Reviewed by Sam Weinig.

        Substitute // MARK: for compiler-specific #pragma mark
        https://bugs.webkit.org/show_bug.cgi?id=51657

        Fix future compilation warnings about "#pragma mark" on GTK+ bots by
        substituting  "// MARK:" for "#pragma mark", which provides
        analogous code-bookmarking functionality under Xcode.

        Also, for consistency, we should substitute "// MARK:" for compiler-
        specific "#pragma mark" in the source files for the Mac port.

        * DumpRenderTree/AccessibilityTextMarker.cpp:
        * DumpRenderTree/cf/WebArchiveDumpSupport.h:
        * DumpRenderTree/mac/AccessibilityTextMarkerMac.mm:
        * DumpRenderTree/mac/ObjCController.m:
        * MiniBrowser/mac/AppDelegate.m:
        * MiniBrowser/mac/BrowserWindowController.m:

2010-12-28  Xan Lopez  <xlopez@igalia.com>

        Reviewed by Eric Seidel.

        Add --no-build option to run-sunspider
        https://bugs.webkit.org/show_bug.cgi?id=51658

        * Scripts/run-sunspider: add --no-build flag to skip building
        phase.

2010-12-27  Daniel Bates  <dbates@rim.com>

        Rubber-stamped by Martin Robinson.

        Append the directory Tools/DumpRenderTree to the list of directories that
        do-webcore-rename should search so that it can rename DRT files and
        source code.

        * Scripts/do-webcore-rename:

2010-12-27  Eric Seidel  <eric@webkit.org>

        Reviewed by Adam Barth.

        build-webkit should detect missing Java SDK and explain how to install it
        https://bugs.webkit.org/show_bug.cgi?id=51651

        * Scripts/build-webkit:

2010-12-26  Martin Robinson  <mrobinson@igalia.com>

        Reviewed by Daniel Bates.

        [GTK] Add support for build-jsc
        https://bugs.webkit.org/show_bug.cgi?id=51625

        Add GTK+ support to build-jsc now that building the jsc executable as
        a standalone target is easy.

        * Scripts/build-jsc: Call buildGtkProject for the GTK+ case now.
        * Scripts/build-webkit: Pass in the proper target name to buildGtkProject.
        * Scripts/webkitdirs.pm: Actually process the project parameter in buildGtkProject
        and pass it along to buildAutotoolsProject.

2010-12-27  David Levin  <levin@chromium.org>

        Reviewed by Eric Seidel.

        check-webkit-style check for meaningless variable names in function declarations.
        https://bugs.webkit.org/show_bug.cgi?id=51523

        * Scripts/webkitpy/style/checker.py: Exempted JavaScriptCore/jit/JITStubs.cpp
        from the new check and whitespace/parens because the syntax is unusual and
        produced a fair number of positives for these checks.
        * Scripts/webkitpy/style/checkers/cpp.py:
        (_convert_to_lower_with_underscores): Used as a canonical form for type names
        and parameter names when determining if the parameter name is useless.
        (_create_acronym): Used to check for redundant variable names in cases like "ExceptionCode ec"
        (Parameter.lower_with_underscores_name): Gives back the parameter name in a lower_with_underscore
        format.
        (_check_parameter_name_against_text):  Checks to see if the parameter name is in the
        text or an acronym of it.
        (check_function_definition): Checks function definitions for meaningless variable names.
        (process_line): Added call to check_function_definition.
        * Scripts/webkitpy/style/checkers/cpp_unittest.py:
        (CppFunctionsTest.test_convert_to_lower_with_underscores): Test for _convert_to_lower_with_underscores.
        (CppFunctionsTest.test_create_acronym): Test for _create_acronym.
        (CppFunctionsTest.test_check_parameter_against_text): Test for _check_parameter_against_text.
        (CppStyleTestBase.perform_single_line_lint): Removed the parameter name check
        because when only checking a snippet, there are a lot of bogus functions.
        (CppStyleTestBase.perform_multi_line_lint): Ditto and removed a bogus filter
        that I put there previously and just noticed.
        (WebKitStyleTest.test_parameter_names): Tests for the functionality -- both
        check_function_definition and process_line.

2010-12-27  Carlos Garcia Campos  <cgarcia@igalia.com>

        Reviewed by Martin Robinson.

        [GTK] Disable flash plugin in GtkLauncher when using gtk3
        https://bugs.webkit.org/show_bug.cgi?id=51591

        Flash plugin uses gtk2 that is incompatible with gtk3 making
        webkit crash when it's built with gtk3.

        * GtkLauncher/main.c:
        (main):

2010-12-25  Adam Barth  <abarth@webkit.org>

        Reviewed by Eric Seidel.

        Move ANGLE to Sources/ThirdParty
        https://bugs.webkit.org/show_bug.cgi?id=51605

        * Scripts/build-webkit:
          - Point to the new ANGLE location.

2010-12-26  David Levin  <levin@chromium.org>

        Reviewed by Eric Seidel.

        check-webkit-style should be able to parse function declaration parameters.
        https://bugs.webkit.org/show_bug.cgi?id=51451

        * Scripts/webkitpy/style/checkers/cpp.py:
        (Position.__init__): Holds simple position information (row, column).
        (Parameter.__init__): Holds information about a parameter.
        (SingleLineView.__init): Converts multiple lines into a single line for simpler searches.
        (SingleLineView.convert_column_to_row): Returns the original row given a column.
        (create_skeleton_parameters): Simplifies a parameter list for easier searching.
        (find_parameter_name_index): Finds where the parameter name is.
        (parameter_list): Generates the list of parameters for a function.
        (_FunctionState.begin): Added information to allow determining the parameters
        on demand.
        (_FunctionState.get_parameter_list): Returns a tuple of function parameters.
        (detect_functions): Improve function detection for operator functions and
        determine where the parameters end and pass that to _FunctionState.begin.
        * Scripts/webkitpy/style/checkers/cpp_unittest.py:
        (CppFunctionsTest.test_parameter): Verifies Parameter functionality.
        (CppFunctionsTest.test_single_line_view): Verifies SingleLineView functionality.
        (CppFunctionsTest.test_create_skeleton_parameters): Verifies create_skeleton_parameters.
        (CppFunctionsTest.test_find_parameter_name_index): Verifies find_parameter_name_index.
        (CppFunctionsTest.test_parameter_list): Does some minimal verification for parameter list.
        Much more thorough verification is done as part of FunctionDetectionTest.test_parameter_list.
        (FunctionDetectionTest.perform_function_detection): Added support for verifying
        the parameters found.
        (FunctionDetectionTest.test_function_declaration_detection): Added more function
        detection test to verify that we catch the operator functions.
        (FunctionDetectionTest.test_ignore_macros): Verify that function detection ignores macros.
        (FunctionDetectionTest.test_parameter_list): Added tests to verify the parameter parsing.
        (CheckForFunctionLengthsTest.test_function_length_check_definition_severity1_for_bad_test_doesnt_break): Removed
        because the error. The test is about the bad function name. Fixing the name makes the test exactly like
        test_function_length_check_definition_severity1_for_test.

2010-12-25  Patrick Gansterer  <paroga@webkit.org>

        Unreviewed WinCE buildfix after r74334.

        * CMakeListsWinCE.txt:

2010-12-24  Sheriff Bot  <webkit.review.bot@gmail.com>

        Unreviewed, rolling out r74632.
        http://trac.webkit.org/changeset/74632
        https://bugs.webkit.org/show_bug.cgi?id=51600

        makes test-webkitpy hang forever on GTK (Requested by philn-tp
        on #webkit).

        * Scripts/webkitpy/layout_tests/layout_package/message_broker.py:
        * Scripts/webkitpy/layout_tests/layout_package/message_broker_unittest.py:

2010-12-24  Ryuan Choi  <ryuan.choi@samsung.com>

        Reviewed by Kenneth Rohde Christiansen.

        [EFL] Screen doesn't be rendered when changing size of EWebLauncher
        https://bugs.webkit.org/show_bug.cgi?id=43528

        Remove on_resize because ewk_view_fixed_layout_size_set should not be
        called on callback of EVAS_CALLBACK_RESIZE. As it change size of
        FrameView, rendering was ignored when _ewk_view_smart_calculate was
        called.

        * EWebLauncher/main.c:
        (browserCreate):

2010-12-24  Eric Seidel  <eric@webkit.org>

        Reviewed by Adam Barth.

        webkit-patch (or a pre-commit hook) needs to prevent bad ChangeLog changes
        https://bugs.webkit.org/show_bug.cgi?id=28291

        This is a start.  At least now webkit-patch will prompt when your ChangeLog looks questionable.
        We could do more advanced things, like parsing the ChangeLog (with changelog.py) and comparing that
        to strings with find in the diff.
        Since non-interactive always returns the default, this should cause patches with bad changelogs to fail on the commit-queue.

        * Scripts/webkitpy/common/checkout/api.py:
        * Scripts/webkitpy/common/checkout/diff_parser.py:
        * Scripts/webkitpy/tool/steps/abstractstep.py:
        * Scripts/webkitpy/tool/steps/cleanworkingdirectory.py:
        * Scripts/webkitpy/tool/steps/validatechangelogs.py: Copied from Tools/Scripts/webkitpy/tool/steps/validatereviewer.py.
        * Scripts/webkitpy/tool/steps/validatechangelogs_unittest.py: Copied from Tools/Scripts/webkitpy/tool/steps/cleanworkingdirectory.py.
        * Scripts/webkitpy/tool/steps/validatereviewer.py:

2010-12-24  Dirk Pranke  <dpranke@chromium.org>

        Reviewed by Kenneth Russell.

        Modify new-run-webkit-tests to shut up and exit when all the threads
        are wedged so that test runs complete faster and we don't end up
        w/ enormous log files.

        https://bugs.webkit.org/show_bug.cgi?id=51572

        * Scripts/webkitpy/layout_tests/layout_package/message_broker.py:
        * Scripts/webkitpy/layout_tests/layout_package/message_broker_unittest.py:

2010-12-24  Eric Seidel  <eric@webkit.org>

        Reviewed by David Levin.

        commit-queue should better explain how it will re-open bugs and follow duplicate chains
        https://bugs.webkit.org/show_bug.cgi?id=51549

        I've had multiple people ask me about the commit-queue's behavior
        regarding reporting flaky tests.  I figured it would be best to just
        have the queue explain itself in the bugs it files.

        * Scripts/webkitpy/tool/bot/flakytestreporter.py:
        * Scripts/webkitpy/tool/bot/flakytestreporter_unittest.py:

2010-12-24  Shinichiro Hamaji  <hamaji@chromium.org>

        Reviewed by Eric Seidel.

        check-webkit-style: should ignore "wrong" namings in JavaScriptCore/qt
        https://bugs.webkit.org/show_bug.cgi?id=51467

        * Scripts/webkitpy/style/checker.py:
        * Scripts/webkitpy/style/checker_unittest.py:

2010-12-23  Adam Barth  <abarth@webkit.org>

        Rubber-stamped by Eric Seidel.

        Move JavaScriptGlue into Sources
        https://bugs.webkit.org/show_bug.cgi?id=51583

        These tools refer to JavaScriptGlue and need to be updated to its new
        location.

        * Scripts/build-webkit:
        * Scripts/do-file-rename:
        * Scripts/do-webcore-rename:
        * Scripts/webkitpy/common/config/build.py:
        * Scripts/webkitpy/common/config/build_unittest.py:

2010-12-23  Lucas Forschler  <lforschler@apple.com>

        Reviewed by Eric Seidel.

        Bug 51539 - update iexploder scripts to point to new location

        * Scripts/run-iexploder-tests:
        * Scripts/update-iexploder-cssproperties:

2010-12-23  Evan Martin  <evan@chromium.org>

        Reviewed by Ryosuke Niwa.

        [chromium] LayoutTestController warning in float->int conversion
        https://bugs.webkit.org/show_bug.cgi?id=51553

        Rather than reading an int, converting to a float, then getting a compiler
        warning on passing the float to something that expects an int, instead
        just pass around ints.

        No tests, fixes a compiler warning.

        * DumpRenderTree/chromium/LayoutTestController.cpp:
        (parsePageSizeParameters):
        (LayoutTestController::pageNumberForElementById):
        (LayoutTestController::numberOfPages):

2010-12-23  Lucas Forschler  <lforschler@apple.com>

        Reviewed by Darin Adler.

        Bug 51537 - iexploder needs cleanup
        
        * iExploder/htdocs: Removed.
        * iExploder/htdocs/config.rb: Removed.
        * iExploder/htdocs/cssproperties.in: Removed.
        * iExploder/htdocs/cssvalues.in: Removed.
        * iExploder/htdocs/htmlattrs.in: Removed.
        * iExploder/htdocs/htmltags.in: Removed.
        * iExploder/htdocs/htmlvalues.in: Removed.
        * iExploder/htdocs/iexploder.cgi: Removed.
        * iExploder/htdocs/iexploder.rb: Removed.
        * iExploder/htdocs/index.html: Removed.
        * iExploder/htdocs/webserver.rb: Removed.
        * iExploder/iexploder-1.7.2/output: Removed.
        * iExploder/tools: Removed.
        * iExploder/tools/lasthit.rb: Removed.
        * iExploder/tools/osx_last_crash.rb: Removed.
        * iExploder/tools/showtest.rb: Removed.

2010-12-23  Lucas De Marchi  <lucas.demarchi@profusion.mobi>

        Reviewed by Kenneth Rohde Christiansen.

        [EFL] Make 'single' the default backing store in EWebLauncher
        https://bugs.webkit.org/show_bug.cgi?id=51534

        'single' is the simplest backing store and the one intended to be the
        default in the test browser. By mistake the tiled backing store was
        left as default in r72617.

        * EWebLauncher/main.c:
        (browserCreate): ditto.

2010-12-23  Lucas De Marchi  <lucas.demarchi@profusion.mobi>

        Reviewed by Kenneth Rohde Christiansen.

        [EFL] Subject: [webkit 4/4] [EFL] Remove non-sense workaround
        https://bugs.webkit.org/show_bug.cgi?id=51533

        There's no point in concatenating env("HOME") with "blah", so remove
        option from EWebLauncher.

        * EWebLauncher/main.c:
        (main): ditto.

2010-12-23  Ilya Tikhonovsky  <loislo@chromium.org>

        Reviewed by Eric Seidel.

        Web Inspector: chromium: inspector's tests are quite slow especially at windows(Debug).

        Almost all inspector's tests become flaky on chromium Win(dbg) after switching to DRT.
        I just discovered that we have two additional GC runs per each WebViewHost.
        Test_shell had no such calls.
        These gc runs eat 15% of cpu time.

        https://bugs.webkit.org/show_bug.cgi?id=51479

        * DumpRenderTree/chromium/WebViewHost.cpp:
        (WebViewHost::~WebViewHost):

2010-12-22  Dirk Pranke  <dpranke@chromium.org>

        Reviewed by Ojan Vafai.

        This change splits out the TestRunner class into its own file.
        When we fork the code for message passing, we will create a new
        TestRunner, and this change will allow that to be more modular.

        While we're at it, split out TestInput and ResultSummary into
        their own files, to reduce the size of run_webkit_tests to
        something more managable.

        https://bugs.webkit.org/show_bug.cgi?id=51092

        * Scripts/webkitpy/layout_tests/layout_package/printing_unittest.py:
        * Scripts/webkitpy/layout_tests/layout_package/result_summary.py:
        * Scripts/webkitpy/layout_tests/layout_package/test_runner.py:
        * Scripts/webkitpy/layout_tests/layout_package/test_runner_unittest.py:
        * Scripts/webkitpy/layout_tests/layout_package/test_input.py:
        * Scripts/webkitpy/layout_tests/run_webkit_tests.py:
        * Scripts/webkitpy/layout_tests/run_webkit_tests_unittest.py:

 2010-12-22  Dirk Pranke  <dpranke@chromium.org>

        Reviewed by Ojan Vafai.

        nrwt multiprocessing - start over, prepare to fork the code
 
        This code cleans up the signatures and implementation of the
        TestRunner class so we can easily fork it to run either the
        stable implementation or the new, unstable message-passing
        implementation. The two variants will have different
        implementations of the run_tests() method. We will switch
        between the two based on the setting for the '--worker-model'
        switch. We rename the two currently valid values to 'old-inline'
        and 'old-threads'.

        https://bugs.webkit.org/show_bug.cgi?id=51081

        * Scripts/webkitpy/layout_tests/run_webkit_tests.py:
        * Scripts/webkitpy/layout_tests/run_webkit_tests_unittest.py:

2010-12-22  Victor Wang  <victorw@chromium.org>

        Reviewed by Darin Fisher.

        [Chromium] Update chromium archive test result url in rebaseline script.

        https://bugs.webkit.org/show_bug.cgi?id=51503

        * Scripts/webkitpy/layout_tests/rebaseline_chromium_webkit_tests.py:

2010-12-22  Lucas Forschler  <lforschler@apple.com>

        Reviewed by Alice Liu.

        <rdar://problem/8633222> record-memory-win needs to record memory used by the webprocess.
        Verified on Chrome, Safari, and IE.
        With this change, we will record memory from a parent browser window and all child processes.

        * record-memory-win/main.cpp:
        (ProcessArgs):
        (PrintUsage):
        (getMemoryInfo):
        (printProcessInfo):
        (evalProcesses):
        (UseImage):
        (QueryContinuously):
        (ElapsedTime):

2010-12-22  Lucas Forschler  <lforschler@apple.com>

        Unreviewed rollout r74489, because it was missing changelog.

        * record-memory-win/main.cpp:
        
2010-12-22  Ryosuke Niwa  <rniwa@webkit.org>

        Adding myself as a reviewer.

        * Scripts/webkitpy/common/config/committers.py:

2010-12-22  Andrew Scherkus  <scherkus@chromium.org>

        Unreviewed.  Adding myself to committers.py.

        * Scripts/webkitpy/common/config/committers.py:

2010-12-22  Ariya Hidayat  <ariya@sencha.com>

        Reviewed by Kenneth Rohde Christiansen.

        TestNetscapePlugIn should use #if defined
        https://bugs.webkit.org/show_bug.cgi?id=51471

        * DumpRenderTree/TestNetscapePlugIn/main.cpp:
        (NP_Initialize):
        (NPP_New):

2010-12-22  Ilya Tikhonovsky  <loislo@chromium.org>

        Reviewed by Yury Semikhatsky.

        Web Inspector: [chromium] DRT inspector layout tests are flaky in debug.

        DevTools window should be closed explicitly because it has custom deinitialization code.

        https://bugs.webkit.org/show_bug.cgi?id=50722

        * DumpRenderTree/chromium/TestShell.cpp:
        (TestShell::closeRemainingWindows):

2010-12-22  David Levin  <levin@chromium.org>

        Reviewed by Shinichiro Hamaji.

        check-webkit-style shouldn't complaint about underscores in variables in objective C files.
        https://bugs.webkit.org/show_bug.cgi?id=51452

        * Scripts/webkitpy/style/checkers/cpp.py:
        (_FileState.__init__): Added the information to determine if a file is C or Objective C.
        Using the file extension if possible but falling back to the file contents if we have a header file.
        (_FileState.is_objective_c): Determine if we have an Objective C by examining the file contents if needed.
        (_FileState.is_c_or_objective_c):
        (check_using_std): Changed to using _FileState to determine the file type.
        (check_max_min_macros): Ditto.
        (check_for_null): Ditto.
        (check_style): Changed the parameters to various calls since they now need _FileState
        to determine the file type.
        (check_language): Added the file_state parameter so it could be passed
        to check_identifier_name_in_declaration.
        (check_identifier_name_in_declaration): Don't warn about underscores in variables if
        this is an Objective C file.
        (_process_lines): Added information for the _FileState constructor (and moved the
        call to a place that had the information).
        * Scripts/webkitpy/style/checkers/cpp_unittest.py:
        (CppFunctionsTest.test_is_c_or_objective_c): Changed the tests to use FileState and exercise
        its functionality.
        (WebKitStyleTest.test_names): Add tests for underscores in Objective C files.

2010-12-21  Andy Estes  <aestes@apple.com>

        Reviewed by Mark Rowe.

        Do not build non-Intel architectures for WebKit2-related projects.
        https://bugs.webkit.org/show_bug.cgi?id=51440

        * MiniBrowser/Configurations/Base.xcconfig: Only build for i386 and x86_64.
        * TestWebKitAPI/Configurations/Base.xcconfig: Ditto.
        * WebKitTestRunner/Configurations/Base.xcconfig: Ditto.

2010-12-21  Mihai Parparita  <mihaip@chromium.org>

        Reviewed by Darin Fisher.

        [Chromium] Rename WebThemeEngine/ControlDRT to WebThemeEngine/ControlDRTWin
        https://bugs.webkit.org/show_bug.cgi?id=51406 
        
        Rename WebThemeControlDRT to WebThemeControlDRTWin and WebThemeEngineDRT
        to WebThemeEngineDRTWin and update references everywhere.

        * DumpRenderTree/DumpRenderTree.gypi:
        * DumpRenderTree/chromium/TestShellWin.cpp:
        * DumpRenderTree/chromium/WebThemeControlDRTWin.cpp: Renamed from Tools/DumpRenderTree/chromium/WebThemeControlDRT.cpp.
        * DumpRenderTree/chromium/WebThemeControlDRTWin.h: Renamed from Tools/DumpRenderTree/chromium/WebThemeControlDRT.h.
        * DumpRenderTree/chromium/WebThemeEngineDRTWin.cpp: Renamed from Tools/DumpRenderTree/chromium/WebThemeEngineDRT.cpp.
        * DumpRenderTree/chromium/WebThemeEngineDRTWin.h: Renamed from Tools/DumpRenderTree/chromium/WebThemeEngineDRT.h.

2010-12-21  Anders Carlsson  <andersca@apple.com>

        Reviewed by John Sullivan.

        Clicking missing plug-in text does not show a sheet
        https://bugs.webkit.org/show_bug.cgi?id=51403

        Update for changes to the WebPageUIClient.

        * MiniBrowser/mac/BrowserWindowController.m:
        (-[BrowserWindowController awakeFromNib]):
        * WebKitTestRunner/TestController.cpp:
        (WTR::createOtherPage):
        (WTR::TestController::initialize):

2010-12-21  Eric Seidel  <eric@webkit.org>

        Reviewed by Adam Barth.

        commit-queue will report constant failures as flaky if other tests flake
        https://bugs.webkit.org/show_bug.cgi?id=51272

        This patch just removes functionality and adds testing.
        Previously we attempted to report flaky tests when we had
        two different tests fail in a row.  However, since we stop
        running the tests at the first failure, our code was wrong in
        trying to determine flakiness from the incomplete runs.

        Originally I posted an alternate patch:
        https://bug-51272-attachments.webkit.org/attachment.cgi?id=77078
        which fixed our flaky logic in this case, however it was decided
        that that patch would be too difficult to maintain, so now
        I'm just removing the broken logic.

        This will dramatically cut-down on our flaky-test false positives
        at the (small) cost of the queues being unable to report
        any flakiness if the tree is very flaky.  (With at least one test
        flaking on every run, we'll never report failures anymore.)  I think
        this is a tradeoff worth making.

        * Scripts/webkitpy/tool/bot/commitqueuetask.py:
        * Scripts/webkitpy/tool/bot/commitqueuetask_unittest.py:

2010-12-20  Eric Seidel  <eric@webkit.org>

        Reviewed by Adam Barth.

        commit-queue wrongly rejects patches when it can't update itself
        https://bugs.webkit.org/show_bug.cgi?id=46636

        * Scripts/webkitpy/tool/bot/commitqueuetask.py:
        * Scripts/webkitpy/tool/bot/commitqueuetask_unittest.py:
        * Scripts/webkitpy/tool/commands/queues_unittest.py:

2010-12-20  Adam Barth  <abarth@webkit.org>

        Move web sites to Websites directory
        https://bugs.webkit.org/show_bug.cgi?id=51323

        Update references to BugsSite to point to the new location.

        This patch was never officially reviewed (because it was too large to
        upload to bugs.webkit.org), but it was discussed on webkit-dev and Mark
        Rowe gave me the green light.

        * Scripts/old-run-webkit-tests:
        * Scripts/webkitpy/common/config/build.py:
        * Scripts/webkitpy/common/config/build_unittest.py:
        * Scripts/webkitpy/common/prettypatch.py:
        * Scripts/webkitpy/layout_tests/port/base.py:
        * Scripts/webkitpy/style/main.py:

2010-12-20  Adrienne Walker  <enne@google.com>

        Unreviewed. Adding myself to the list of committers.

        * webkitpy/common/config/committers.py:

2010-12-20  Mark Rowe  <mrowe@apple.com>

        Reviewed by Dan Bernstein.

        <rdar://problem/8757601> Don't install header files in to the Resources directory.

        * Scripts/check-for-inappropriate-files-in-framework: Don't allow .h files in the
        Resources directory.

2010-12-20  Eric Seidel  <eric@webkit.org>

        Reviewed by Adam Barth.

        commit-queue should include bot id when attaching failure diffs
        https://bugs.webkit.org/show_bug.cgi?id=51280

        This is a tiny change to include the bot id in the name of the attachment.
        Most of this diff is just changing the unit test expectations
        now that I hid the comment printing when the comment is None.

        * Scripts/webkitpy/tool/bot/flakytestreporter.py:
        * Scripts/webkitpy/tool/bot/flakytestreporter_unittest.py:
        * Scripts/webkitpy/tool/commands/upload_unittest.py:
        * Scripts/webkitpy/tool/mocktool.py:

2010-12-20  Jeff Miller  <jeffm@apple.com>

        Reviewed by Dan Bernstein.

        Tools/vcbin/midl.exe needs to be rebuilt
        https://bugs.webkit.org/show_bug.cgi?id=51347

        * vcbin/midl.exe: Rebuilt.

2010-12-20  David Levin  <levin@chromium.org>

        Reviewed by Ariya Hidayat.

        .gitignore and webkit-tools-completion.sh have references to WebKitTools that should be Tools.
        https://bugs.webkit.org/show_bug.cgi?id=51343

        Follow up from the WebKitTools -> Tools rename.

        * Scripts/webkit-tools-completion.sh:

2010-12-20  Cosmin Truta  <ctruta@chromium.org>

        Reviewed by James Robinson.

        new-run-webkit-tests ignores trailing EOL differences in text tests
        https://bugs.webkit.org/show_bug.cgi?id=36983

        Changed the handling of new-line characters within new-run-webkit-tests
        to match old-run-webkit-tests.  Differences in leading and trailing empty
        lines in text expectation files are no longer ignored.

        * Scripts/webkitpy/layout_tests/port/base.py:
        * Scripts/webkitpy/layout_tests/port/test.py:
        Added unit tests.  Removed old duplicate unit test entries.
        * Scripts/webkitpy/layout_tests/test_types/text_diff.py:

2010-12-20  David Levin  <levin@chromium.org>

        Reviewed by Shinichiro Hamaji.

        check-webkit-style should detect function declarations (and trivial functions).
        https://bugs.webkit.org/show_bug.cgi?id=51303

        * Scripts/webkitpy/style/checkers/cpp.py:
        (_FunctionState.begin): Add is_declaration and changed the line count
        start to begin at -1 (which will keep the results consistent, since
        the starting line number passed in is one less in this change).
        (detect_functions): changed function detection to now catch trivial
        functions and declarations.
        (check_pass_ptr_usage): Don't check for Pass*Ptr on the first line
        of the function as this may look at return values (when processing
        a declaration).
        * Scripts/webkitpy/style/checkers/cpp_unittest.py:
        (FunctionDetectionTest.perform_function_detection): Basic mechanics
        of testing the function detection.
        (FunctionDetectionTest.test_basic_function_detection): Test a simple
        function.
        (FunctionDetectionTest.test_function_declaration_detection): Test a
        declaration.
        (FunctionDetectionTest.test_non_functions): A test case for a case
        that caused the code to fail due to the { being in quotes.
        (PassPtrTest.test_pass_ref_ptr_return_value): Added some more test
        cases to help catch false alarms for return values.
        (PassPtrTest.test_pass_ref_ptr_member_variable): Ensure that
        we don't get false alarms for member variables either.

2010-12-20  Ryuan Choi  <ryuan.choi@samsung.com>

        Reviewed by Antonio Gomes.

        [CMAKE] Rename WEBKITTOOLS_DIR to TOOLS_DIR
        https://bugs.webkit.org/show_bug.cgi?id=51319

        * CMakeListsEfl.txt:

2010-12-18  Adam Barth  <abarth@webkit.org>

        Reviewed by Sam Weinig.

        Move WebKitExamplePlugins to Examples
        https://bugs.webkit.org/show_bug.cgi?id=51291

        * Scripts/webkitpy/common/config/build.py:

2010-12-17  Csaba Osztrogonác  <ossy@webkit.org>

        Unreviewed Qt buildfix after r74301.

        Rename WebKitTools to Tools
        https://bugs.webkit.org/show_bug.cgi?id=49861

        * MiniBrowser/DerivedSources.pro:
        * MiniBrowser/qt/MiniBrowser.pro:

2010-12-17  Dan Bernstein  <mitz@apple.com>

        Reviewed by Simon Fraser.

        Rename WebKitTools to Tools
        https://bugs.webkit.org/show_bug.cgi?id=49861

        * BuildSlaveSupport/build.webkit.org-config/master.cfg:
        * CodeCoverage/README:
        * DumpRenderTree/qt/DumpRenderTreeQt.cpp:
        (WebCore::DumpRenderTree::initializeFonts):
        * EWSTools/start-commit-queue.sh:
        * EWSTools/start-queue.sh:
        * GNUmakefile.am:
        * MIDLWrapper/MIDLWrapper.cpp:
        (wmain):
        * MiniBrowser/qt/MiniBrowser.pro:
        * Scripts/build-api-tests:
        * Scripts/build-dumprendertree:
        * Scripts/build-webkit:
        * Scripts/build-webkittestrunner:
        * Scripts/generate-coverage-data:
        * Scripts/old-run-webkit-tests:
        * Scripts/run-api-tests:
        * Scripts/run-iexploder-tests:
        * Scripts/run-javascriptcore-tests:
        * Scripts/run-mangleme-tests:
        * Scripts/run-sunspider:
        * Scripts/run-webkit-websocketserver:
        * Scripts/sunspider-compare-results:
        * Scripts/test-webkitperl:
        * Scripts/test-webkitpy:
        * Scripts/update-iexploder-cssproperties:
        * Scripts/update-webkit:
        * Scripts/update-webkit-localizable-strings:
        * Scripts/webkitdirs.pm:
        * Scripts/webkitpy/common/checkout/scm.py:
        * Scripts/webkitpy/common/checkout/scm_unittest.py:
        * Scripts/webkitpy/common/config/committervalidator.py:
        * Scripts/webkitpy/common/config/committervalidator_unittest.py:
        * Scripts/webkitpy/common/config/ports.py:
        * Scripts/webkitpy/common/config/ports_unittest.py:
        * Scripts/webkitpy/common/system/logutils_unittest.py:
        * Scripts/webkitpy/common/system/ospath_unittest.py:
        * Scripts/webkitpy/layout_tests/port/chromium.py:
        * Scripts/webkitpy/layout_tests/port/config.py:
        * Scripts/webkitpy/layout_tests/port/config_unittest.py:
        * Scripts/webkitpy/layout_tests/port/http_server.py:
        * Scripts/webkitpy/layout_tests/port/test.py:
        * Scripts/webkitpy/style/checker.py:
        * Scripts/webkitpy/style/checker_unittest.py:
        * Scripts/webkitpy/tool/bot/feeders_unittest.py:
        * Scripts/webkitpy/tool/commands/queues_unittest.py:
        * Scripts/webkitpy/tool/steps/steps_unittest.py:
        * WebKitTestRunner/DerivedSources.pro:
        * WebKitTestRunner/InjectedBundle/qt/ActivateFontsQt.cpp:
        (WTR::activateFonts):
        * WebKitTestRunner/InjectedBundle/qt/InjectedBundle.pro:
        * wx/build/build_utils.py:

2010-12-16  Antonio Gomes  <agomes@rim.com>

        Reviewed by Martin Robinson.

        Settings::editingBehaviorType() incorrectly returns mac for the gtk build when running tests
        https://bugs.webkit.org/show_bug.cgi?id=51163

        Since GTK+'s default editing behavior was changed to UNIX in r70975 (see webkitwebsettings.cpp),
        GTK+'s DRT should also reset to UNIX after each test execution.

        * DumpRenderTree/gtk/DumpRenderTree.cpp:
        (resetDefaultsToConsistentValues):

2010-12-17  David Levin  <levin@chromium.org>

        Reviewed by Eric Seidel.

        check-webkit-style should understand WTF #include guards
        https://bugs.webkit.org/show_bug.cgi?id=44911

        * Scripts/webkitpy/style/checkers/cpp.py:
        (get_header_guard_cpp_variable): modify to suggest the WTF style
        of header guard when appropriate.
        (check_for_header_guard): handle multiple return values from
        get_header_guard_cpp_variable
        * Scripts/webkitpy/style/checkers/cpp_unittest.py:
        (CppStyleTest.test_build_header_guard): Added tests for the WTF
        header style.

2010-12-16  David Levin  <levin@chromium.org>

        Reviewed by Eric Seidel.

        test-webkitpy: unittest for the xml.py checker displays a decprecation warning.
        https://bugs.webkit.org/show_bug.cgi?id=51210

        The error only shows up when using python 2.6 or later.

        * Scripts/webkitpy/style/checkers/xml.py: Replace the usage of
        the decprecated field error,message with something equivalent.

2010-12-16  Mihai Parparita  <mihaip@chromium.org>

        Reviewed by Eric Seidel.

        Add --exit-after-n-failures/crashes to NRWT
        https://bugs.webkit.org/show_bug.cgi?id=51160
        
        Abort test run (in a similar way to how control-C is handled) when
        --exit-after-n-failures/crashes-or-timeouts are passed and we've reached
        that number of unexpected failures/crashes/timeouts.

        * Scripts/webkitpy/layout_tests/port/test.py:
        * Scripts/webkitpy/layout_tests/run_webkit_tests.py:
        * Scripts/webkitpy/layout_tests/run_webkit_tests_unittest.py:

2010-12-16  David Levin  <levin@chromium.org>

        Reviewed by Shinichiro Hamaji.

        check-webkit-style unit tests has some duplicate boilerplate code.
        https://bugs.webkit.org/show_bug.cgi?id=49519

        * Scripts/webkitpy/style/checkers/cpp.py:
        (update_include_state): Replaced the "io" parameter with the global
        configuration _unit_test_config. This allowed not calling into
        functions at a low level and also not plumbing through the injection
        information through many levels of code.
        (check_for_include_what_you_use): Ditto.
        (process_file_data): Added the ability to set up the unit test config
        to allow for injection.
        * Scripts/webkitpy/style/checkers/cpp_unittest.py:
        (ErrorCollector.__init__): Added support for having a filter for errors.
        (ErrorCollector.__call__): Ditto.
        (CppStyleTestBase.process_file_data): Added the ability to set unit_test_config.
        (CppStyleTestBase.perform_lint): Consolidated logic for the perform functions.
        (CppStyleTestBase.perform_single_line_lint): Replace specific calls to
        functions in the cpp.py with generic processing and a filter that
        indicates what errors should be kept.
        (CppStyleTestBase.perform_multi_line_lint): Ditto.
        (CppStyleTestBase.perform_language_rules_check): Ditto.
        (CppStyleTestBase.perform_function_lengths_check): Ditto.
        (CppStyleTestBase.perform_pass_ptr_check): Ditto.
        (CppStyleTestBase.perform_include_what_you_use): Ditto.
        (CppStyleTest.test_multi_line_comments): Added another
        error message which applies to the test case.
        (CppStyleTest.test_spacing_for_binary_ops): Fixed test
        to not have config.h, since it is processed as a header file.
        (CppStyleTest.test_static_or_global_stlstrings): Fixed variable name
        style and indentation in checked code.
        (OrderOfIncludesTest.test_check_preprocessor_in_include_section):
        Fixed line number.
        (NoNonVirtualDestructorsTest.test_multi_line_declaration_with_error):
        Ditto.

2010-12-15  Sheriff Bot  <webkit.review.bot@gmail.com>

        Unreviewed, rolling out r74136.
        http://trac.webkit.org/changeset/74136
        https://bugs.webkit.org/show_bug.cgi?id=51135

        r74136 breaks chromium canary bots because some tests are not
        rebaselined correctly to resolve EOL differences (Requested by
        jianli on #webkit).

        * Scripts/webkitpy/layout_tests/port/base.py:
        * Scripts/webkitpy/layout_tests/port/test.py:
        * Scripts/webkitpy/layout_tests/test_types/text_diff.py:

2010-12-15  Adam Roben  <aroben@apple.com>

        Teach check-webkit-style to check .vcproj and .vsprops files for XML
        syntax errors

        Fixes <http://webkit.org/b/51103> check-webkit-style should check for
        XML syntax errors in .vcproj/.vsprops files

        Reviewed by Dave Levin.

        * Scripts/webkitpy/style/checker.py: Added lists of file extensions
        that should be treated as XML and that should be allowed to contain
        carriage returns. (These lists happen to be identical currently.)
        (FileType): Added a new XML type.
        (CheckerDispatcher.should_check_and_strip_carriage_returns): Added.
        Just does a simple file extension check.
        (CheckerDispatcher._file_type): Added a case for XML files.
        (CheckerDispatcher._create_checker): Ditto. We use XMLChecker for XML
        files (surprise!).
        (StyleProcessor.process): Ask the dispatcher whether we should pass the
        lines through the carriage checker.

        * Scripts/webkitpy/style/checker_unittest.py:
        (CheckerDispatcherCarriageReturnTest.test_should_check_and_strip_carriage_returns):
        Added. Checks a few file names to see if carriage returns are allowed
        or not.
        (CheckerDispatcherDispatchTest.assert_checker_xml): Added. Similar to
        other assert_checker_* functions.
        (CheckerDispatcherDispatchTest.test_xml_paths): Added. Similar to other
        test_*_paths functions.
        (CheckerDispatcherDispatchTest.test_xml_paths): Added. Similar to other
        test_*_paths functions.
        (CheckerDispatcherDispatchTest.test_none_paths): Removed the vcproj
        file from this test case, as vcproj files now have a type.
        (StyleProcessor_CodeCoverageTest.MockDispatcher.should_check_and_strip_carriage_returns):
        Added. Similar to the other should_* functions.
        (StyleProcessor_CodeCoverageTest.test_process__carriage_returns_not_stripped):
        Added. Checks that carriage returns aren't checked for or stripped for
        allowed files.

        * Scripts/webkitpy/style/checkers/xml.py: Added.
        (XMLChecker.__init__): Simple init method.
        (XMLChecker.check): Pass each line through the expat parser, and record
        a style error for any errors thrown by the parser.

        * Scripts/webkitpy/style/checkers/xml_unittest.py: Added.
        (XMLCheckerTest.assert_no_error): Checks that the given XML does not
        produce a style error.
        (XMLCheckerTest.assert_error): Checks that the given XML produces an
        error of the given category on the given line.
        (XMLCheckerTest.mock_handle_style_error): Does nothing. Used for
        checking that the XMLChecker constructor works properly.
        (XMLCheckerTest.test_conflict_marker): Tests that conflict markers
        cause a style error (see, e.g., r73887).
        (XMLCheckerTest.test_extra_closing_tag): Tests that extra closing tags
        cause a style error (see, e.g., r73773).
        (XMLCheckerTest.test_init): Tests that the XMLChecker constructor works
        properly.
        (XMLCheckerTest.test_missing_closing_tag): Tests that missing closing
        tags cause a style error (see, e.g., r72795).
        (XMLCheckerTest.test_no_error): Tests that valid XML does not cause a
        style error.

2010-12-15  Lucas Forschler  <lforschler@apple.com>

        Reviewed by Stephanie Lewis.

        https://bugs.webkit.org/show_bug.cgi?id=51117
        Add a new leopard test bot
        really really commit to trunk this time.

        * BuildSlaveSupport/build.webkit.org-config/config.json:

2010-12-15  Sam Weinig  <sam@webkit.org>

        Reviewed by Anders Carlsson.

        WebKit2: Can't add files to an <input type=file>
        https://bugs.webkit.org/show_bug.cgi?id=51087

        * MiniBrowser/mac/BrowserWindowController.m:
        (runOpenPanel):
        (-[BrowserWindowController awakeFromNib]):
        Add simple implementation of runOpenPanel callback.

        * MiniBrowser/win/BrowserView.cpp:
        (BrowserView::create):
        * WebKitTestRunner/TestController.cpp:
        (WTR::createOtherPage):
        (WTR::TestController::initialize):
        Stub out runOpenPanel callback. 

2010-12-14  Eric Seidel  <eric@webkit.org>

        Reviewed by Adam Barth.

        commit-queue should upload failure diffs when tests flake
        https://bugs.webkit.org/show_bug.cgi?id=51051

        To make this testable I needed to pipe FileSystem down onto tool.
        We've wanted it there for a long time anyway.

        This patch is kinda a big hack.  But we don't have a nice
        way to read results.html files.  I think this will need further
        revision before this code actually feels clean.

        As part of testing this change, I had to make MockBugzilla.create_bug
        actually return an id (like it should) which required updating
        a few other unit test results (for the better).

        The results_matching_keys change in layouttestresults/rebasline
        was an alternate path which I decided not to use in the end, but
        I left the change as it seemed an improvement.

        * Scripts/webkitpy/common/net/bugzilla/bugzilla.py:
        * Scripts/webkitpy/common/net/layouttestresults.py:
        * Scripts/webkitpy/tool/bot/flakytestreporter.py:
        * Scripts/webkitpy/tool/bot/flakytestreporter_unittest.py:
        * Scripts/webkitpy/tool/commands/queues.py:
        * Scripts/webkitpy/tool/commands/rebaseline.py:
        * Scripts/webkitpy/tool/main.py:
        * Scripts/webkitpy/tool/mocktool.py:

2010-12-15  Cosmin Truta  <ctruta@chromium.org>

        Reviewed by James Robinson.

        new-run-webkit-tests ignores trailing EOL differences in text tests
        https://bugs.webkit.org/show_bug.cgi?id=36983

        Changed the handling of new-line characters within new-run-webkit-tests
        to match old-run-webkit-tests.  Differences in leading and trailing empty
        lines in text expectation files are no longer ignored.

        * Scripts/webkitpy/layout_tests/port/base.py:
        * Scripts/webkitpy/layout_tests/port/test.py:
        Added unit tests.  Removed old duplicate unit test entries.
        * Scripts/webkitpy/layout_tests/test_types/text_diff.py:

2010-12-15  Ojan Vafai  <ojan@chromium.org>

        Reviewed by Adam Barth.

        make status-bubble white-space:nowrap so we can measure it's width without wrapping
        https://bugs.webkit.org/show_bug.cgi?id=51149

        * QueueStatusServer/templates/statusbubble.html:

2010-12-15  Ojan Vafai  <ojan@chromium.org>

        Reviewed by Adam Barth.

        have the statusbubble postMessage it's metrics so that embedders can properly size the iframe
        https://bugs.webkit.org/show_bug.cgi?id=51125

        * QueueStatusServer/templates/statusbubble.html:

2010-12-15  Darin Adler  <darin@apple.com>

        * Scripts/webkitpy/common/net/buildbot: Added property svn:ignore.

2010-12-15  Sheriff Bot  <webkit.review.bot@gmail.com>

        Unreviewed, rolling out r74117.
        http://trac.webkit.org/changeset/74117
        https://bugs.webkit.org/show_bug.cgi?id=51113

        This broke the GTK1 build. (Requested by mrobinson on
        #webkit).

        * Scripts/webkitdirs.pm:

2010-12-15  Amruth Raj  <amruthraj@motorola.com> and Ravi Kasibhatla  <ravi.kasibhatla@motorola.com>

        Reviewed by Martin Robinson.

        Change generate-forwarding-headers.pl for GTK port usage 
        (https://bugs.webkit.org/show_bug.cgi?id=37369)

        * Scripts/webkitdirs.pm: Added changes to build webkit2 for GTK port using build-webkit script.

2010-12-14  Kent Tamura  <tkent@chromium.org>

        Reviewed by Jian Li.

        [DRT/Chromium] Remove another unnecessary error message
        https://bugs.webkit.org/show_bug.cgi?id=51083

        * DumpRenderTree/chromium/WebViewHost.cpp:
        (WebViewHost::didInvalidateRect):

2010-12-14  Lucas Forschler  <lforschler@apple.com>

        Reviewed by Stephanie Lewis.

        Add a new Leopard Debug Test WK2 Bot

        * BuildSlaveSupport/build.webkit.org-config/config.json:

2010-12-14  Ojan Vafai  <ojan@chromium.org>

        Fix python unittests after http://trac.webkit.org/changeset/74070.

        * Scripts/webkitpy/style/checkers/test_expectations_unittest.py:

2010-12-14  Kent Tamura  <tkent@chromium.org>

        Reviewed by Jian Li.

        [DRT/Chromium] Remove a unnecessary error message
        https://bugs.webkit.org/show_bug.cgi?id=51069

        * DumpRenderTree/chromium/WebViewHost.cpp:
        (WebViewHost::paintInvalidatedRegion):

2010-12-14  Benjamin Kalman  <kalman@chromium.org>

        Reviewed by Ojan Vafai.

        Using BUG/BUGWK in test_expectations is error prone, should use BUGCR/BUGWK
        https://bugs.webkit.org/show_bug.cgi?id=48926

        * Scripts/webkitpy/layout_tests/layout_package/test_expectations.py:
        Add presubmit check that BUG isn't used, either BUGCR/BUGWK/BUGV8_.

2010-12-14  Laszlo Gombos  <laszlo.1.gombos@nokia.com>

        Reviewed by Eric Seidel.

        [Qt] [Symbian] Do not use pkg-config on Symbian as it is not supported
        https://bugs.webkit.org/show_bug.cgi?id=50231

        Guard CONFIG+=link_pkgconfig with !symbian.

        * DumpRenderTree/qt/DumpRenderTree.pro:
        * WebKitTestRunner/InjectedBundle/qt/InjectedBundle.pro:
        * WebKitTestRunner/qt/WebKitTestRunner.pro:

2010-12-14  Philippe Normand  <pnormand@igalia.com>

        Reviewed by Ojan Vafai.

        [new-run-webkit-tests] expectations parsing is slow
        https://bugs.webkit.org/show_bug.cgi?id=50635

        Avoid expensive iteration of all the tests when checking if a test
        file is to be skipped or not.

        * Scripts/webkitpy/layout_tests/layout_package/test_expectations.py:
        * Scripts/webkitpy/layout_tests/layout_package/test_expectations_unittest.py:
        * Scripts/webkitpy/layout_tests/port/test.py:

2010-12-14  Mario Sanchez Prada  <msanchez@igalia.com>

        Reviewed by Xan Lopez.

        [Gtk] Implement STATE_FOCUSED, STATE_FOCUSABLE, and corresponding events for text objects
        https://bugs.webkit.org/show_bug.cgi?id=27048

        Add support in DRT for checking whether an accessibility UI
        element is focusable and/or focused. Implemented for GTK.

        * DumpRenderTree/AccessibilityUIElement.cpp:
        (getIsFocusedCallback): New.
        (getIsFocusableCallback): New.
        (AccessibilityUIElement::getJSClass): Add the new available
        callbacks for isFocused and isFocusable.
        * DumpRenderTree/AccessibilityUIElement.h:
        * DumpRenderTree/gtk/AccessibilityUIElementGtk.cpp:
        (AccessibilityUIElement::isFocused): New, implemented by checking
        whether the related AtkState value is in the object's state set.
        (AccessibilityUIElement::isFocusable): Ditto.
        * DumpRenderTree/mac/AccessibilityUIElementMac.mm:
        (AccessibilityUIElement::isFocused): New, dummy implementation.
        (AccessibilityUIElement::isFocusable): Ditto.
        * DumpRenderTree/win/AccessibilityUIElementWin.cpp:
        (AccessibilityUIElement::isFocused): Ditto.
        (AccessibilityUIElement::isFocusable): Ditto.

2010-12-14  Eric Seidel  <eric@webkit.org>

        Reviewed by Ojan Vafai.

        webkit-patch should warn users when they're using a 32-bit git on a 64-bit system
        https://bugs.webkit.org/show_bug.cgi?id=50715

        This patch makes webkit-patch print the following:

        Warning: This machine is 64-bit, but the git binary (/usr/local/git/bin/git) does not support 64-bit.
        Install a 64-bit git for better performance, see:
        https://lists.webkit.org/pipermail/webkit-dev/2010-December/015249.html

        I wrote this mostly because I have approximately 8 machines that I use
        and making sure each one is using a good Git install seemed folly.
        webkit-patch makes a lot of git calls, so using a fast git can shave
        several seconds in every invocation.  See the webkit-dev thread for more info.

        This message will print twice during 'webkit-patch upload',
        once from webkit-patch and once from check-webkit-style.

        Unfortunately there is no good way to test this due to how machine-dependent
        the code is.  I considered writing a test for the log message, but it seemed not worth it.

        * Scripts/webkitpy/common/checkout/scm.py:

2010-12-13  Eric Seidel  <eric@webkit.org>

        Reviewed by Adam Barth.

        FlakyTestReporter doesn't understand bots running from multiple email addresses
        https://bugs.webkit.org/show_bug.cgi?id=50960

        This explains at least one of the dupes of:
        https://bugs.webkit.org/show_bug.cgi?id=50863
        that we saw filed by the commit-queue this morning.
        I think the other one was explained by my previous fix to result counting code.

        Since this is really hard to test with a unit test, instead I
        create a new (possibly useful in the future) command
        which given a layout test path will return you
        the one bug which our tools would assume it the flaky test bug.
        If some other script wants to use bug-for-test we'll
        need to extend it with some options like --create-if-missing or similar.

        * Scripts/webkitpy/common/net/bugzilla/bug.py:
        * Scripts/webkitpy/common/net/bugzilla/bugzilla.py:
        * Scripts/webkitpy/tool/bot/flakytestreporter.py:
        * Scripts/webkitpy/tool/commands/__init__.py:
        * Scripts/webkitpy/tool/commands/bugfortest.py: Added.

2010-12-13  Mihai Parparita  <mihaip@chromium.org>

        Reviewed by James Robinson.

        Add option to build-webkit to not build WebKit2
        https://bugs.webkit.org/show_bug.cgi?id=50988
        
        Add support for a --no-webkit2 option to build-webkit. It seems to save
        ~1 minute from clean builds and ~10 seconds from no-op builds.

        * Scripts/build-webkit:

2010-12-13  Lucas Forschler  <lforschler@apple.com>

        Reviewed by Dave Kilzer.

        Update iexploder from 1.3.2 to 1.7.2
        Move 1.3.2 into its own subdir
        Add 1.7.2 into its own subdir
        update scripts to point to new 1.3.2 location (avoid breaking existing scripts)

        * Scripts/run-iexploder-tests:
        * Scripts/update-iexploder-cssproperties:
        * iExploder/CHANGELOG.txt: Removed.
        * iExploder/LICENSE.txt: Removed.
        * iExploder/README.txt: Removed.
        * iExploder/htdocs: Removed.
        * iExploder/iexploder-1.3.2: Added.
        * iExploder/iexploder-1.3.2/CHANGELOG.txt: Copied from iExploder/CHANGELOG.txt.
        * iExploder/iexploder-1.3.2/LICENSE.txt: Copied from iExploder/LICENSE.txt.
        * iExploder/iexploder-1.3.2/README.txt: Copied from iExploder/README.txt.
        * iExploder/iexploder-1.3.2/htdocs: Added.
        * iExploder/iexploder-1.3.2/htdocs/config.rb: Copied from iExploder/htdocs/config.rb.
        * iExploder/iexploder-1.3.2/htdocs/cssproperties.in: Copied from iExploder/htdocs/cssproperties.in.
        * iExploder/iexploder-1.3.2/htdocs/cssvalues.in: Copied from iExploder/htdocs/cssvalues.in.
        * iExploder/iexploder-1.3.2/htdocs/htmlattrs.in: Copied from iExploder/htdocs/htmlattrs.in.
        * iExploder/iexploder-1.3.2/htdocs/htmltags.in: Copied from iExploder/htdocs/htmltags.in.
        * iExploder/iexploder-1.3.2/htdocs/htmlvalues.in: Copied from iExploder/htdocs/htmlvalues.in.
        * iExploder/iexploder-1.3.2/htdocs/iexploder.cgi: Copied from iExploder/htdocs/iexploder.cgi.
        * iExploder/iexploder-1.3.2/htdocs/iexploder.rb: Copied from iExploder/htdocs/iexploder.rb.
        * iExploder/iexploder-1.3.2/htdocs/index.html: Copied from iExploder/htdocs/index.html.
        * iExploder/iexploder-1.3.2/htdocs/webserver.rb: Copied from iExploder/htdocs/webserver.rb.
        * iExploder/iexploder-1.3.2/tools: Added.
        * iExploder/iexploder-1.3.2/tools/lasthit.rb: Copied from iExploder/tools/lasthit.rb.
        * iExploder/iexploder-1.3.2/tools/osx_last_crash.rb: Copied from iExploder/tools/osx_last_crash.rb.
        * iExploder/iexploder-1.3.2/tools/showtest.rb: Copied from iExploder/tools/showtest.rb.
        * iExploder/iexploder-1.7.2: Added.
        * iExploder/iexploder-1.7.2/ChangeLog.txt: Added.
        * iExploder/iexploder-1.7.2/LICENSE.txt: Added.
        * iExploder/iexploder-1.7.2/README.txt: Added.
        * iExploder/iexploder-1.7.2/output: Added.
        * iExploder/iexploder-1.7.2/src: Added.
        * iExploder/iexploder-1.7.2/src/browser_harness.rb: Added.
        * iExploder/iexploder-1.7.2/src/config.yaml: Added.
        * iExploder/iexploder-1.7.2/src/css-atrules: Added.
        * iExploder/iexploder-1.7.2/src/css-atrules/mozilla: Added.
        * iExploder/iexploder-1.7.2/src/css-atrules/webkit: Added.
        * iExploder/iexploder-1.7.2/src/css-properties: Added.
        * iExploder/iexploder-1.7.2/src/css-properties/dillo: Added.
        * iExploder/iexploder-1.7.2/src/css-properties/gtkhtml: Added.
        * iExploder/iexploder-1.7.2/src/css-properties/internet_explorer6: Added.
        * iExploder/iexploder-1.7.2/src/css-properties/mozilla: Added.
        * iExploder/iexploder-1.7.2/src/css-properties/webkit: Added.
        * iExploder/iexploder-1.7.2/src/css-pseudo: Added.
        * iExploder/iexploder-1.7.2/src/css-pseudo/mozilla: Added.
        * iExploder/iexploder-1.7.2/src/css-pseudo/webkit: Added.
        * iExploder/iexploder-1.7.2/src/css-values: Added.
        * iExploder/iexploder-1.7.2/src/css-values/dillo: Added.
        * iExploder/iexploder-1.7.2/src/css-values/gtkhtml: Added.
        * iExploder/iexploder-1.7.2/src/css-values/mozilla: Added.
        * iExploder/iexploder-1.7.2/src/css-values/other: Added.
        * iExploder/iexploder-1.7.2/src/css-values/webkit: Added.
        * iExploder/iexploder-1.7.2/src/headers: Added.
        * iExploder/iexploder-1.7.2/src/headers/dillo: Added.
        * iExploder/iexploder-1.7.2/src/headers/gtkhtml: Added.
        * iExploder/iexploder-1.7.2/src/headers/mozilla: Added.
        * iExploder/iexploder-1.7.2/src/headers/webkit: Added.
        * iExploder/iexploder-1.7.2/src/html-attrs: Added.
        * iExploder/iexploder-1.7.2/src/html-attrs/dillo: Added.
        * iExploder/iexploder-1.7.2/src/html-attrs/gtkhtml: Added.
        * iExploder/iexploder-1.7.2/src/html-attrs/internet_explorer6: Added.
        * iExploder/iexploder-1.7.2/src/html-attrs/mozilla: Added.
        * iExploder/iexploder-1.7.2/src/html-attrs/other: Added.
        * iExploder/iexploder-1.7.2/src/html-attrs/webkit: Added.
        * iExploder/iexploder-1.7.2/src/html-tags: Added.
        * iExploder/iexploder-1.7.2/src/html-tags/dillo: Added.
        * iExploder/iexploder-1.7.2/src/html-tags/gtkhtml: Added.
        * iExploder/iexploder-1.7.2/src/html-tags/mozilla: Added.
        * iExploder/iexploder-1.7.2/src/html-tags/other: Added.
        * iExploder/iexploder-1.7.2/src/html-tags/webkit: Added.
        * iExploder/iexploder-1.7.2/src/html-values: Added.
        * iExploder/iexploder-1.7.2/src/html-values/dillo: Added.
        * iExploder/iexploder-1.7.2/src/html-values/gtkhtml: Added.
        * iExploder/iexploder-1.7.2/src/html-values/mozilla: Added.
        * iExploder/iexploder-1.7.2/src/html-values/other: Added.
        * iExploder/iexploder-1.7.2/src/html-values/webkit: Added.
        * iExploder/iexploder-1.7.2/src/iexploder.cgi: Added.
        * iExploder/iexploder-1.7.2/src/iexploder.rb: Added.
        * iExploder/iexploder-1.7.2/src/index.html: Added.
        * iExploder/iexploder-1.7.2/src/media: Added.
        * iExploder/iexploder-1.7.2/src/media/blank.ogg: Added.
        * iExploder/iexploder-1.7.2/src/media/blank.snd: Added.
        * iExploder/iexploder-1.7.2/src/media/blank.wav: Added.
        * iExploder/iexploder-1.7.2/src/media/bug.bmp: Added.
        * iExploder/iexploder-1.7.2/src/media/bug.gif: Added.
        * iExploder/iexploder-1.7.2/src/media/bug.ico: Added.
        * iExploder/iexploder-1.7.2/src/media/bug.jng: Added.
        * iExploder/iexploder-1.7.2/src/media/bug.jpg: Added.
        * iExploder/iexploder-1.7.2/src/media/bug.png: Added.
        * iExploder/iexploder-1.7.2/src/media/bug.svg: Added.
        * iExploder/iexploder-1.7.2/src/media/bug.tiff: Added.
        * iExploder/iexploder-1.7.2/src/media/bug.xbm: Added.
        * iExploder/iexploder-1.7.2/src/media/bug.xpm: Added.
        * iExploder/iexploder-1.7.2/src/mime-types: Added.
        * iExploder/iexploder-1.7.2/src/mime-types/dillo: Added.
        * iExploder/iexploder-1.7.2/src/mime-types/mozilla: Added.
        * iExploder/iexploder-1.7.2/src/mime-types/webkit: Added.
        * iExploder/iexploder-1.7.2/src/protocols: Added.
        * iExploder/iexploder-1.7.2/src/protocols/dillo: Added.
        * iExploder/iexploder-1.7.2/src/protocols/gtkhtml: Added.
        * iExploder/iexploder-1.7.2/src/protocols/mozilla: Added.
        * iExploder/iexploder-1.7.2/src/protocols/webkit: Added.
        * iExploder/iexploder-1.7.2/src/scanner.rb: Added.
        * iExploder/iexploder-1.7.2/src/version.rb: Added.
        * iExploder/iexploder-1.7.2/src/webserver.rb: Added.
        * iExploder/iexploder-1.7.2/testcases: Added.
        * iExploder/iexploder-1.7.2/testcases/testcase-Linux_x86_64_rv2.0b6pre_Gecko-20100904_Firefox-4.0b6pre-TEST-8375-1_59.html: Added.
        * iExploder/iexploder-1.7.2/testcases/testcase-Opera-9.80_Linux_x86_64_en_Presto-2.6.30_Version-10.61-16704-3_108,3.html: Added.
        * iExploder/iexploder-1.7.2/testcases/testcase-U_Intel_Mac_OS_X_10_6_4_en-US_AppleWebKit-534.8_Chrome-7.0.529.0-TEST-611-3_36,9.html: Added.
        * iExploder/iexploder-1.7.2/testcases/testcase-U_Intel_Mac_OS_X_10_6_4_en-US_AppleWebKit-534.8_hrome-7.0.529.0-TEST-55313622206-3_6,0.html: Added.
        * iExploder/iexploder-1.7.2/testcases/testcase-U_Linux_x86_64_en-US_AppleWebKit-534.6_Chrome-7.0.503.1-TEST-120813-8_72,56,24,8,0.html: Added.
        * iExploder/iexploder-1.7.2/testcases/testcase-U_Linux_x86_64_en-US_AppleWebKit-534.6_Chrome-7.0.503.1-TEST-121240-3_81,3.html: Added.
        * iExploder/iexploder-1.7.2/testcases/testcase-U_Linux_x86_64_en-US_AppleWebKit-534.7_Chrome-7.0.513.0-4800-5_80,65,15.html: Added.
        * iExploder/iexploder-1.7.2/testcases/testcase-U_Linux_x86_64_en-US_AppleWebKit-534.7_Chrome-7.0.513.0-TEST-23583190347-3_15,12.html: Added.
        * iExploder/iexploder-1.7.2/tools: Added.
        * iExploder/iexploder-1.7.2/tools/lasthit.rb: Added.
        * iExploder/iexploder-1.7.2/tools/osx_last_crash.rb: Added.
        * iExploder/iexploder-1.7.2/tools/release_src.sh: Added.
        * iExploder/iexploder-1.7.2/tools/update_html_tags_from_sources.sh: Added.
        * iExploder/tools: Removed.

2010-12-13  Sam Weinig  <sam@webkit.org>

        Reviewed by Anders Carlsson.

        Remove associated page concept from WKView constructor
        https://bugs.webkit.org/show_bug.cgi?id=50983

        Step 1: Remove associate page constructors from WKView and make
        all views use the shared namespace for the context.

        * TestWebKitAPI/PlatformWebView.h:
        * TestWebKitAPI/mac/PlatformWebViewMac.mm:
        * TestWebKitAPI/win/PlatformWebViewWin.cpp:
        * WebKitTestRunner/PlatformWebView.h:
        * WebKitTestRunner/TestController.cpp:
        (WTR::createOtherPage):
        * WebKitTestRunner/mac/PlatformWebViewMac.mm:
        * WebKitTestRunner/qt/PlatformWebViewQt.cpp:
        * WebKitTestRunner/win/PlatformWebViewWin.cpp:

2010-12-13  Sam Weinig  <sam@webkit.org>

        Reviewed by Anders Carlsson.

        Change the WebKit2 public API so there is no explicit WKPageNamespace object
        https://bugs.webkit.org/show_bug.cgi?id=50898

        * MiniBrowser/mac/AppDelegate.h:
        * MiniBrowser/mac/AppDelegate.m:
        * MiniBrowser/mac/BrowserWindowController.h:
        * MiniBrowser/mac/BrowserWindowController.m:
        * MiniBrowser/win/BrowserView.cpp:
        Convert MiniBrowser to not use PageNamespaces.

        * TestWebKitAPI/PlatformWebView.h:
        * TestWebKitAPI/Tests/WebKit2/DocumentStartUserScriptAlertCrash.cpp:
        * TestWebKitAPI/Tests/WebKit2/EvaluateJavaScript.cpp:
        * TestWebKitAPI/Tests/WebKit2/FailedLoad.cpp:
        * TestWebKitAPI/Tests/WebKit2/Find.cpp:
        * TestWebKitAPI/Tests/WebKit2/FrameMIMETypeHTML.cpp:
        * TestWebKitAPI/Tests/WebKit2/FrameMIMETypePNG.cpp:
        * TestWebKitAPI/Tests/WebKit2/InjectedBundleBasic.cpp:
        * TestWebKitAPI/Tests/WebKit2/PageLoadBasic.cpp:
        * TestWebKitAPI/Tests/WebKit2/PageLoadDidChangeLocationWithinPageForFrame.cpp:
        * TestWebKitAPI/Tests/WebKit2/PreventEmptyUserAgent.cpp:
        * TestWebKitAPI/Tests/WebKit2/SpacebarScrolling.cpp:
        * TestWebKitAPI/Tests/WebKit2/win/AltKeyGeneratesWMSysCommand.cpp:
        * TestWebKitAPI/Tests/WebKit2/win/WMCloseCallsUIClientClose.cpp:
        * TestWebKitAPI/mac/PlatformWebViewMac.mm:
        * TestWebKitAPI/win/PlatformWebViewWin.cpp:
        Convert TestWebKitAPI to not use PageNamespaces.

        * WebKitTestRunner/PlatformWebView.h:
        * WebKitTestRunner/TestController.cpp:
        * WebKitTestRunner/TestController.h:
        * WebKitTestRunner/mac/PlatformWebViewMac.mm:
        * WebKitTestRunner/qt/PlatformWebViewQt.cpp:
        * WebKitTestRunner/win/PlatformWebViewWin.cpp:
        Convert WebKitTestRunner to not use PageNamespaces.

2010-12-13  Gabor Rapcsanyi  <rgabor@inf.u-szeged.hu>

        Reviewed by Eric Seidel.

        webkit-patch rollout should be able to do multi-revision rollouts
        https://bugs.webkit.org/show_bug.cgi?id=33336

        Make it possible to pass more than one revision to webkit-patch.

        * Scripts/webkitpy/common/checkout/api.py:
        * Scripts/webkitpy/common/checkout/changelog.py:
        * Scripts/webkitpy/common/checkout/changelog_unittest.py:
        * Scripts/webkitpy/tool/commands/abstractsequencedcommand.py:
        * Scripts/webkitpy/tool/commands/download.py:
        * Scripts/webkitpy/tool/commands/download_unittest.py:
        * Scripts/webkitpy/tool/mocktool.py:
        * Scripts/webkitpy/tool/steps/preparechangelogforrevert.py:
        * Scripts/webkitpy/tool/steps/revertrevision.py:

2010-12-13  Eric Seidel  <eric@webkit.org>

        Unreviewed.

        Teach webkit-patch how to search bugzilla
        https://bugs.webkit.org/show_bug.cgi?id=50500

        webkit-patch bug-search fails when there is only one result.
        Turns out we needed a bit more logic in our result count parsing code.

        * Scripts/webkitpy/common/net/bugzilla/bugzilla.py:
        * Scripts/webkitpy/common/net/bugzilla/bugzilla_unittest.py:

2010-12-13  Antti Koivisto  <antti@apple.com>

        Reviewed by Alexey Proskuryakov.

        Add setSerializeHTTPLoads function to allow testing resource load order on OS X.
        https://bugs.webkit.org/show_bug.cgi?id=50758

        * DumpRenderTree/LayoutTestController.cpp:
        (setSerializeHTTPLoadsCallback):
        (LayoutTestController::staticFunctions):
        * DumpRenderTree/LayoutTestController.h:
        * DumpRenderTree/gtk/LayoutTestControllerGtk.cpp:
        (LayoutTestController::setSerializeHTTPLoads):
        * DumpRenderTree/mac/DumpRenderTree.mm:
        (resetDefaultsToConsistentValues):
        * DumpRenderTree/mac/LayoutTestControllerMac.mm:
        (LayoutTestController::setSerializeHTTPLoads):
        * DumpRenderTree/win/LayoutTestControllerWin.cpp:
        (LayoutTestController::setSerializeHTTPLoads):

2010-12-13  Dimitri Glazkov  <dglazkov@chromium.org>

        Reviewed by Ojan Vafai.

        Remove "use-drt" option from test step command line, since the option was removed in r73748.
        https://bugs.webkit.org/show_bug.cgi?id=50936

        * BuildSlaveSupport/build.webkit.org-config/master.cfg: Removed the option.

2010-12-13  Patrick Gansterer  <paroga@webkit.org>

        Reviewed by Csaba Osztrogonác.

        Add revlink to BuildBot status
        https://bugs.webkit.org/show_bug.cgi?id=50914

        This adds a hyperlink to trac changeset on the revision numbers. 

        * BuildSlaveSupport/build.webkit.org-config/master.cfg:

2010-12-13  Andras Becsi  <abecsi@webkit.org>

        Reviewed by Csaba Osztrogonác.

        [Qt][WK2] Fix build if WebKitTools are not available
        https://bugs.webkit.org/show_bug.cgi?id=50242

        * MiniBrowser/qt/MiniBrowser.pro: Correct the comment.
        * Scripts/webkitdirs.pm: Added WebKitTools/MiniBrowser to $subdirs.
        * MiniBrowser/DerivedSources.pro: Added.

2010-12-13  Eric Seidel  <eric@webkit.org>

        Reviewed by Adam Barth.

        EWS Queues should remove orpahned pyc files before starting
        https://bugs.webkit.org/show_bug.cgi?id=50904

        A previous check added a platform.py which caused
        EWS bots on some platforms to hit an import exception.
        The platform.py file was removed in a subsequent commit, but
        the EWS bots in question stayed stuck.  This change will
        fix those bots once restarted (and prevent this in the future).

        I also went ahead and unified start-queue and start-commit-queue
        since they were nearly identical.  I also added bot_id support
        to both force all EWSes to have bot ids as well as get rid of the one
        remaining reason why I had my own copies of these scripts.
        Hopefully this will be enough to get all the other bot admins
        (ahem, Adam, ahem) to move to using these checked in copies as well.

        * EWSTools/start-commit-queue.sh: Removed.
        * EWSTools/start-queue.sh:

2010-10-28  MORITA Hajime  <morrita@google.com>

        Reviewed by Ojan Vafai.

        spellcheck does not check pasted text
        https://bugs.webkit.org/show_bug.cgi?id=40092

        Added LayoutTestController::setAsynchronousSpellCheckingEnabled()
        to control the setting.

        * DumpRenderTree/LayoutTestController.cpp:
        (setAsynchronousSpellCheckingEnabledCallback):
        (LayoutTestController::staticFunctions):
        * DumpRenderTree/LayoutTestController.h:
        * DumpRenderTree/chromium/LayoutTestController.h:
        * DumpRenderTree/chromium/LayoutTestController.cpp:
        (LayoutTestController::LayoutTestController):
        (LayoutTestController::setAsynchronousSpellCheckingEnabled):
        * DumpRenderTree/gtk/LayoutTestControllerGtk.cpp:
        (LayoutTestController::setAsynchronousSpellCheckingEnabled):
        * DumpRenderTree/mac/DumpRenderTree.mm:
        (resetDefaultsToConsistentValues):
        * DumpRenderTree/mac/LayoutTestControllerMac.mm:
        (LayoutTestController::setAsynchronousSpellCheckingEnabled):
        * DumpRenderTree/qt/LayoutTestControllerQt.h:
        * DumpRenderTree/qt/LayoutTestControllerQt.cpp:
        (LayoutTestController::setAsynchronousSpellCheckingEnabled):
        * DumpRenderTree/win/LayoutTestControllerWin.cpp:
        (LayoutTestController::setAsynchronousSpellCheckingEnabled):
        * DumpRenderTree/wx/LayoutTestControllerWx.cpp:
        (LayoutTestController::setAsynchronousSpellCheckingEnabled):

2010-12-12  Sam Weinig  <sam@webkit.org>

        Reviewed by Anders Carlsson.

        Fix failing API test. It turns out that a pop-state event
        is sent before every fragment navigation, so we have to test
        for it in addition in PageLoadDidChangeLocationWithinPageForFrame.

        * TestWebKitAPI/Tests/WebKit2/PageLoadDidChangeLocationWithinPageForFrame.cpp:
        (TestWebKitAPI::didSameDocumentNavigationForFrame):

2010-12-12  Alejandro G. Castro  <alex@igalia.com>

        Reviewed by Eric Seidel.

        [GTK] Add new-run-webkit-tests support to gtk
        https://bugs.webkit.org/show_bug.cgi?id=50681

        Adding the basic support to run the new-run-webkit-tests.

        * Scripts/webkitpy/layout_tests/port/gtk.py:

2010-10-11  Diego Gonzalez  <diegohcg@webkit.org>

        Reviewed by Kenneth Rohde Christiansen.

        [Qt] Mock DeviceOrientation client for DRT
        https://bugs.webkit.org/show_bug.cgi?id=47490

        * DumpRenderTree/qt/DumpRenderTreeQt.cpp:
        (WebCore::DumpRenderTree::DumpRenderTree):
        (WebCore::DumpRenderTree::~DumpRenderTree):
        * DumpRenderTree/qt/LayoutTestControllerQt.cpp:
        (LayoutTestController::setMockDeviceOrientation):

2010-12-11  Philippe Normand  <pnormand@igalia.com>

        Reviewed by Gustavo Noronha Silva.

        [GTK] launcher: disable the Mozilla-style fullscreen API
        https://bugs.webkit.org/show_bug.cgi?id=50874

        Disabling the fullscreen API until its implementation for GTK is
        mature enough. The webview setting for it is already FALSE by
        default.

        * GtkLauncher/main.c:
        (createWindow):

2010-12-10  Eric Seidel  <eric@webkit.org>

        Reviewed by Adam Barth.

        commit-queue flaky test messages show cryptic version information for mac os x
        https://bugs.webkit.org/show_bug.cgi?id=50864

        Turns out platform.platform() returns kernel version information
        which isn't helpful, and just plain confusing on Mac
        (OS X 10.6.5 uses Darwin Kernel 10.5.0).

        So I've updated PlatformInfo.display_name() to special case
        mac.  I also found a bad use of sys.platform in the process
        and fixed that.  (sys.platform always returns 'darwin' on mac).

        * Scripts/webkitpy/common/system/platforminfo.py:
        * Scripts/webkitpy/common/system/user.py:
        * Scripts/webkitpy/tool/bot/flakytestreporter.py:
        * Scripts/webkitpy/tool/bot/flakytestreporter_unittest.py:
        * Scripts/webkitpy/tool/commands/queues_unittest.py:

2010-12-10  Eric Seidel  <eric@webkit.org>

        Unreviewed.

        Exception seen while reporting flaky test with commit-queue.
        Just a missing include.

        * Scripts/webkitpy/tool/bot/flakytestreporter.py:
        * Scripts/webkitpy/tool/bot/flakytestreporter_unittest.py:

2010-12-10  Kinuko Yasuda  <kinuko@chromium.org>

        Reviewed by Eric Seidel.

        [Chromium] Remove old JSONResultsGenerator script that existed for backward-compatibility
        https://bugs.webkit.org/show_bug.cgi?id=50796

        Also updating the test code to use JSONResultsGeneratorBase and
        to improve test coverage for incremental cases.

        * Scripts/webkitpy/layout_tests/layout_package/json_results_generator.py:
        * Scripts/webkitpy/layout_tests/layout_package/json_results_generator_unittest.py:

2010-12-10  Joseph Pecoraro  <joepeck@webkit.org>

        Reviewed by Darin Adler.

        prepare-ChangeLog --help doesn't mention --bug shorthand -b
        https://bugs.webkit.org/show_bug.cgi?id=50835

        * Scripts/prepare-ChangeLog: be more explicit about -b and match file style.

2010-12-10  Eric Seidel  <eric@webkit.org>

        Reviewed by Adam Barth.

        Bugs created by the commit-queue should all block on a master bug
        https://bugs.webkit.org/show_bug.cgi?id=50857

        This makes all bugs created by the commit-queue block on:
        https://bugs.webkit.org/show_bug.cgi?id=50856

        In the process of testing this, I found that the existing
        create_bug code was wrong.  I also found that existing
        unit tests for create-rollout used invalid values
        for options.blocks.  I fixed both issues and tested.

        * Scripts/webkitpy/tool/bot/flakytestreporter.py:
        * Scripts/webkitpy/tool/bot/flakytestreporter_unittest.py:
        * Scripts/webkitpy/tool/commands/commandtest.py:
        * Scripts/webkitpy/tool/commands/download_unittest.py:
        * Scripts/webkitpy/tool/commands/upload_unittest.py:
        * Scripts/webkitpy/tool/mocktool.py:
        * Scripts/webkitpy/tool/steps/options.py:

2010-12-10  Eric Seidel  <eric@webkit.org>

        Reviewed by Adam Barth.

        Teach webkitpy how to follow duplicate chains when posting comments on flake bugs
        https://bugs.webkit.org/show_bug.cgi?id=50853

        I also discovered when doing this that the code was posting
        the comment on the wrong bug, but that's fixed here too.

        * Scripts/webkitpy/common/net/bugzilla/bug.py:
        * Scripts/webkitpy/common/net/bugzilla/bugzilla.py:
        * Scripts/webkitpy/tool/bot/flakytestreporter.py:
        * Scripts/webkitpy/tool/bot/flakytestreporter_unittest.py:
        * Scripts/webkitpy/tool/commands/queues_unittest.py:
        * Scripts/webkitpy/tool/mocktool.py:

2010-12-10  Anders Carlsson  <andersca@apple.com>

        Reviewed by John Sullivan.

        Make WKContextGetStatistics gather global statistics
        https://bugs.webkit.org/show_bug.cgi?id=50850

        Remove the code that gets the statistics and fills in the per context
        statistics information for now.

        * MiniBrowser/mac/BrowserStatisticsWindowController.m:
        (-[BrowserStatisticsWindowController refreshStatistics:]):

2010-12-10  Eric Seidel  <eric@webkit.org>

        Unreviewed.

        commit-queue should report port/platform information when commenting on flaky test bugs
        https://bugs.webkit.org/show_bug.cgi?id=50839

        Renamed platform.py to platforminfo.py.  This broke import platform in executive.py
        which was only used by new run webkit tests (and clearly not unit tested).

        * Scripts/webkitpy/common/system/platforminfo.py: Renamed from WebKitTools/Scripts/webkitpy/common/system/platform.py.
        * Scripts/webkitpy/tool/main.py:
        * Scripts/webkitpy/tool/mocktool.py:

2010-12-10  Eric Seidel  <eric@webkit.org>

        Reviewed by Tony Chang.

        commit-queue should report port/platform information when commenting on flaky test bugs
        https://bugs.webkit.org/show_bug.cgi?id=50839

        This was a suggestion from Tony Chang this morning.
        I added a platform.py class so I could easily mock the platform call,
        but that may not be the final solution for this mocking.
        We'll try it and see.

        * Scripts/webkitpy/common/system/platform.py: Added.
        * Scripts/webkitpy/tool/bot/flakytestreporter.py:
        * Scripts/webkitpy/tool/bot/flakytestreporter_unittest.py:
        * Scripts/webkitpy/tool/commands/queues_unittest.py:
        * Scripts/webkitpy/tool/main.py:
        * Scripts/webkitpy/tool/mocktool.py:

2010-12-10  Krithigassree Sambamurthy  <krithigassree.sambamurthy@nokia.com>

        Reviewed by Joseph Pecoraro.

        Bug 43455 - [Qt]: Implement Application Cache Quotas
        https://bugs.webkit.org/show_bug.cgi?id=43455

        Introduce functions to allow new appcache layout test origin-quota.html
        to work correctly under Qt.

        * DumpRenderTree/qt/DumpRenderTreeQt.cpp:
        (WebCore::DumpRenderTree::DumpRenderTree):
        (WebCore::DumpRenderTree::dumpApplicationCacheQuota):
        * DumpRenderTree/qt/DumpRenderTreeQt.h:

        Introduce functions to allow new appcache layout test origin-quota.html
        to be successful under qt. Changes required because LayoutTestControllerQt
        does not inherit from LayoutController.

        * DumpRenderTree/qt/LayoutTestControllerQt.cpp:
        (LayoutTestController::reset):
        (LayoutTestController::clearAllApplicationCaches):
        (LayoutTestController::setApplicationCacheOriginQuota):
        * DumpRenderTree/qt/LayoutTestControllerQt.h:
        (LayoutTestController::shouldDumpApplicationCacheDelegateCallbacks):
        (LayoutTestController::dumpApplicationCacheDelegateCallbacks):

2010-12-10  Eric Seidel  <eric@webkit.org>

        Reviewed by Adam Barth.

        Move buildbot.py into its own module so we can split it out into one-file-per-class
        https://bugs.webkit.org/show_bug.cgi?id=50806

        We're adding more buildbot logic these days, so it makes sense
        to give buildbot its own module.

        * Scripts/webkitpy/common/net/buildbot/__init__.py: Added.
        * Scripts/webkitpy/common/net/buildbot/buildbot.py: Renamed from WebKitTools/Scripts/webkitpy/common/net/buildbot.py.
        * Scripts/webkitpy/common/net/buildbot/buildbot_unittest.py: Renamed from WebKitTools/Scripts/webkitpy/common/net/buildbot_unittest.py.
        * Scripts/webkitpy/common/net/failuremap.py:
        * Scripts/webkitpy/common/net/regressionwindow.py:
        * Scripts/webkitpy/tool/commands/rebaseline.py:

2010-12-10  Tony Chang  <tony@chromium.org>

        Reviewed by Eric Seidel.

        Use FileSystem::remove when cleaning up http lock files
        https://bugs.webkit.org/show_bug.cgi?id=50830

        * Scripts/webkitpy/layout_tests/port/http_lock.py:

2010-12-10  Joone Hur  <joone@kldp.org>

        Reviewed by Martin Robinson.

        [GTK] DRT needs layoutTestController.setCacheModel
        https://bugs.webkit.org/show_bug.cgi?id=50705
        
        webkit_set_cache_mode() is called to set the cache model.
        
        * DumpRenderTree/gtk/LayoutTestControllerGtk.cpp:
        (LayoutTestController::setCacheModel): Set the cache model. 

2010-12-10  Tony Chang  <tony@chromium.org>

        Reviewed by Ojan Vafai.

        [chromium] remove --use-drt and add --use-test-shell
        https://bugs.webkit.org/show_bug.cgi?id=50701

        * Scripts/webkitpy/common/config/ports.py:
        * Scripts/webkitpy/common/config/ports_unittest.py:
        * Scripts/webkitpy/layout_tests/port/chromium.py:
        * Scripts/webkitpy/layout_tests/port/chromium_gpu.py:
        * Scripts/webkitpy/layout_tests/port/chromium_gpu_unittest.py:
        * Scripts/webkitpy/layout_tests/port/chromium_linux.py:
        * Scripts/webkitpy/layout_tests/port/chromium_mac.py:
        * Scripts/webkitpy/layout_tests/port/chromium_unittest.py:
        * Scripts/webkitpy/layout_tests/port/chromium_win.py:
        * Scripts/webkitpy/layout_tests/port/webkit.py:
        * Scripts/webkitpy/layout_tests/run_webkit_tests.py:
        * Scripts/webkitpy/style/checkers/test_expectations.py:
        * Scripts/webkitpy/tool/commands/queries.py:

2010-12-10  John Knottenbelt  <jknotten@chromium.org>

        Reviewed by Steve Block.

        [Chromium] Implement mocks for client-based geolocation
        https://bugs.webkit.org/show_bug.cgi?id=46895

        * DumpRenderTree/chromium/LayoutTestController.cpp:
        (LayoutTestController::setGeolocationPermission):
        (LayoutTestController::setMockGeolocationPosition):
        (LayoutTestController::setMockGeolocationError):
        * DumpRenderTree/chromium/LayoutTestController.h:
        * DumpRenderTree/chromium/WebViewHost.cpp:
        (WebViewHost::geolocationClient):
        (WebViewHost::geolocationClientMock):
        (WebViewHost::reset):
        * DumpRenderTree/chromium/WebViewHost.h:

2010-12-10  Alejandro G. Castro  <alex@igalia.com>

        Reviewed by Martin Robinson.

        [GTK] Add hasSpellingMarker support to the DRT
        https://bugs.webkit.org/show_bug.cgi?id=50739

        Implemented the hasSpellingMarker to support spelling tests.

        * DumpRenderTree/gtk/LayoutTestControllerGtk.cpp:
        (LayoutTestController::hasSpellingMarker):

2010-12-10  Eric Seidel  <eric@webkit.org>

        Reviewed by Ojan Vafai.

        webkit-patch: not possible to use build-and-test with local commits
        https://bugs.webkit.org/show_bug.cgi?id=33378

        Make --no-clean not even check if we have local commits.
        It's unclear to me why the code was originally written this way.
        I was unable to dig up a reason from svn history.

        * Scripts/webkitpy/tool/steps/cleanworkingdirectory.py:
        * Scripts/webkitpy/tool/steps/cleanworkingdirectory_unittest.py: Copied from WebKitTools/Scripts/webkitpy/tool/steps/cleanworkingdirectory.py.

2010-12-10  Mario Sanchez Prada  <msanchez@igalia.com>

        Reviewed by Martin Robinson.

        [GTK] AX: implement isEnabled in DRT
        https://bugs.webkit.org/show_bug.cgi?id=50814

        Implement AccessibilityUIElement::isEnabled() for GTK.

        * DumpRenderTree/gtk/AccessibilityUIElementGtk.cpp:
        (checkElementState): New function to refactor common code.
        (AccessibilityUIElement::isEnabled): Implement this by checking
        the current state of the AtkObject.
        (AccessibilityUIElement::isSelected): Use the new
        checkElementState function.

2010-12-10  Jocelyn Turcotte  <jocelyn.turcotte@nokia.com>

        Reviewed by Kenneth Rohde Christiansen.

        [Qt][WK2] Add the QWKContext API class to wrap the WebContext.
        https://bugs.webkit.org/show_bug.cgi?id=50750

        * MiniBrowser/qt/BrowserView.cpp:
        (BrowserView::BrowserView):
        * MiniBrowser/qt/BrowserView.h:
        * WebKitTestRunner/qt/PlatformWebViewQt.cpp:
        (WTR::WebView::WebView):

2010-12-10  Joone Hur  <joone@kldp.org>

        Reviewed by Xan Lopez.

        [GTK] Unskipping some test cases in userscripts dependent on addUserStyleSheet
        https://bugs.webkit.org/show_bug.cgi?id=50808

        Unskipping the following test cases:
        userscripts/mixed-case-stylesheet.html
        userscripts/simple-stylesheet.html
        userscripts/user-style-all-frames.html

        * DumpRenderTree/gtk/LayoutTestControllerGtk.cpp:
        (LayoutTestController::addUserStyleSheet):

2010-12-10  Joone Hur  <joone@kldp.org>

        Reviewed by Eric Seidel.

        [GTK] Add DRT support for pageProperty, isPageBoxVisible, pageSizeAndMarginsInPixels, and addUserStyleSheet
        https://bugs.webkit.org/show_bug.cgi?id=50783

        This patch allows to unskip the following test cases:
        printing/page-rule-selection.html
        printing/page-format-data.html

        * DumpRenderTree/gtk/LayoutTestControllerGtk.cpp:
        (LayoutTestController::pageProperty): Added.
        (LayoutTestController::isPageBoxVisible): Ditto.
        (LayoutTestController::pageSizeAndMarginsInPixels): Ditto.
        (LayoutTestController::addUserStyleSheet): Ditto.

2010-12-10  Jocelyn Turcotte  <jocelyn.turcotte@nokia.com>

        Reviewed by Kenneth Rohde Christiansen.

        [Qt] Make QtTestBrowser spawn QNAM in a secondary thread.

        A menu allows to switch QNAM back to the same thread.

        * QtTestBrowser/launcherwindow.cpp:
        (LauncherWindow::initializeView):
        (LauncherWindow::createChrome):
        (LauncherWindow::toggleThreadedQnam):
        * QtTestBrowser/launcherwindow.h:
        (WindowOptions::WindowOptions):
        * QtTestBrowser/webpage.cpp:
        (WebPage::WebPage):
        (WebPage::setQnamThreaded):
        * QtTestBrowser/webpage.h:
        (QnamThread::QnamThread):
        (QnamThread::~QnamThread):
        (QnamThread::networkAccessManager):
        (QnamThread::run):

2010-12-10  Martin Robinson  <mrobinson@igalia.com>

        Reviewed by Xan Lopez.

        [Gtk] style="font-family: courier" makes text disappear
        https://bugs.webkit.org/show_bug.cgi?id=47452

        Add a test that verifies that fonts without valid charmaps are
        never selected.

        * DumpRenderTree/gtk/DumpRenderTree.cpp:
        (initializeFonts): Initialize DRT with our font (derived from Ahem)
        that has no valid charmap.
        * DumpRenderTree/gtk/fonts/FontWithNoValidEncoding.fon: Added.
        * DumpRenderTree/gtk/fonts/fonts.conf: Updated settings to override users'
        settings which may disable selection of bitmap fonts.

2010-12-10  Eric Seidel  <eric@webkit.org>

        Unreviewed.

        The commit-queue should file bugs about flaky tests it encounters
        https://bugs.webkit.org/show_bug.cgi?id=50803

        create_bug_for_flaky_test was insufficiently tested, thus buggy.
        Now it's tested.

        * Scripts/webkitpy/tool/bot/flakytestreporter.py:
        * Scripts/webkitpy/tool/bot/flakytestreporter_unittest.py:

2010-12-10  Eric Seidel  <eric@webkit.org>

        Unreviewed.  Somehow this last-minute edit didn't quite get committed.

        The commit-queue should file bugs about flaky tests it encounters
        https://bugs.webkit.org/show_bug.cgi?id=50803

        * Scripts/webkitpy/tool/bot/flakytestreporter.py:

2010-12-09  Eric Seidel  <eric@webkit.org>

        Reviewed by Adam Barth.

        The commit-queue should file bugs about flaky tests it encounters
        https://bugs.webkit.org/show_bug.cgi?id=50803

        This change got a bit big.  I also added a new config.urls file
        because I needed to share the view_source_url code with committervalidator.py.

        This adds a new class FlakyTestReporter which holds all the logic about
        reporting flaky tests to bugzilla.

        Right now this code knows how to look up bugs for flaky tests.
        If it can't find a bug filed from the commit-queue, it will open a new
        one, ccing the relevant people and adding information about the failure.

        It is not yet smart enough to chase down duplicate chains, or to include
        the actual failure diff.  But those can be added in later iterations.

        * Scripts/webkitpy/common/checkout/api.py:
        * Scripts/webkitpy/common/checkout/changelog.py:
        * Scripts/webkitpy/common/checkout/commitinfo.py:
        * Scripts/webkitpy/common/config/committervalidator.py:
        * Scripts/webkitpy/common/config/urls.py: Copied from WebKitTools/Scripts/webkitpy/tool/comments.py.
        * Scripts/webkitpy/common/net/bugzilla/bugzilla.py:
        * Scripts/webkitpy/tool/bot/flakytestreporter.py: Added.
        * Scripts/webkitpy/tool/bot/flakytestreporter_unittest.py: Copied from WebKitTools/Scripts/webkitpy/tool/comments.py.
        * Scripts/webkitpy/tool/bot/irc_command.py:
        * Scripts/webkitpy/tool/bot/sheriff.py:
        * Scripts/webkitpy/tool/commands/download.py:
        * Scripts/webkitpy/tool/commands/queues.py:
        * Scripts/webkitpy/tool/commands/queues_unittest.py:
        * Scripts/webkitpy/tool/comments.py:
        * Scripts/webkitpy/tool/mocktool.py:
        * Scripts/webkitpy/tool/steps/commit.py:

2010-12-09  Eric Seidel  <eric@webkit.org>

        Reviewed by Adam Barth.

        Teach webkit-patch how to search bugzilla
        https://bugs.webkit.org/show_bug.cgi?id=50500

        This is a step towards teaching webkitpy how to file
        new bugs for flaky tests and update them when new flakes occur.

        * Scripts/webkitpy/common/net/bugzilla/bugzilla.py:
        * Scripts/webkitpy/common/net/bugzilla/bugzilla_unittest.py:
        * Scripts/webkitpy/tool/commands/__init__.py:
        * Scripts/webkitpy/tool/commands/bugsearch.py: Added.

2010-12-09  Adam Barth  <abarth@webkit.org>

        Reviewed by Ojan Vafai.

        commit-queue errors out due to local commits
        https://bugs.webkit.org/show_bug.cgi?id=50766

        We seem to be tripping over having local commits in the working copy a
        lot recently.  I don't quite fully understand what the issue is, but
        this patch attempts to solve the problem by adding an explicit clean
        step before processing a patch.  Previously, we did the cleaning as
        part of the apply-attachment step, so this might not actually fix the
        problem.

        * Scripts/webkitpy/tool/bot/commitqueuetask.py:
        * Scripts/webkitpy/tool/bot/commitqueuetask_unittest.py:
        * Scripts/webkitpy/tool/commands/queues_unittest.py:

2010-12-09  Dirk Pranke  <dpranke@chromium.org>

        Reviewed by Ojan Vafai.

        Make new-run-webkit-tests --lint-test-files log slightly better
        messages and return -1 if lint fails. Remove the
        'suppress_errors' keyword param to the TestExpectationsFile
        class, and clean up logging and exception raising for error
        handling. Also add more unit tests and clean up the unit test code a bit.

        https://bugs.webkit.org/show_bug.cgi?id=50205

        * Scripts/webkitpy/layout_tests/run_webkit_tests.py:
        * Scripts/webkitpy/layout_tests/run_webkit_tests_unittest.py:
        * Scripts/webkitpy/layout_tests/layout_package/test_expectations.py
        * Scripts/webkitpy/layout_tests/layout_package/test_expectations_unittest.py
        * Scripts/webkitpy/layout_tests/port/chromium.py:
        * Scripts/webkitpy/style/checkers/test_expectations.py:
        * Scripts/webkitpy/style/checkers/test_expectations_unittest.py:

2010-12-09  Tony Chang  <tony@chromium.org>

        Unreviewed, fix for windows code.  We were catching the wrong
        exception in Windows.

        * Scripts/webkitpy/common/system/filesystem.py:

2010-12-09  Antonio Gomes  <agomes@rim.com>

        Reviewed by Martin Robinson.

        [Gtk] Populate DumpRenderTreeSupportGtk (part IV)
        https://bugs.webkit.org/show_bug.cgi?id=48429

        Adjust call sites of webkit_thread_count to use the DumpRenderTreeSupportGtk version now.

        * DumpRenderTree/gtk/LayoutTestControllerGtk.cpp:
        (LayoutTestController::workerThreadCount):

2010-12-06  Philippe Normand  <pnormand@igalia.com>

        Reviewed by Martin Robinson.

        [GTK] Support the Mozilla-style Fullscreen Javascript API
        https://bugs.webkit.org/show_bug.cgi?id=50572

        Enable the Javascript Fullscreen support in the GtkLauncher. Also
        make DRT update the Chrome when the WebView settings have been
        reset to consistent values.

        * DumpRenderTree/gtk/DumpRenderTree.cpp:
        (resetDefaultsToConsistentValues):
        * GtkLauncher/main.c:
        (create_window):
        * Scripts/build-webkit:

2010-12-09  Koan-Sin Tan  <koansin.tan@gmail.com>

        Reviewed by Tor Arne Vestbø

        [Qt] run-launcher doesn't start the browser on Mac OS X 10.6
        https://bugs.webkit.org/show_bug.cgi?id=50742

        check not only QtWebKit.framework/QtWebKit but also libQtWebKit.dylib

        * Scripts/webkitdirs.pm:

2010-12-09  Joone Hur  <joone@kldp.org>

         Reviewed by Martin Robinson.

         [GTK] Support for viewport meta tag
         https://bugs.webkit.org/show_bug.cgi?id=45443

         Add support for testing the viewport properties for WebKitGtk.

         * DumpRenderTree/LayoutTestController.cpp:
         (dumpConfigurationForViewportCallback): Added this JS callback to set the size of the visible viewport.
         (LayoutTestController::staticFunctions):
         * DumpRenderTree/LayoutTestController.h:
         * DumpRenderTree/gtk/LayoutTestControllerGtk.cpp:
         (LayoutTestController::dumpConfigurationForViewport): Added this function to test the viewport properties.
         * DumpRenderTree/mac/LayoutTestControllerMac.mm:
         (LayoutTestController::dumpConfigurationForViewport): Ditto.
         * DumpRenderTree/qt/LayoutTestControllerQt.cpp:
         (LayoutTestController::dumpConfigurationForViewport): Ditto.
         * DumpRenderTree/win/LayoutTestControllerWin.cpp:
         (LayoutTestController::dumpConfigurationForViewport): Ditto.
         * DumpRenderTree/wx/LayoutTestControllerWx.cpp:
         (LayoutTestController::dumpConfigurationForViewport): Ditto.

2010-12-08  William Siegrist <wsiegrist@apple.com>

        Reviewed by Eric Seidel.

        Migrate buildbot.py from xmlrpc to json.
        https://bugs.webkit.org/show_bug.cgi?id=50647

        * Scripts/webkitpy/common/net/buildbot.py:

2010-12-08  Tony Chang  <tony@chromium.org>

        Reviewed by Eric Seidel.

        make starting the websocket server more reliable on windows
        https://bugs.webkit.org/show_bug.cgi?id=50712

        * Scripts/webkitpy/common/system/filesystem.py:
